(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    413342,      10758]
NotebookOptionsPosition[    403532,      10451]
NotebookOutlinePosition[    403881,      10466]
CellTagsIndexPosition[    403838,      10463]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"Copyright", " ", "2016"}], "-", 
   RowBox[{"2017", " ", "Daniel", " ", "Strano"}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.6921315180575843`*^9, 3.692131531090472*^9}, {
  3.692284480367113*^9, 3.692284481921115*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"To", " ", "run", " ", "this", " ", "notebook"}], ",", " ", 
   RowBox[{"you", " ", "will", " ", "need", " ", "the", " ", "package", " ", 
    RowBox[{"diffgeo", ".", "m"}], " ", "by", " ", "Matthew", " ", 
    RowBox[{"Headrick", ".", " ", "It"}], " ", "is", " ", "freely", " ", 
    "available", " ", "on", " ", "the", " ", 
    RowBox[{"Web", ".", " ", "All"}], " ", "applicable", " ", "rights", " ", 
    "to", " ", "that", " ", "package", " ", "belong", " ", "him"}], ",", " ", 
   RowBox[{"but", " ", "I", " ", "thank", " ", 
    RowBox[{"him", "!"}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.692131453954417*^9, 3.692131731639501*^9}, {
  3.692141111996084*^9, 3.6921412317760167`*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"INSTRUCTIONS", " ", "TO", " ", "RUN", " ", 
    RowBox[{"NOTEBOOK", ":", " ", 
     RowBox[{
     "Run", " ", "sequentially", " ", "from", " ", "beginning", " ", "of", 
      " ", "file", " ", "between", " ", "each", " ", "SEGMENT", " ", 
      RowBox[{"note", ".", " ", 
       RowBox[{"(", 
        RowBox[{
        "Run", " ", "a", " ", "string", " ", "search", " ", "for", " ", 
         RowBox[{"SEGMENT", "."}]}], ")"}]}], " ", "It", " ", "will", " ", 
      "be", " ", "noted", " ", "that", " ", 
      RowBox[{"diffgeo", ".", "m"}], " ", "must", " ", "be", " ", "run", " ", 
      "between", " ", "these", " ", 
      RowBox[{"segments", ".", " ", "It"}], " ", "might", " ", "be", " ", 
      "necessary", " ", "to", " ", "close", " ", "and", " ", "reopen", " ", 
      "Mathematica", " ", "to", " ", "clear", " ", "the", " ", "global", " ", 
      "name", " ", "space"}]}]}], ",", " ", 
   RowBox[{
   "in", " ", "order", " ", "to", " ", "complete", " ", "a", " ", "new", " ", 
    "segment"}], ",", " ", 
   RowBox[{"so", " ", "save", " ", "and", " ", 
    RowBox[{"reopen", "."}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.692131740589023*^9, 3.692132135742595*^9}, {
  3.692132230943333*^9, 3.6921322335595055`*^9}}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"We", " ", "form", " ", "the", " ", "metric"}], ",", " ", 
    RowBox[{
    "given", " ", "the", " ", "perturbation", " ", "in", " ", "Strano", " ", 
     "2016.", " ", "We", " ", "take", " ", "the", " ", "time", " ", 
     "coordinate", " ", "and", " ", "replace", " ", "it", " ", "with", " ", 
     "the", " ", "retarded", " ", "time"}], ",", " ", 
    RowBox[{
     RowBox[{"\"\<tret\>\"", ".", " ", "We"}], " ", "make", " ", "it", " ", 
     "proportional", " ", "to", " ", "the", " ", "proper", " ", "time", " ", 
     "interval", " ", "that", " ", "passes", " ", "at", " ", "a", " ", 
     "point", " ", "when", " ", "r", " ", "is", " ", "held", " ", 
     RowBox[{"fixed", "."}]}]}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.6921322367989774`*^9, 3.6921322890201626`*^9}, {
   3.6925728981335583`*^9, 3.6925729400890675`*^9}, {3.6927401630607677`*^9, 
   3.692740232310008*^9}, 3.6929062343714113`*^9, {3.6930830261523533`*^9, 
   3.6930830564717875`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"coord", " ", "=", " ", 
  RowBox[{"{", 
   RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "}"}]}]], "Input",
 CellChangeTimes->{{3.6925711961207356`*^9, 3.6925712022023563`*^9}, {
   3.6925725237671013`*^9, 3.6925725265219145`*^9}, 3.6925728910181303`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "}"}]], "Output",
 CellChangeTimes->{
  3.692572974976718*^9, 3.6927406820746984`*^9, 3.692741162411974*^9, 
   3.6927417336824584`*^9, 3.6927419995250053`*^9, 3.692742339490394*^9, 
   3.6927424413150473`*^9, 3.692743441436756*^9, 3.692810794579299*^9, 
   3.6928163784453955`*^9, 3.6928164738543053`*^9, 3.6928202104377584`*^9, 
   3.692820387628265*^9, 3.6928214338803654`*^9, 3.692822153996042*^9, 
   3.6928227737343864`*^9, 3.692830996218483*^9, 3.692831613655163*^9, 
   3.692836537359723*^9, 3.692883027466217*^9, {3.6928833791203823`*^9, 
   3.692883405567705*^9}, 3.692883478911146*^9, 3.692883827756156*^9, 
   3.692883955644796*^9, 3.6928844843801203`*^9, 3.692884631814871*^9, 
   3.6928847993110633`*^9, 3.692903282399714*^9, 3.6929039646764793`*^9, 
   3.692997307280342*^9, 3.6929981788798647`*^9, 3.693059507264781*^9, 
   3.693420537396578*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"tr", "=", 
   RowBox[{"t", "-", "r", "+", 
    RowBox[{"rs", "[", "tr", "]"}], "+", 
    RowBox[{
     RowBox[{"rs", "[", "tr", "]"}], 
     RowBox[{"Log", "[", 
      RowBox[{"r", "/", 
       RowBox[{"rs", "[", "tr", "]"}]}], "]"}]}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.6920947515201707`*^9, 3.692094794164466*^9}, {
   3.6925718441793165`*^9, 3.6925718567006435`*^9}, {3.692572268401087*^9, 
   3.6925722717458534`*^9}, {3.6927143747505765`*^9, 3.6927143775521584`*^9}, 
   3.692737970749805*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"tret", "=", 
  RowBox[{
   RowBox[{"Sqrt", "[", 
    RowBox[{"1", "-", 
     RowBox[{
      RowBox[{"rs", "[", 
       RowBox[{"t", ",", "r"}], "]"}], "/", "r"}]}], "]"}], "*", 
   RowBox[{"(", 
    RowBox[{"t", "-", "r", "+", 
     RowBox[{"rs", "[", 
      RowBox[{"t", ",", "r"}], "]"}], "+", 
     RowBox[{
      RowBox[{"rs", "[", 
       RowBox[{"t", ",", "r"}], "]"}], 
      RowBox[{"Log", "[", 
       RowBox[{"r", "/", 
        RowBox[{"rs", "[", 
         RowBox[{"t", ",", "r"}], "]"}]}], "]"}]}]}], " ", ")"}]}]}]], "Input",
 CellChangeTimes->{{3.692741544964277*^9, 3.6927415497038326`*^9}, {
   3.6927419851538925`*^9, 3.692741985429086*^9}, {3.692997023138229*^9, 
   3.692997051179645*^9}, 3.6929970842239766`*^9, {3.6930594685701146`*^9, 
   3.6930595023463087`*^9}}],

Cell[BoxData[
 RowBox[{
  SqrtBox[
   RowBox[{"1", "-", 
    FractionBox[
     RowBox[{"rs", "[", 
      RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "r"}], "+", "t", "+", 
    RowBox[{"rs", "[", 
     RowBox[{"t", ",", "r"}], "]"}], "+", 
    RowBox[{
     RowBox[{"Log", "[", 
      FractionBox["r", 
       RowBox[{"rs", "[", 
        RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
     RowBox[{"rs", "[", 
      RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.692997307537024*^9, 3.6929981789674273`*^9, 
  3.693059507359848*^9, 3.6934205374736323`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"ra", "=", 
   RowBox[{"r", "+", 
    RowBox[{
     RowBox[{"ProductLog", "[", 
      RowBox[{"-", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", "1"}], "-", 
         FractionBox["t", 
          RowBox[{"rs", "[", "tr", "]"}]]}]]}], "]"}], " ", 
     RowBox[{"rs", "[", "tr", "]"}]}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.6927387118717012`*^9, 3.6927387141871996`*^9}, {
  3.6927387469018974`*^9, 3.692738765998378*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"rq", "[", 
   RowBox[{"t_", ",", "r_", ",", "theta_", ",", "phi_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"rq", "[", 
    RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}], "=", 
   RowBox[{
    RowBox[{"2", "*", 
     RowBox[{"Hold", "[", 
      RowBox[{"Integrate", "[", 
       RowBox[{
        RowBox[{"k", "*", 
         RowBox[{"b", "[", 
          RowBox[{"k", ",", 
           RowBox[{
            RowBox[{"Sqrt", "[", 
             RowBox[{"1", "-", 
              RowBox[{
               RowBox[{"rs", "[", 
                RowBox[{"t", ",", "r"}], "]"}], "/", "r"}]}], "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "r"}], "+", "t", "+", 
              RowBox[{"rs", "[", 
               RowBox[{"t", ",", "r"}], "]"}], "+", 
              RowBox[{
               RowBox[{"Log", "[", 
                RowBox[{"r", "/", 
                 RowBox[{"rs", "[", 
                  RowBox[{"t", ",", "r"}], "]"}]}], "]"}], " ", 
               RowBox[{"rs", "[", 
                RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}]}], "]"}], "*", 
         RowBox[{"Sin", "[", 
          RowBox[{"k", "*", 
           RowBox[{"Sqrt", "[", 
            RowBox[{"1", "-", 
             RowBox[{
              RowBox[{"rs", "[", 
               RowBox[{"t", ",", "r"}], "]"}], "/", "r"}]}], "]"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "r"}], "+", "t", "+", 
             RowBox[{"rs", "[", 
              RowBox[{"t", ",", "r"}], "]"}], "+", 
             RowBox[{
              RowBox[{"Log", "[", 
               RowBox[{"r", "/", 
                RowBox[{"rs", "[", 
                 RowBox[{"t", ",", "r"}], "]"}]}], "]"}], " ", 
              RowBox[{"rs", "[", 
               RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], " ", "]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"k", ",", "0", ",", "Infinity"}], "}"}]}], "]"}], "]"}]}], 
    "+", 
    RowBox[{"rs", "[", 
     RowBox[{"t", ",", "r"}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.691423589973074*^9, 3.691423597359303*^9}, {
   3.691437153006651*^9, 3.6914371617177315`*^9}, {3.692056661741992*^9, 
   3.6920566632598085`*^9}, {3.6920571168097553`*^9, 3.692057145821632*^9}, {
   3.6920583486489816`*^9, 3.6920583539340744`*^9}, {3.692059533268777*^9, 
   3.6920595370989666`*^9}, {3.692060159992566*^9, 3.6920601618810773`*^9}, 
   3.6920947494999104`*^9, {3.6920947999401655`*^9, 3.692094800938023*^9}, {
   3.692183284340801*^9, 3.692183286928895*^9}, {3.692386994447234*^9, 
   3.6923870196074495`*^9}, {3.692398888775352*^9, 3.692398931162461*^9}, {
   3.6924034564471273`*^9, 3.692403470738139*^9}, {3.6924035924887857`*^9, 
   3.6924035937457485`*^9}, {3.6924854777319508`*^9, 
   3.6924854990795755`*^9}, {3.692485637727203*^9, 3.692485686519354*^9}, {
   3.69248699744658*^9, 3.6924870325457106`*^9}, {3.6925253818517075`*^9, 
   3.692525382074877*^9}, 3.69252718315004*^9, 3.6925724440420504`*^9, {
   3.692572948205849*^9, 3.692572953899729*^9}, {3.69274039958756*^9, 
   3.692740407691431*^9}, {3.692740469222476*^9, 3.692740470145619*^9}, {
   3.6927415193151507`*^9, 3.6927415249957294`*^9}, {3.6927415662315483`*^9, 
   3.6927415849783444`*^9}, {3.6927419895405846`*^9, 
   3.6927419904297113`*^9}, {3.692742265667888*^9, 3.692742273192911*^9}, 
   3.692742314332967*^9, {3.692742889736244*^9, 3.6927428901775484`*^9}, {
   3.6928107186218147`*^9, 3.6928107272904263`*^9}, {3.692816331177775*^9, 
   3.6928163564894514`*^9}, {3.6928167429379797`*^9, 
   3.6928167484853845`*^9}, {3.6928201135773106`*^9, 
   3.6928201303021426`*^9}, {3.692820349154505*^9, 3.6928203552983503`*^9}, {
   3.6928213391903706`*^9, 3.6928213607471533`*^9}, {3.692822125190106*^9, 
   3.6928221278344765`*^9}, {3.692822685197671*^9, 3.6928226944707317`*^9}, {
   3.6928309443691425`*^9, 3.692830950512992*^9}, {3.692831582190878*^9, 
   3.6928315872019477`*^9}, {3.692883354944734*^9, 3.6928833568968735`*^9}, {
   3.692883460711725*^9, 3.692883471070711*^9}, {3.6928835274239864`*^9, 
   3.69288356798096*^9}, {3.6928837695056458`*^9, 3.692883797887574*^9}, {
   3.692883926636617*^9, 3.692883937519163*^9}, {3.69288439322031*^9, 
   3.692884397284088*^9}, {3.6928844402014112`*^9, 3.69288444405406*^9}, {
   3.6928847596481934`*^9, 3.692884771671035*^9}, {3.692903238341154*^9, 
   3.692903241803214*^9}, {3.6929970587680025`*^9, 3.692997078850181*^9}, {
   3.6930595265338883`*^9, 3.693059545429216*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"metric", "=", 
  RowBox[{"DiagonalMatrix", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"rq", "[", 
           RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}], ")"}], 
         "/", "r"}]}], ")"}]}], ",", 
     RowBox[{"1", "/", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"rq", "[", 
           RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}], ")"}], 
         "/", "r"}]}], ")"}]}], ",", 
     RowBox[{"r", "^", "2"}], ",", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"r", " ", 
        RowBox[{"Sin", "[", "theta", "]"}]}], ")"}], "^", "2"}]}], "}"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.660346255432619*^9, 3.6603462605168896`*^9}, {
  3.660346323459664*^9, 3.6603463347831464`*^9}, {3.6603478767014055`*^9, 
  3.6603478806018496`*^9}, {3.660351133692504*^9, 3.6603511389635377`*^9}, {
  3.6603512191399193`*^9, 3.660351223869266*^9}, {3.660351830815791*^9, 
  3.6603518351408567`*^9}, {3.664528563815336*^9, 3.6645285676552954`*^9}, {
  3.6925724601231804`*^9, 3.6925724784680223`*^9}, {3.6927391901415386`*^9, 
  3.6927391957879915`*^9}, {3.692740425868577*^9, 3.6927404916241417`*^9}, {
  3.692741488610837*^9, 3.692741493782071*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{
       FractionBox["1", "r"], 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"Hold", "[", 
           RowBox[{
            SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
            RowBox[{
             RowBox[{"k", " ", 
              RowBox[{"b", "[", 
               RowBox[{"k", ",", 
                RowBox[{
                 SqrtBox[
                  RowBox[{"1", "-", 
                   FractionBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", "r"}], "+", "t", "+", 
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "+", 
                   RowBox[{
                    RowBox[{"Log", "[", 
                    FractionBox["r", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}]}], "]"}], " ", 
              RowBox[{"Sin", "[", 
               RowBox[{"k", " ", 
                SqrtBox[
                 RowBox[{"1", "-", 
                  FractionBox[
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "r"}], "+", "t", "+", 
                  RowBox[{"rs", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "+", 
                  RowBox[{
                   RowBox[{"Log", "[", 
                    FractionBox["r", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}]}], 
             RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
         RowBox[{"rs", "[", 
          RowBox[{"t", ",", "r"}], "]"}]}], ")"}]}]}], ",", "0", ",", "0", 
     ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     FractionBox["1", 
      RowBox[{"1", "-", 
       FractionBox[
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"Hold", "[", 
           RowBox[{
            SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
            RowBox[{
             RowBox[{"k", " ", 
              RowBox[{"b", "[", 
               RowBox[{"k", ",", 
                RowBox[{
                 SqrtBox[
                  RowBox[{"1", "-", 
                   FractionBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", "r"}], "+", "t", "+", 
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "+", 
                   RowBox[{
                    RowBox[{"Log", "[", 
                    FractionBox["r", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}]}], "]"}], " ", 
              RowBox[{"Sin", "[", 
               RowBox[{"k", " ", 
                SqrtBox[
                 RowBox[{"1", "-", 
                  FractionBox[
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "r"}], "+", "t", "+", 
                  RowBox[{"rs", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "+", 
                  RowBox[{
                   RowBox[{"Log", "[", 
                    FractionBox["r", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}]}], 
             RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
         RowBox[{"rs", "[", 
          RowBox[{"t", ",", "r"}], "]"}]}], "r"]}]], ",", "0", ",", "0"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     SuperscriptBox["r", "2"], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", 
     RowBox[{
      SuperscriptBox["r", "2"], " ", 
      SuperscriptBox[
       RowBox[{"Sin", "[", "theta", "]"}], "2"]}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.692997321689562*^9, 3.6929981790164614`*^9, 
  3.6930595550435195`*^9, 3.6934205375484295`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"metricsign", "=", 
  RowBox[{"-", "1"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"-", "1"}]], "Output",
 CellChangeTimes->{
  3.669417863374307*^9, 3.6701444758138676`*^9, 3.676638627498059*^9, 
   3.6901971749639325`*^9, 3.6901977953706985`*^9, 3.690198863372196*^9, 
   3.6902231560384293`*^9, 3.6913156806234293`*^9, 3.691401910939624*^9, 
   3.6914233877885747`*^9, 3.6914372293947816`*^9, 3.692014342703678*^9, 
   3.6920565445449934`*^9, 3.6920568890609913`*^9, 3.6920570988650026`*^9, 
   3.692057299365074*^9, 3.692058116561596*^9, 3.69205851418255*^9, 
   3.6920595489042196`*^9, 3.6920606249076777`*^9, 3.692063211047392*^9, 
   3.692064199413695*^9, 3.692094813067338*^9, 3.692094851155698*^9, 
   3.692094928237855*^9, 3.6920959276626024`*^9, 3.6920959613411226`*^9, 
   3.6921833093600025`*^9, 3.692379354193298*^9, 3.6923798067591715`*^9, 
   3.692380024584326*^9, 3.692387141647434*^9, 3.692400054441318*^9, 
   3.692402849653154*^9, 3.69240366519341*^9, 3.6924859254843993`*^9, 
   3.692486867163786*^9, 3.692487044614067*^9, 3.6925255536536126`*^9, 
   3.69252730656085*^9, 3.6925725178605404`*^9, 3.6925726949947352`*^9, 
   3.692572740315564*^9, 3.692572828557255*^9, 3.692572975144134*^9, 
   3.6927405407615023`*^9, 3.6927406826075983`*^9, 3.692741163013155*^9, 
   3.6927415779189105`*^9, 3.692741622002036*^9, 3.6927417339190474`*^9, 
   3.6927419997253227`*^9, 3.6927423396803274`*^9, 3.6927424414995894`*^9, 
   3.692743441636984*^9, 3.692810794784444*^9, 3.692816378809653*^9, 
   3.6928164742140603`*^9, 3.6928202243082113`*^9, 3.692820387775869*^9, 
   3.6928214340179625`*^9, 3.692822154137141*^9, 3.692822773851581*^9, 
   3.692830996308533*^9, 3.692831613739724*^9, 3.6928365374592934`*^9, 
   3.692883027550855*^9, {3.6928833792050047`*^9, 3.6928834056517787`*^9}, 
   3.6928834789907885`*^9, 3.6928838278302097`*^9, 3.6928839557228537`*^9, 
   3.6928844844791956`*^9, 3.692884631896001*^9, 3.692884799395729*^9, 
   3.692903282495782*^9, 3.6929039647605443`*^9, 3.69299732170107*^9, 
   3.6929981790319724`*^9, 3.6930595614990764`*^9, 3.6934205375594378`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"SEGMENT", ":", " ", 
   RowBox[{"RUN", " ", 
    RowBox[{"DIFFGEO", ".", "M"}], " ", "HERE"}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.6921321676616096`*^9, 3.692132169504179*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
    RowBox[{
    "The", " ", "boundary", " ", "conditions", " ", "must", " ", "be", " ", 
     "satisfied", " ", "for", " ", "the", " ", "Einstein"}], "-", 
    RowBox[{
    "Hilbert", " ", "action", " ", "to", " ", "be", " ", "a", " ", 
     "meaningful", " ", "description", " ", "of", " ", "the", " ", 
     RowBox[{"interior", ".", " ", "With"}], " ", "a", " ", "general", " ", 
     "perturbation"}]}], ",", " ", 
   RowBox[{
    RowBox[{
    "we", " ", "first", " ", "check", " ", "what", " ", "parts", " ", "of", 
     " ", "the", " ", "boundary", " ", "condition", " ", "are", " ", "non"}], 
    "-", 
    RowBox[{"trivial", ":"}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.692132299679185*^9, 3.6921323138532095`*^9}, {
  3.692132347221799*^9, 3.692132422250717*^9}, {3.6921412641823487`*^9, 
  3.6921412675535693`*^9}}],

Cell[BoxData[
 RowBox[{"hypersurface", "[", 
  RowBox[{"t", ",", " ", 
   RowBox[{"-", "1"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.660350972743921*^9, 3.660350975789729*^9}, {
  3.6609473014279613`*^9, 3.6609473032657676`*^9}}],

Cell[CellGroupData[{

Cell[BoxData["extrinsic"], "Input",
 CellChangeTimes->{3.66558037986862*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     RowBox[{"-", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"r", " ", 
          RowBox[{"\[Sqrt]", 
           RowBox[{"(", 
            RowBox[{"r", "/", 
             RowBox[{"(", 
              RowBox[{"r", "-", 
               RowBox[{"2", " ", 
                RowBox[{"Hold", "[", 
                 RowBox[{
                  SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
                  RowBox[{
                   RowBox[{"k", " ", 
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{
                    SqrtBox[
                    RowBox[{"1", "-", 
                    FractionBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "r"}], "+", "t", "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "+", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    FractionBox["r", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}]}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    SqrtBox[
                    RowBox[{"1", "-", 
                    FractionBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "r"}], "+", "t", "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "+", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    FractionBox["r", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}]}], 
                   RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "-", 
               RowBox[{"rs", "[", 
                RowBox[{"t", ",", "r"}], "]"}]}], ")"}]}], ")"}]}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"2", " ", 
             RowBox[{
              SubscriptBox["\[PartialD]", "t"], 
              RowBox[{"Hold", "[", 
               RowBox[{
                SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
                RowBox[{
                 RowBox[{"k", " ", 
                  RowBox[{"b", "[", 
                   RowBox[{"k", ",", 
                    RowBox[{
                    SqrtBox[
                    RowBox[{"1", "-", 
                    FractionBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "r"}], "+", "t", "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "+", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    FractionBox["r", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}]}], "]"}], " ", 
                  RowBox[{"Sin", "[", 
                   RowBox[{"k", " ", 
                    SqrtBox[
                    RowBox[{"1", "-", 
                    FractionBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "r"}], "+", "t", "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "+", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    FractionBox["r", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}]}], 
                 RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}]}], "+", 
            RowBox[{
             SuperscriptBox["rs", 
              TagBox[
               RowBox[{"(", 
                RowBox[{"1", ",", "0"}], ")"}],
               Derivative],
              MultilineFunction->None], "[", 
             RowBox[{"t", ",", "r"}], "]"}]}], ")"}]}], ")"}], "/", 
        RowBox[{"(", 
         RowBox[{"2", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "r"}], "+", 
             RowBox[{"2", " ", 
              RowBox[{"Hold", "[", 
               RowBox[{
                SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
                RowBox[{
                 RowBox[{"k", " ", 
                  RowBox[{"b", "[", 
                   RowBox[{"k", ",", 
                    RowBox[{
                    SqrtBox[
                    RowBox[{"1", "-", 
                    FractionBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "r"}], "+", "t", "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "+", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    FractionBox["r", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}]}], "]"}], " ", 
                  RowBox[{"Sin", "[", 
                   RowBox[{"k", " ", 
                    SqrtBox[
                    RowBox[{"1", "-", 
                    FractionBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "r"}], "+", "t", "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "+", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    FractionBox["r", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}]}], 
                 RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
             RowBox[{"rs", "[", 
              RowBox[{"t", ",", "r"}], "]"}]}], ")"}], "2"]}], ")"}]}], 
       ")"}]}], ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.692998229928554*^9, 3.693059588160901*^9, 
  3.69342057243679*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["induced"], "Input",
 CellChangeTimes->{{3.665580408491025*^9, 3.6655804097462406`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     FractionBox["1", 
      RowBox[{"1", "-", 
       FractionBox[
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"Hold", "[", 
           RowBox[{
            SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
            RowBox[{
             RowBox[{"k", " ", 
              RowBox[{"b", "[", 
               RowBox[{"k", ",", 
                RowBox[{
                 SqrtBox[
                  RowBox[{"1", "-", 
                   FractionBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", "r"}], "+", "t", "+", 
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "+", 
                   RowBox[{
                    RowBox[{"Log", "[", 
                    FractionBox["r", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}]}], "]"}], " ", 
              RowBox[{"Sin", "[", 
               RowBox[{"k", " ", 
                SqrtBox[
                 RowBox[{"1", "-", 
                  FractionBox[
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "r"}], "+", "t", "+", 
                  RowBox[{"rs", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "+", 
                  RowBox[{
                   RowBox[{"Log", "[", 
                    FractionBox["r", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}]}], 
             RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
         RowBox[{"rs", "[", 
          RowBox[{"t", ",", "r"}], "]"}]}], "r"]}]], ",", "0", ",", "0"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     SuperscriptBox["r", "2"], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{
      SuperscriptBox["r", "2"], " ", 
      SuperscriptBox[
       RowBox[{"Sin", "[", "theta", "]"}], "2"]}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.6929982301191883`*^9, 3.693059588234953*^9, 
  3.693420572493861*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"induced4", ":=", 
  RowBox[{"DiagonalMatrix", "[", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     RowBox[{"induced", "[", 
      RowBox[{"[", 
       RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", 
     RowBox[{"induced", "[", 
      RowBox[{"[", 
       RowBox[{"2", ",", "2"}], "]"}], "]"}], ",", 
     RowBox[{"induced", "[", 
      RowBox[{"[", 
       RowBox[{"3", ",", "3"}], "]"}], "]"}]}], "}"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6655804877921205`*^9, 3.665580493705736*^9}, {
  3.665580545400695*^9, 3.66558054862733*^9}, {3.692379441140069*^9, 
  3.692379484574189*^9}, {3.692379649006301*^9, 3.6923796730028324`*^9}}],

Cell[BoxData[
 RowBox[{"invInduced", ":=", 
  RowBox[{"raise", "[", 
   RowBox[{"induced4", ",", 
    RowBox[{"{", 
     RowBox[{"1", ",", "2"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6655806306454115`*^9, 3.665580646289775*^9}, 
   3.692379529459448*^9}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
   "In", " ", "order", " ", "for", " ", "the", " ", "boundary", " ", 
    "conditions", " ", "to", " ", "be", " ", "satisfied"}], ",", " ", 
   RowBox[{
   "a", " ", "surface", " ", "integral", " ", "of", " ", "this", " ", 
    "extrinsic", " ", "term", " ", "must", " ", 
    RowBox[{"vanish", ".", " ", "We"}], " ", "assume", " ", "that", " ", 
    "bounding", " ", "volumes", " ", "are", " ", "parallel", " ", "and", " ", 
    "perpendicular", " ", "to", " ", "the", " ", "coordinates"}], ",", " ", 
   RowBox[{
   "and", " ", "we", " ", "pair", " ", "opposing", " ", "faces", " ", "of", 
    " ", "bounding", " ", 
    RowBox[{"volumes", ":"}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.692132495168952*^9, 3.6921326406697955`*^9}}],

Cell[BoxData[
 RowBox[{"Clear", "[", "beh", "]"}]], "Input",
 CellChangeTimes->{{3.665580603556497*^9, 3.6655806062737455`*^9}, {
  3.6656104038199406`*^9, 3.6656104473284917`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"beh", "[", 
   RowBox[{"t_", ",", "r_", ",", "theta_", ",", "phi_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"beh", "[", 
    RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}], "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{"induced", "[", 
      RowBox[{"[", 
       RowBox[{"1", ",", "1"}], "]"}], "]"}], "*", 
     RowBox[{"induced", "[", 
      RowBox[{"[", 
       RowBox[{"2", ",", "2"}], "]"}], "]"}], "*", 
     RowBox[{"induced", "[", 
      RowBox[{"[", 
       RowBox[{"3", ",", "3"}], "]"}], "]"}], "*", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"extrinsictrace", "*", "invInduced"}], "-", "extrinsic"}], 
      ")"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.6603971267987247`*^9, 3.6603971528391542`*^9}, {
  3.660397263234913*^9, 3.660397267532553*^9}, {3.6605219711757355`*^9, 
  3.660521978394868*^9}, {3.660522382933532*^9, 3.6605223880095186`*^9}, {
  3.6655802785875387`*^9, 3.665580302897689*^9}, {3.6655806543942823`*^9, 
  3.665580677067096*^9}, {3.665610203393684*^9, 3.665610228652419*^9}, {
  3.6923799958554554`*^9, 3.692380000270088*^9}, {3.692572862825182*^9, 
  3.692572869357932*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"behr", "[", 
   RowBox[{"t_", ",", "r_", ",", "theta_", ",", "phi_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"behr", "[", 
    RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}], "=", 
   RowBox[{
    RowBox[{"beh", "[", 
     RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", "1"}], "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{
  3.6628519859290266`*^9, {3.6655992558355274`*^9, 3.6655992611412916`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"behr", "[", 
  RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}]], "Input"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.6923812617408895`*^9, 3.692387242938648*^9, 
  3.692400098236901*^9, 3.6924028761361537`*^9, 3.692403696040414*^9, 
  3.6924859525932045`*^9, 3.692486896176908*^9, 3.692487069559984*^9, 
  3.6925255789038596`*^9, 3.69252733414621*^9, 3.6925727963854733`*^9, 
  3.6925730124127536`*^9, 3.692741762973062*^9, 3.692742022078109*^9, 
  3.692742525516841*^9, 3.692743532909155*^9, 3.692810820335989*^9, 
  3.6928165096190586`*^9, 3.692820425417173*^9, 3.692821451152161*^9, 
  3.692822169843283*^9, 3.692822792625332*^9, 3.6928310138120775`*^9, 
  3.6928316320687*^9, 3.69288306248643*^9, 3.6928834235674872`*^9, 
  3.692883508812299*^9, 3.6928838772866106`*^9, 3.692884031819817*^9, 
  3.6928850620668*^9, 3.692903985031041*^9, 3.6929980368834653`*^9, 
  3.692998230783656*^9, 3.6930595887147923`*^9, 3.6934205728206096`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"behrInt", "[", 
   RowBox[{"t_", ",", "r_", ",", "theta_", ",", "phi_", ",", "deltaR_"}], 
   "]"}], ":=", 
  RowBox[{
   RowBox[{"behrInt", "[", 
    RowBox[{"t", ",", "r", ",", "theta", ",", "phi", ",", "deltaR"}], "]"}], 
   "=", 
   RowBox[{
    RowBox[{"behr", "[", 
     RowBox[{"t", ",", 
      RowBox[{"r", "+", "deltaR"}], ",", "theta", ",", "phi"}], "]"}], "-", 
    RowBox[{"behr", "[", 
     RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{
  3.6628519972360644`*^9, {3.6636693207273684`*^9, 3.6636693315311337`*^9}, {
   3.666177898908599*^9, 3.666177905909754*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"behrInt", "[", 
  RowBox[{"t", ",", "r", ",", "theta", ",", "phi", ",", "deltaR"}], 
  "]"}]], "Input"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.6923797072116528`*^9, 3.6923798954470205`*^9, 
  3.692380062665312*^9, 3.692387242953658*^9, 3.692400098256913*^9, 
  3.6924028761561494`*^9, 3.6924036960619497`*^9, 3.6924859526072273`*^9, 
  3.692486896193265*^9, 3.69248706957718*^9, 3.692525578923889*^9, 
  3.6925273341637244`*^9, 3.692572796747676*^9, 3.6925730158351526`*^9, 
  3.6927417643650007`*^9, 3.6927420223758*^9, 3.6927425256168523`*^9, 
  3.6927435336717105`*^9, 3.6928108210606956`*^9, 3.692816511355287*^9, 
  3.692820425447194*^9, 3.6928214513242836`*^9, 3.6928221698753057`*^9, 
  3.692822792659856*^9, 3.6928310138340807`*^9, 3.692831632092216*^9, 
  3.692883062502055*^9, 3.6928834235987396`*^9, 3.692883508827924*^9, 
  3.692883877302622*^9, 3.692884031841833*^9, 3.692885062082426*^9, 
  3.692903985058578*^9, 3.6929980369199915`*^9, 3.692998230842198*^9, 
  3.6930595887468157`*^9, 3.693420572845629*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"behtheta", "[", 
   RowBox[{"t_", ",", "r_", ",", "theta_", ",", "phi_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"behtheta", "[", 
    RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}], "=", 
   RowBox[{
    RowBox[{"beh", "[", 
     RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"2", ",", "2"}], "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{
  3.662852018175275*^9, 3.6628957832517853`*^9, {3.665599271940704*^9, 
   3.6655992769696407`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"behtheta", "[", 
  RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    SuperscriptBox["r", "4"], " ", 
    RowBox[{"\[Sqrt]", 
     RowBox[{"(", 
      RowBox[{"r", "/", 
       RowBox[{"(", 
        RowBox[{"r", "-", 
         RowBox[{"2", " ", 
          RowBox[{"Hold", "[", 
           RowBox[{
            SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
            RowBox[{
             RowBox[{"k", " ", 
              RowBox[{"b", "[", 
               RowBox[{"k", ",", 
                RowBox[{
                 SqrtBox[
                  RowBox[{"1", "-", 
                   FractionBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", "r"}], "+", "t", "+", 
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "+", 
                   RowBox[{
                    RowBox[{"Log", "[", 
                    FractionBox["r", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}]}], "]"}], " ", 
              RowBox[{"Sin", "[", 
               RowBox[{"k", " ", 
                SqrtBox[
                 RowBox[{"1", "-", 
                  FractionBox[
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "r"}], "+", "t", "+", 
                  RowBox[{"rs", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "+", 
                  RowBox[{
                   RowBox[{"Log", "[", 
                    FractionBox["r", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}]}], 
             RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "-", 
         RowBox[{"rs", "[", 
          RowBox[{"t", ",", "r"}], "]"}]}], ")"}]}], ")"}]}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "r"}], "-", 
      RowBox[{"2", " ", 
       RowBox[{"Hold", "[", 
        RowBox[{
         SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
         RowBox[{
          RowBox[{"k", " ", 
           RowBox[{"b", "[", 
            RowBox[{"k", ",", 
             RowBox[{
              SqrtBox[
               RowBox[{"1", "-", 
                FractionBox[
                 RowBox[{"rs", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "r"}], "+", "t", "+", 
                RowBox[{"rs", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "+", 
                RowBox[{
                 RowBox[{"Log", "[", 
                  FractionBox["r", 
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
                 RowBox[{"rs", "[", 
                  RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}]}], "]"}], " ", 
           RowBox[{"Sin", "[", 
            RowBox[{"k", " ", 
             SqrtBox[
              RowBox[{"1", "-", 
               FractionBox[
                RowBox[{"rs", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "r"}], "+", "t", "+", 
               RowBox[{"rs", "[", 
                RowBox[{"t", ",", "r"}], "]"}], "+", 
               RowBox[{
                RowBox[{"Log", "[", 
                 FractionBox["r", 
                  RowBox[{"rs", "[", 
                   RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
                RowBox[{"rs", "[", 
                 RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}]}], 
          RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "-", 
      RowBox[{"rs", "[", 
       RowBox[{"t", ",", "r"}], "]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", 
       RowBox[{"Hold", "[", 
        RowBox[{
         SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
         RowBox[{
          RowBox[{"k", " ", 
           RowBox[{"b", "[", 
            RowBox[{"k", ",", 
             RowBox[{
              SqrtBox[
               RowBox[{"1", "-", 
                FractionBox[
                 RowBox[{"rs", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "r"}], "+", "t", "+", 
                RowBox[{"rs", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "+", 
                RowBox[{
                 RowBox[{"Log", "[", 
                  FractionBox["r", 
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
                 RowBox[{"rs", "[", 
                  RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}]}], "]"}], " ", 
           RowBox[{"Sin", "[", 
            RowBox[{"k", " ", 
             SqrtBox[
              RowBox[{"1", "-", 
               FractionBox[
                RowBox[{"rs", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "r"}], "+", "t", "+", 
               RowBox[{"rs", "[", 
                RowBox[{"t", ",", "r"}], "]"}], "+", 
               RowBox[{
                RowBox[{"Log", "[", 
                 FractionBox["r", 
                  RowBox[{"rs", "[", 
                   RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
                RowBox[{"rs", "[", 
                 RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}]}], 
          RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
      RowBox[{"rs", "[", 
       RowBox[{"t", ",", "r"}], "]"}]}], ")"}], " ", 
    SuperscriptBox[
     RowBox[{"Sin", "[", "theta", "]"}], "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", 
       RowBox[{
        SubscriptBox["\[PartialD]", "t"], 
        RowBox[{"Hold", "[", 
         RowBox[{
          SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
          RowBox[{
           RowBox[{"k", " ", 
            RowBox[{"b", "[", 
             RowBox[{"k", ",", 
              RowBox[{
               SqrtBox[
                RowBox[{"1", "-", 
                 FractionBox[
                  RowBox[{"rs", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "r"}], "+", "t", "+", 
                 RowBox[{"rs", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "+", 
                 RowBox[{
                  RowBox[{"Log", "[", 
                   FractionBox["r", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
                  RowBox[{"rs", "[", 
                   RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}]}], "]"}], " ", 
            RowBox[{"Sin", "[", 
             RowBox[{"k", " ", 
              SqrtBox[
               RowBox[{"1", "-", 
                FractionBox[
                 RowBox[{"rs", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "r"}], "+", "t", "+", 
                RowBox[{"rs", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "+", 
                RowBox[{
                 RowBox[{"Log", "[", 
                  FractionBox["r", 
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
                 RowBox[{"rs", "[", 
                  RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}]}], 
           RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}]}], "+", 
      RowBox[{
       SuperscriptBox["rs", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"1", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"t", ",", "r"}], "]"}]}], ")"}]}], ")"}], "/", 
  RowBox[{"(", 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"r", "-", 
       RowBox[{"2", " ", 
        RowBox[{"Hold", "[", 
         RowBox[{
          SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
          RowBox[{
           RowBox[{"k", " ", 
            RowBox[{"b", "[", 
             RowBox[{"k", ",", 
              RowBox[{
               SqrtBox[
                RowBox[{"1", "-", 
                 FractionBox[
                  RowBox[{"rs", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "r"}], "+", "t", "+", 
                 RowBox[{"rs", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "+", 
                 RowBox[{
                  RowBox[{"Log", "[", 
                   FractionBox["r", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
                  RowBox[{"rs", "[", 
                   RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}]}], "]"}], " ", 
            RowBox[{"Sin", "[", 
             RowBox[{"k", " ", 
              SqrtBox[
               RowBox[{"1", "-", 
                FractionBox[
                 RowBox[{"rs", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "r"}], "+", "t", "+", 
                RowBox[{"rs", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "+", 
                RowBox[{
                 RowBox[{"Log", "[", 
                  FractionBox["r", 
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
                 RowBox[{"rs", "[", 
                  RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}]}], 
           RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "-", 
       RowBox[{"rs", "[", 
        RowBox[{"t", ",", "r"}], "]"}]}], ")"}], "3"]}], ")"}]}]], "Output",
 CellChangeTimes->{3.6929980369540157`*^9, 3.692998230918252*^9, 
  3.6930595887873435`*^9, 3.693420572877655*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"behthetaInt", "[", 
   RowBox[{"t_", ",", "r_", ",", "theta_", ",", "phi_", ",", "deltaTheta_"}], 
   "]"}], ":=", 
  RowBox[{
   RowBox[{"behthetaInt", "[", 
    RowBox[{"t", ",", "r", ",", "theta", ",", "phi", ",", "deltaTheta"}], 
    "]"}], "=", 
   RowBox[{
    RowBox[{"behtheta", "[", 
     RowBox[{"t", ",", "r", ",", 
      RowBox[{"theta", "+", "deltaTheta"}], ",", "phi"}], "]"}], "-", 
    RowBox[{"behtheta", "[", 
     RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{
  3.6628520318824463`*^9, {3.666177910561014*^9, 3.6661779178956223`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"behthetaInt", "[", 
  RowBox[{"t", ",", "r", ",", "theta", ",", "phi", ",", "deltaTheta"}], 
  "]"}]], "Input",
 CellChangeTimes->{
  3.6628520420339923`*^9, {3.666177961515559*^9, 3.666177963080166*^9}}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQA2K/k5pfboe9dqw4sGmfXcRrx/8T321bmPLa8c1hLsW6
uteOK9ey5IBoMYbzb0D0O9Wek11A+uIDgdhTDa8dlW6Zhck2vXZkspPj9gDS
QrIf7i0H0iLC1z6D6IiKpNLVQFrnqs+ejUC6YmaH+GYgfWcnWx2I/qQovuI2
kJ4ewiF3B0i/WrvFGET/vZDA+B5Ic8w6cQdEx9xdzM/W/NqxJd9TG0RPSdo5
IQJIM6vd2ACi93za/h5EM108mxsJpANcd3pUAeljAioCtUBaTtfwZx2Q/rIg
v7IeSLOut7sMou8cFFdsANKT3PaotABptlUsRSD615GLfXOBtEncl90ges3m
2cdA9B/51V9A9LnTf9jnAekJEUc6QHSQmcqx5UD61cz5m64C6bKEe6dA9ByL
OQc+A+lFNfOYl7S8dgQACCXGWQ==
  "]]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"behphi", "[", 
   RowBox[{"t_", ",", "r_", ",", "theta_", ",", "phi_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"behphi", "[", 
    RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}], "=", 
   RowBox[{
    RowBox[{"beh", "[", 
     RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"3", ",", "3"}], "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{
  3.662852051097291*^9, {3.6655992823310194`*^9, 3.6655992860243697`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"behphi", "[", 
  RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"-", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["r", "3"], " ", 
      RowBox[{"\[Sqrt]", 
       RowBox[{"(", 
        RowBox[{"r", "/", 
         RowBox[{"(", 
          RowBox[{"r", "-", 
           RowBox[{"2", " ", 
            RowBox[{"Hold", "[", 
             RowBox[{
              SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
              RowBox[{
               RowBox[{"k", " ", 
                RowBox[{"b", "[", 
                 RowBox[{"k", ",", 
                  RowBox[{
                   SqrtBox[
                    RowBox[{"1", "-", 
                    FractionBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "r"}], "+", "t", "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "+", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    FractionBox["r", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}]}], "]"}], " ", 
                RowBox[{"Sin", "[", 
                 RowBox[{"k", " ", 
                  SqrtBox[
                   RowBox[{"1", "-", 
                    FractionBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"-", "r"}], "+", "t", "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "+", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    FractionBox["r", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}]}], 
               RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "-", 
           RowBox[{"rs", "[", 
            RowBox[{"t", ",", "r"}], "]"}]}], ")"}]}], ")"}]}], " ", 
      SuperscriptBox[
       RowBox[{"Sin", "[", "theta", "]"}], "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", 
         RowBox[{
          SubscriptBox["\[PartialD]", "t"], 
          RowBox[{"Hold", "[", 
           RowBox[{
            SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
            RowBox[{
             RowBox[{"k", " ", 
              RowBox[{"b", "[", 
               RowBox[{"k", ",", 
                RowBox[{
                 SqrtBox[
                  RowBox[{"1", "-", 
                   FractionBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", "r"}], "+", "t", "+", 
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "+", 
                   RowBox[{
                    RowBox[{"Log", "[", 
                    FractionBox["r", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}]}], "]"}], " ", 
              RowBox[{"Sin", "[", 
               RowBox[{"k", " ", 
                SqrtBox[
                 RowBox[{"1", "-", 
                  FractionBox[
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "r"}], "+", "t", "+", 
                  RowBox[{"rs", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "+", 
                  RowBox[{
                   RowBox[{"Log", "[", 
                    FractionBox["r", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}]}], 
             RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}]}], "+", 
        RowBox[{
         SuperscriptBox["rs", 
          TagBox[
           RowBox[{"(", 
            RowBox[{"1", ",", "0"}], ")"}],
           Derivative],
          MultilineFunction->None], "[", 
         RowBox[{"t", ",", "r"}], "]"}]}], ")"}]}], ")"}], "/", 
    RowBox[{"(", 
     RowBox[{"2", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "r"}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"Hold", "[", 
           RowBox[{
            SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
            RowBox[{
             RowBox[{"k", " ", 
              RowBox[{"b", "[", 
               RowBox[{"k", ",", 
                RowBox[{
                 SqrtBox[
                  RowBox[{"1", "-", 
                   FractionBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", "r"}], "+", "t", "+", 
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "+", 
                   RowBox[{
                    RowBox[{"Log", "[", 
                    FractionBox["r", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}]}], "]"}], " ", 
              RowBox[{"Sin", "[", 
               RowBox[{"k", " ", 
                SqrtBox[
                 RowBox[{"1", "-", 
                  FractionBox[
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "r"}], "+", "t", "+", 
                  RowBox[{"rs", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "+", 
                  RowBox[{
                   RowBox[{"Log", "[", 
                    FractionBox["r", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}]}], 
             RowBox[{"\[DifferentialD]", "k"}]}]}], "]"}]}], "+", 
         RowBox[{"rs", "[", 
          RowBox[{"t", ",", "r"}], "]"}]}], ")"}], "2"]}], ")"}]}], 
   ")"}]}]], "Output",
 CellChangeTimes->{3.6929980370210624`*^9, 3.6929982309913034`*^9, 
  3.693059588921438*^9, 3.693420573021763*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"behphiInt", "[", 
   RowBox[{"t_", ",", "r_", ",", "theta_", ",", "phi_", ",", "deltaPhi_"}], 
   "]"}], ":=", 
  RowBox[{
   RowBox[{"behphiInt", "[", 
    RowBox[{"t", ",", "r", ",", "theta", ",", "phi", ",", "deltaPhi"}], "]"}],
    "=", 
   RowBox[{
    RowBox[{"behphi", "[", 
     RowBox[{"t", ",", "r", ",", "theta", ",", 
      RowBox[{"phi", "+", "deltaPhi"}]}], "]"}], "-", 
    RowBox[{"behphi", "[", 
     RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{
  3.6628520584446745`*^9, {3.666177923109236*^9, 3.666177930034356*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"behphiInt", "[", 
  RowBox[{"t", ",", "r", ",", "theta", ",", "phi", ",", "deltaPhi"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.6628519042518234`*^9, 3.6628520623736315`*^9}, {
  3.6661779658521905`*^9, 3.666177967482606*^9}}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQA2Kd+Xpfboe9dvzksnWfXcRrx0caH7ctTHntGOXMq1hX
99pRTJc9B0Rb5F98A6InfJ5wsgtIJ3YLx55qeO3ofjcnXLbptWNccj6PB5C+
p/753nIgfeX6tc8gmmFdSulqIH32uv+ejUDaQr1bfDOQfjKfsw5En9OTXHEb
SF94wyl3B0i/s9lmDKKdLiYxvgfSDfNO3QHRzl/W8bM1v3bMmFWiDaJXZd+f
EAGkZ6x/sgFEx4bufg+iPxx5mhsJpN8vv+hRBaTFbsUL1ALp0nrjn3VAegNz
UWU9kHa74nAZRBuJSCk2AGmn9XtVWoB0mj5bEYj+d+RS31wgbXPv624QvX7z
nGMgui18zRcQLTL/H/s8ID3xxtEOEF2RpHZsOcgdxxduugqkz199eApEc+ku
OPAZSEc0L2Re0vLaEQD22MkK
  "]]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
  "Paired", " ", "opposing", " ", "faces", " ", "are", " ", "already", " ", 
   RowBox[{"satisfied", "."}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.6921324433968124`*^9, 3.692132461161307*^9}, {
  3.6921326570211525`*^9, 3.692132800744498*^9}, {3.692380285748784*^9, 
  3.6923803038376083`*^9}, {3.6923813058377953`*^9, 3.6923813515782413`*^9}, {
  3.6925840506238937`*^9, 3.6925840623244095`*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"SEGMENT", ":", " ", 
   RowBox[{
   "CLEAR", " ", "GLOBAL", " ", "MEMORY", " ", "SPACE", " ", "HERE"}]}], " ", 
  "*)"}]], "Input",
 CellChangeTimes->{{3.6930077013610873`*^9, 3.6930077136952944`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"coord", " ", "=", " ", 
  RowBox[{"{", 
   RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "}"}]}]], "Input",
 CellChangeTimes->{{3.6925711961207356`*^9, 3.6925712022023563`*^9}, {
   3.6925725237671013`*^9, 3.6925725265219145`*^9}, 3.6925728910181303`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "}"}]], "Output",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQBWI3x/uqbM2vHe/Ma84C0VWvjNw4gPStXVY3JYB0Rc81
U3kgPefQYgkfIL3h5bnFESB1XkrbQbTeKu7ySCBdnvpiLog+9qruPIiO6JJX
iALSGQUWDSA6qpVhHoiW2/ctpgpId7kxiNcC6RcXFpmCaKlNPi4gWnPajv91
QPq3R3xtPZAWMK+/BaL75URUG4C0lSnf3SaQ+/Y+NG8G0hqHVnmBaDaONTdB
NPvSW69B9Js1BW4tQHqX5+sSEB118LT8PCDt+73hMIi+n7YzYgmQnjftkMo6
IK2rEnv+KpCefCN1+XWQO1eJTr8F8scRGYH/QDrBv6Fdq+W1456FE2YEA+lu
KWGuJUB63YGvTquA9KM9fhtB9Do349LVQDrPKeayRutrxzXsrkJ6QBoAsZi5
YQ==
  "]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"tret", "=", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "r"}], "+", "t", "+", 
    RowBox[{"rs", "[", 
     RowBox[{"t", ",", "r"}], "]"}], "+", 
    RowBox[{
     RowBox[{"Log", "[", 
      RowBox[{"r", "/", 
       RowBox[{"rs", "[", 
        RowBox[{"t", ",", "r"}], "]"}]}], "]"}], " ", 
     RowBox[{"rs", "[", 
      RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}]], "Input",
 CellChangeTimes->{{3.692741544964277*^9, 3.6927415497038326`*^9}, {
   3.6927420211174335`*^9, 3.692742022030075*^9}, {3.6929970831737337`*^9, 
   3.6929970831772366`*^9}, 3.693059626046687*^9, 3.69326275148024*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "r"}], "+", "t", "+", 
  RowBox[{"rs", "[", 
   RowBox[{"t", ",", "r"}], "]"}], "+", 
  RowBox[{
   RowBox[{"Log", "[", 
    FractionBox["r", 
     RowBox[{"rs", "[", 
      RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
   RowBox[{"rs", "[", 
    RowBox[{"t", ",", "r"}], "]"}]}]}]], "Output",
 CellChangeTimes->{3.692998267107805*^9, 3.693001833945806*^9, 
  3.6930020432512355`*^9, 3.693008056746565*^9, 3.6930596314174776`*^9, 
  3.6930827529815273`*^9, 3.693171772084742*^9, 3.6932558766036158`*^9, 
  3.693420624651036*^9, 3.693433367734312*^9, 3.6934342505205975`*^9, 
  3.693435817656918*^9, 3.6937033142272367`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"rq", "[", 
   RowBox[{"t_", ",", "r_", ",", "theta_", ",", "phi_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"rq", "[", 
    RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}], "=", 
   RowBox[{
    RowBox[{"2", "*", "k0", "*", 
     RowBox[{"b0", "[", 
      RowBox[{"Hold", "[", 
       RowBox[{
        SqrtBox[
         RowBox[{"1", "-", 
          FractionBox[
           RowBox[{"rs", "[", 
            RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "r"}], "+", "t", "+", 
          RowBox[{"rs", "[", 
           RowBox[{"t", ",", "r"}], "]"}], "+", 
          RowBox[{
           RowBox[{"Log", "[", 
            FractionBox["r", 
             RowBox[{"rs", "[", 
              RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
           RowBox[{"rs", "[", 
            RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], " ", "]"}], "]"}], 
     " ", 
     RowBox[{"Sin", "[", 
      RowBox[{"k0", "*", 
       RowBox[{"Hold", "[", 
        RowBox[{
         SqrtBox[
          RowBox[{"1", "-", 
           FractionBox[
            RowBox[{"rs", "[", 
             RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "r"}], "+", "t", "+", 
           RowBox[{"rs", "[", 
            RowBox[{"t", ",", "r"}], "]"}], "+", 
           RowBox[{
            RowBox[{"Log", "[", 
             FractionBox["r", 
              RowBox[{"rs", "[", 
               RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
            RowBox[{"rs", "[", 
             RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}]}], "]"}]}], 
    "+", 
    RowBox[{"2", "*", "k1", "*", 
     RowBox[{"b1", "[", 
      RowBox[{"Hold", "[", 
       RowBox[{
        SqrtBox[
         RowBox[{"1", "-", 
          FractionBox[
           RowBox[{"rs", "[", 
            RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "r"}], "+", "t", "+", 
          RowBox[{"rs", "[", 
           RowBox[{"t", ",", "r"}], "]"}], "+", 
          RowBox[{
           RowBox[{"Log", "[", 
            FractionBox["r", 
             RowBox[{"rs", "[", 
              RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
           RowBox[{"rs", "[", 
            RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}], "]"}], 
     RowBox[{"Sin", "[", 
      RowBox[{"k1", "*", 
       RowBox[{"Hold", "[", 
        RowBox[{
         SqrtBox[
          RowBox[{"1", "-", 
           FractionBox[
            RowBox[{"rs", "[", 
             RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "r"}], "+", "t", "+", 
           RowBox[{"rs", "[", 
            RowBox[{"t", ",", "r"}], "]"}], "+", 
           RowBox[{
            RowBox[{"Log", "[", 
             FractionBox["r", 
              RowBox[{"rs", "[", 
               RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
            RowBox[{"rs", "[", 
             RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}]}], "]"}]}], 
    "+", 
    RowBox[{"rs", "[", 
     RowBox[{"t", ",", "r"}], "]"}], "  "}]}]}]], "Input",
 CellChangeTimes->{{3.691423589973074*^9, 3.691423597359303*^9}, {
   3.691437153006651*^9, 3.6914371617177315`*^9}, {3.692056661741992*^9, 
   3.6920566632598085`*^9}, {3.6920571168097553`*^9, 3.692057145821632*^9}, {
   3.6920583486489816`*^9, 3.6920583539340744`*^9}, {3.692059533268777*^9, 
   3.6920595370989666`*^9}, {3.692060159992566*^9, 3.6920601618810773`*^9}, 
   3.6920947494999104`*^9, {3.6920947999401655`*^9, 3.692094800938023*^9}, {
   3.692183284340801*^9, 3.692183286928895*^9}, {3.692386994447234*^9, 
   3.6923870196074495`*^9}, {3.692398888775352*^9, 3.692398931162461*^9}, {
   3.6924034564471273`*^9, 3.692403470738139*^9}, {3.6924035924887857`*^9, 
   3.6924035937457485`*^9}, {3.6924854777319508`*^9, 
   3.6924854990795755`*^9}, {3.692485637727203*^9, 3.692485686519354*^9}, {
   3.69248699744658*^9, 3.6924870325457106`*^9}, {3.6925253818517075`*^9, 
   3.692525382074877*^9}, 3.69252718315004*^9, 3.6925724440420504`*^9, {
   3.692572948205849*^9, 3.692572953899729*^9}, {3.692573244889598*^9, 
   3.692573252810212*^9}, {3.692741866158655*^9, 3.6927418934805164`*^9}, {
   3.692742043008994*^9, 3.692742045929989*^9}, {3.6927422809042687`*^9, 
   3.6927423054782667`*^9}, {3.692810749277881*^9, 3.6928107542855186`*^9}, {
   3.6928109117154517`*^9, 3.6928109181690598`*^9}, {3.6928167259289427`*^9, 
   3.6928167732980785`*^9}, 3.692816886009128*^9, {3.692820142122501*^9, 
   3.6928201780068007`*^9}, {3.6928213842943254`*^9, 3.692821409625743*^9}, {
   3.6928219708585205`*^9, 3.6928219715525274`*^9}, {3.6928220658674955`*^9, 
   3.6928220769928446`*^9}, {3.692822205345455*^9, 3.6928222188039813`*^9}, {
   3.692822724194912*^9, 3.692822751585842*^9}, {3.6928290873560014`*^9, 
   3.6928290902735653`*^9}, {3.692829206300906*^9, 3.6928292357647734`*^9}, {
   3.6928300502042847`*^9, 3.6928300542086167`*^9}, {3.692830162617633*^9, 
   3.6928302020506015`*^9}, {3.6928303758182325`*^9, 3.692830402585349*^9}, {
   3.6928305181922855`*^9, 3.6928305254859953`*^9}, {3.6928310772079873`*^9, 
   3.6928311146750975`*^9}, {3.692831565725681*^9, 3.692831576207093*^9}, {
   3.6928841620097766`*^9, 3.692884180762821*^9}, {3.6929970832277727`*^9, 
   3.6929970832607946`*^9}, {3.693082638576041*^9, 3.6930826593382006`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"metric", "=", 
  RowBox[{"DiagonalMatrix", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"rq", "[", 
           RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}], ")"}], 
         "/", "r"}]}], ")"}]}], ",", 
     RowBox[{"1", "/", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"rq", "[", 
           RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}], ")"}], 
         "/", "r"}]}], ")"}]}], ",", 
     RowBox[{"r", "^", "2"}], ",", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"r", " ", 
        RowBox[{"Sin", "[", "theta", "]"}]}], ")"}], "^", "2"}]}], "}"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.660346255432619*^9, 3.6603462605168896`*^9}, {
  3.660346323459664*^9, 3.6603463347831464`*^9}, {3.6603478767014055`*^9, 
  3.6603478806018496`*^9}, {3.660351133692504*^9, 3.6603511389635377`*^9}, {
  3.6603512191399193`*^9, 3.660351223869266*^9}, {3.660351830815791*^9, 
  3.6603518351408567`*^9}, {3.664528563815336*^9, 3.6645285676552954`*^9}, {
  3.6925724601231804`*^9, 3.6925724784680223`*^9}, {3.692740579465561*^9, 
  3.692740596839097*^9}, {3.692741906929467*^9, 3.6927419112332587`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{
       FractionBox["1", "r"], 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"rs", "[", 
          RowBox[{"t", ",", "r"}], "]"}], "+", 
         RowBox[{"2", " ", "k0", " ", 
          RowBox[{"b0", "[", 
           RowBox[{"Hold", "[", 
            RowBox[{
             SqrtBox[
              RowBox[{"1", "-", 
               FractionBox[
                RowBox[{"rs", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "r"}], "+", "t", "+", 
               RowBox[{"rs", "[", 
                RowBox[{"t", ",", "r"}], "]"}], "+", 
               RowBox[{
                RowBox[{"Log", "[", 
                 FractionBox["r", 
                  RowBox[{"rs", "[", 
                   RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
                RowBox[{"rs", "[", 
                 RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}], "]"}], 
          " ", 
          RowBox[{"Sin", "[", 
           RowBox[{"k0", " ", 
            RowBox[{"Hold", "[", 
             RowBox[{
              SqrtBox[
               RowBox[{"1", "-", 
                FractionBox[
                 RowBox[{"rs", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "r"}], "+", "t", "+", 
                RowBox[{"rs", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "+", 
                RowBox[{
                 RowBox[{"Log", "[", 
                  FractionBox["r", 
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
                 RowBox[{"rs", "[", 
                  RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}]}], 
           "]"}]}], "+", 
         RowBox[{"2", " ", "k1", " ", 
          RowBox[{"b1", "[", 
           RowBox[{"Hold", "[", 
            RowBox[{
             SqrtBox[
              RowBox[{"1", "-", 
               FractionBox[
                RowBox[{"rs", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "r"}], "+", "t", "+", 
               RowBox[{"rs", "[", 
                RowBox[{"t", ",", "r"}], "]"}], "+", 
               RowBox[{
                RowBox[{"Log", "[", 
                 FractionBox["r", 
                  RowBox[{"rs", "[", 
                   RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
                RowBox[{"rs", "[", 
                 RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}], "]"}], 
          " ", 
          RowBox[{"Sin", "[", 
           RowBox[{"k1", " ", 
            RowBox[{"Hold", "[", 
             RowBox[{
              SqrtBox[
               RowBox[{"1", "-", 
                FractionBox[
                 RowBox[{"rs", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "r"}], "+", "t", "+", 
                RowBox[{"rs", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "+", 
                RowBox[{
                 RowBox[{"Log", "[", 
                  FractionBox["r", 
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
                 RowBox[{"rs", "[", 
                  RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}]}], 
           "]"}]}]}], ")"}]}]}], ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     RowBox[{"1", "/", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{
         FractionBox["1", "r"], 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"rs", "[", 
            RowBox[{"t", ",", "r"}], "]"}], "+", 
           RowBox[{"2", " ", "k0", " ", 
            RowBox[{"b0", "[", 
             RowBox[{"Hold", "[", 
              RowBox[{
               SqrtBox[
                RowBox[{"1", "-", 
                 FractionBox[
                  RowBox[{"rs", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "r"}], "+", "t", "+", 
                 RowBox[{"rs", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "+", 
                 RowBox[{
                  RowBox[{"Log", "[", 
                   FractionBox["r", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
                  RowBox[{"rs", "[", 
                   RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}], "]"}], 
            " ", 
            RowBox[{"Sin", "[", 
             RowBox[{"k0", " ", 
              RowBox[{"Hold", "[", 
               RowBox[{
                SqrtBox[
                 RowBox[{"1", "-", 
                  FractionBox[
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "r"}], "+", "t", "+", 
                  RowBox[{"rs", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "+", 
                  RowBox[{
                   RowBox[{"Log", "[", 
                    FractionBox["r", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}]}], 
             "]"}]}], "+", 
           RowBox[{"2", " ", "k1", " ", 
            RowBox[{"b1", "[", 
             RowBox[{"Hold", "[", 
              RowBox[{
               SqrtBox[
                RowBox[{"1", "-", 
                 FractionBox[
                  RowBox[{"rs", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "r"}], "+", "t", "+", 
                 RowBox[{"rs", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "+", 
                 RowBox[{
                  RowBox[{"Log", "[", 
                   FractionBox["r", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
                  RowBox[{"rs", "[", 
                   RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}], "]"}], 
            " ", 
            RowBox[{"Sin", "[", 
             RowBox[{"k1", " ", 
              RowBox[{"Hold", "[", 
               RowBox[{
                SqrtBox[
                 RowBox[{"1", "-", 
                  FractionBox[
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "r"}], "+", "t", "+", 
                  RowBox[{"rs", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "+", 
                  RowBox[{
                   RowBox[{"Log", "[", 
                    FractionBox["r", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}]}], 
             "]"}]}]}], ")"}]}]}], ")"}]}], ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     SuperscriptBox["r", "2"], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", 
     RowBox[{
      SuperscriptBox["r", "2"], " ", 
      SuperscriptBox[
       RowBox[{"Sin", "[", "theta", "]"}], "2"]}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.692998267340469*^9, 3.693001834037871*^9, 
  3.6930020433127785`*^9, 3.693008056815114*^9, 3.6930827531391373`*^9, 
  3.693171772123269*^9, 3.69325587665989*^9, 3.693420624684059*^9, 
  3.6934333677658362`*^9, 3.69343425054712*^9, 3.6934358177524834`*^9, 
  3.693703314285778*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"metricsign", "=", 
  RowBox[{"-", "1"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"-", "1"}]], "Output",
 CellChangeTimes->CompressedData["
1:eJwVyGlI03EYwPFpWWvDSI3cRms5ZoZBDtq6nKO/5QTzjQ1kLouKKTIHGjOi
4bFLbWaQdCg0peZw4WoeiYYHlVKElBZqus0joQL3MycbC1tLe54XXz7wTbpW
dqEoikajFUDyMFn35hNKxNQNSRWEYq+X9T1VEcoyt7ivuppQY/OlKpS+QlbQ
z6cN7xtAfjBB8kRPqOK4xfxxMEpya2oajLU9f+gFb5u/XgkZCPWoPC6yy0go
ezAphQFyXBcptNtVqkRbNpreoNrZrAB62W/VMsFeJjeMSsxXM2LBf5Jfr1Bb
is25H9T9VXWjRuvOQZQhCh3n4velpqOCWudyNliTJnvsAPnn56bQj73xfvTD
QF+JE8zmTfT3gO0/RXtfgmrhIR16TN9l94LDGUWcebC8474QLfKJNtfAykCe
2w82WoZWY0yEWppeit4BctgNdJQ+05SAvrZ+T0a52+rUaJ1TLKODZ4xSNwvU
jnrEPHD00jNWLija+NKuAEcMggE00Ln7ZgF4YNXXioZbDZPo+Av+QSVI3Ol6
NBK9vQ2tYoQLdaCwOCaxCqy87hCjyrd551D62ZGtalB/WFNVA1oiJg+aW8pO
1oO/xfELRrBE9eOECfSVu3JQzZEuN7r5bYGgaSGtzAw+MKxVoA2WCV4bWCEw
j6FS65DCDp4i7wQu8A5LMzkD3pNk3p0F5zVqBypr5DR7wELppz1bYD+tvj7V
TChPa3OLHAy6Ehl2cDr8J7MTHM6S96Aa9ckbTnB5MCf+aC2h/gNe2HN4
  "]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SetOptions", "[", 
  RowBox[{"Simplify", ",", 
   RowBox[{"TimeConstraint", "\[Rule]", "2"}], ",", 
   RowBox[{"ExcludedForms", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Hold", "[", "_", "]"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6922723597359543`*^9, 3.6922723648357763`*^9}, {
  3.6922725032619686`*^9, 3.692272509369137*^9}, {3.6922726339212465`*^9, 
  3.692272634537264*^9}, {3.692272891788716*^9, 3.692272931458044*^9}, {
  3.6922730240975666`*^9, 3.6922730415977383`*^9}, {3.6922771366019216`*^9, 
  3.692277139055995*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"Assumptions", "\[RuleDelayed]", "$Assumptions"}], ",", 
   RowBox[{"ComplexityFunction", "\[Rule]", "Automatic"}], ",", 
   RowBox[{"ExcludedForms", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Hold", "[", "_", "]"}], "}"}]}], ",", 
   RowBox[{"TimeConstraint", "\[Rule]", "2"}], ",", 
   RowBox[{"TransformationFunctions", "\[Rule]", "Automatic"}], ",", 
   RowBox[{"Trig", "\[Rule]", "True"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.692272540478161*^9, 3.6922726377741127`*^9, 3.692272953799692*^9, 
   3.6922730907661715`*^9, 3.692274983525832*^9, 3.6922751203623147`*^9, 
   3.692277284039435*^9, 3.692278061610247*^9, 3.6922792083044815`*^9, 
   3.6922866733448443`*^9, 3.6923827934007397`*^9, 3.692383455707673*^9, 
   3.6923888988359227`*^9, 3.692389357991376*^9, 3.692389434351907*^9, 
   3.6923906054894114`*^9, 3.6923941881486573`*^9, 3.6923951868778954`*^9, 
   3.6923998856342974`*^9, 3.692402963883411*^9, 3.692403991243142*^9, 
   3.6924044738651447`*^9, {3.692407692439459*^9, 3.6924077111732483`*^9}, 
   3.6924083049058847`*^9, 3.692408384277742*^9, 3.6924085710326695`*^9, 
   3.6924834870710106`*^9, 3.692483537403897*^9, 3.6924860662401342`*^9, 
   3.692486265175197*^9, 3.6924872125564995`*^9, 3.6925256647804484`*^9, 
   3.6925381462081146`*^9, 3.6925399523055706`*^9, 3.6925410335894704`*^9, 
   3.6925420525244317`*^9, 3.692543548159704*^9, 3.692545163373145*^9, 
   3.6925659830515385`*^9, 3.692566932713029*^9, 3.6925671657193565`*^9, 
   3.6925672215858717`*^9, 3.692569996613714*^9, 3.6925735699243913`*^9, 
   3.692577393825159*^9, 3.692611367444897*^9, 3.692624380726575*^9, 
   3.692716291776315*^9, 3.692742159774959*^9, 3.692743608467374*^9, 
   3.692743919341323*^9, 3.6927443160685234`*^9, 3.6927459894670334`*^9, 
   3.6928109838237886`*^9, 3.692816568183234*^9, 3.6928168132481146`*^9, 
   3.692816930570363*^9, 3.6928204779309444`*^9, 3.692821483403459*^9, 
   3.692822228139588*^9, 3.6928228248093576`*^9, 3.6928283925795937`*^9, 
   3.692829119179515*^9, 3.69282926946179*^9, 3.6928304182219343`*^9, 
   3.6928305749221153`*^9, 3.692831283635188*^9, 3.692831663703659*^9, 
   3.6928842224622946`*^9, 3.6928855321304517`*^9, 3.6928969658628225`*^9, 
   3.692917030194974*^9, 3.692998267397008*^9, 3.6930018340849037`*^9, 
   3.6930020433417997`*^9, 3.6930080568441334`*^9, 3.693082758586484*^9, 
   3.6931717722323465`*^9, 3.693255876760154*^9, 3.693420624752115*^9, 
   3.6934333678238773`*^9, 3.6934342506142707`*^9, 3.693435817774499*^9, 
   3.6937033143468204`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SetOptions", "[", 
  RowBox[{"FullSimplify", ",", 
   RowBox[{"TimeConstraint", "\[Rule]", "2"}], ",", 
   RowBox[{"ExcludedForms", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Hold", "[", "_", "]"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.692273048559247*^9, 3.692273049355091*^9}, {
  3.692277144267169*^9, 3.6922771478120174`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"Assumptions", "\[RuleDelayed]", "$Assumptions"}], ",", 
   RowBox[{"ComplexityFunction", "\[Rule]", "Automatic"}], ",", 
   RowBox[{"ExcludedForms", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Hold", "[", "_", "]"}], "}"}]}], ",", 
   RowBox[{"TimeConstraint", "\[Rule]", "2"}], ",", 
   RowBox[{"TransformationFunctions", "\[Rule]", "Automatic"}], ",", 
   RowBox[{"Trig", "\[Rule]", "True"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.6922729538276834`*^9, 3.692273090797192*^9, 3.6922749835808754`*^9, 
   3.6922751204734144`*^9, 3.69227728413751*^9, 3.6922780616247616`*^9, 
   3.692279208344516*^9, 3.6922866733528495`*^9, 3.692382793431759*^9, 
   3.692383455716177*^9, 3.692388898871105*^9, 3.69238935806843*^9, 
   3.69238943438443*^9, 3.692390605497917*^9, 3.692394188161666*^9, 
   3.692395186893907*^9, 3.6923998856770964`*^9, 3.6924029639149737`*^9, 
   3.6924039912751527`*^9, 3.6924044738891873`*^9, {3.6924076924694805`*^9, 
   3.6924077112087746`*^9}, 3.6924083049329305`*^9, 3.6924083843092575`*^9, 
   3.6924085710682287`*^9, 3.6924834871137285`*^9, 3.6924835374339256`*^9, 
   3.692486066299264*^9, 3.692486265199217*^9, 3.69248721259859*^9, 
   3.6925256648084707`*^9, 3.692538146249649*^9, 3.692539952350108*^9, 
   3.692541033633007*^9, 3.6925420525544515`*^9, 3.6925435482067437`*^9, 
   3.6925451634166756`*^9, 3.6925659830795603`*^9, 3.6925669327515855`*^9, 
   3.6925671657273617`*^9, 3.6925672216169333`*^9, 3.6925699966462374`*^9, 
   3.692573569933399*^9, 3.692577393833167*^9, 3.692611367458909*^9, 
   3.6926243807345753`*^9, 3.692716291784313*^9, 3.692742159809723*^9, 
   3.6927436084773827`*^9, 3.6927439193619556`*^9, 3.6927443160841494`*^9, 
   3.692745989507077*^9, 3.6928109838367977`*^9, 3.692816568200246*^9, 
   3.692816813263625*^9, 3.692816930584873*^9, 3.692820477944955*^9, 
   3.6928214834184704`*^9, 3.692822228155099*^9, 3.6928228248243685`*^9, 
   3.6928283925916023`*^9, 3.692829119191024*^9, 3.692829269472799*^9, 
   3.6928304182559566`*^9, 3.692830574949135*^9, 3.6928312836466956`*^9, 
   3.692831663805732*^9, 3.6928842224703007`*^9, 3.6928855321460915`*^9, 
   3.6928969658784475`*^9, 3.692917030204981*^9, 3.6929982674120183`*^9, 
   3.6930018340984135`*^9, 3.693002043355809*^9, 3.693008056858143*^9, 
   3.6930827586019945`*^9, 3.6931717722468567`*^9, 3.693255876760154*^9, 
   3.6934206247631226`*^9, 3.6934333678353887`*^9, 3.6934342506262794`*^9, 
   3.693435817787508*^9, 3.69370331435983*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"SEGMENT", ":", " ", 
   RowBox[{"RUN", " ", 
    RowBox[{"DIFFGEO", ".", "M"}], " ", "HERE"}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.6920573258458366`*^9, 3.692057346358941*^9}, {
  3.6921322102229614`*^9, 3.6921322119076242`*^9}}],

Cell[BoxData[
 RowBox[{"Clear", "[", "rules", "]"}]], "Input",
 CellChangeTimes->{{3.6923998720301657`*^9, 3.6923998743356133`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"rules", "=", 
  RowBox[{"Dispatch", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"b0", "[", 
       RowBox[{
        SqrtBox[
         RowBox[{"1", "-", 
          FractionBox[
           RowBox[{"rs", "[", 
            RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "r"}], "+", "t", "+", 
          RowBox[{"rs", "[", 
           RowBox[{"t", ",", "r"}], "]"}], "+", 
          RowBox[{
           RowBox[{"Log", "[", 
            FractionBox["r", 
             RowBox[{"rs", "[", 
              RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
           RowBox[{"rs", "[", 
            RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}], "\[Rule]", 
      "a0"}], ",", 
     RowBox[{
      RowBox[{"b1", "[", 
       RowBox[{
        SqrtBox[
         RowBox[{"1", "-", 
          FractionBox[
           RowBox[{"rs", "[", 
            RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "r"}], "+", "t", "+", 
          RowBox[{"rs", "[", 
           RowBox[{"t", ",", "r"}], "]"}], "+", 
          RowBox[{
           RowBox[{"Log", "[", 
            FractionBox["r", 
             RowBox[{"rs", "[", 
              RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
           RowBox[{"rs", "[", 
            RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}], "\[Rule]", 
      "a1"}], ",", 
     RowBox[{
      RowBox[{"rs", "[", 
       RowBox[{"t", ",", "r"}], "]"}], "\[Rule]", "rsc"}], ",", " ", 
     RowBox[{
      RowBox[{
       SuperscriptBox["rs", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"1", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"t", ",", " ", "r"}], "]"}], " ", "->", " ", "rst"}], ",", " ", 
     RowBox[{
      RowBox[{
       SuperscriptBox["rs", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"2", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"t", ",", " ", "r"}], "]"}], " ", "->", " ", "rstt"}], ",", 
     " ", 
     RowBox[{
      RowBox[{
       SuperscriptBox["rs", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"t", ",", " ", "r"}], "]"}], " ", "\[Rule]", "rsr"}], ",", " ", 
     RowBox[{
      RowBox[{
       SuperscriptBox["rs", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "2"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"t", ",", " ", "r"}], "]"}], " ", "->", " ", "rsrr"}]}], "}"}],
    "]"}]}]], "Input",
 CellChangeTimes->{{3.6922786159011793`*^9, 3.692278646005175*^9}, 
   3.692286647745609*^9, 3.6923936570868874`*^9, 3.692399167760434*^9, {
   3.692402450626068*^9, 3.6924024743824387`*^9}, {3.692565778243486*^9, 
   3.6925658666041613`*^9}, {3.6925668767761817`*^9, 
   3.6925668824170923`*^9}, {3.692573301309145*^9, 3.6925734079687815`*^9}, {
   3.6927426559336386`*^9, 3.6927427040196466`*^9}, {3.6927427507769613`*^9, 
   3.692742778997644*^9}, {3.6927428333914604`*^9, 3.6927428605594044`*^9}, {
   3.69274375374845*^9, 3.692743841409978*^9}, {3.692745404784803*^9, 
   3.6927454661398506`*^9}, {3.692745866225603*^9, 3.6927459123059645`*^9}, {
   3.6929169712852464`*^9, 3.6929169861405487`*^9}, {3.6929970834469266`*^9, 
   3.69299708352248*^9}, {3.6929971198958054`*^9, 3.6929971342975492`*^9}, {
   3.6929971825597267`*^9, 3.692997250931058*^9}, {3.6929980962619386`*^9, 
   3.6929981525917854`*^9}, 3.6930079376479363`*^9, {3.693082675672928*^9, 
   3.6930826813809586`*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   TagBox["Dispatch",
    "SummaryHead"], "[", 
   DynamicModuleBox[{Typeset`open$$ = False}, 
    PanelBox[
     PaneSelectorBox[{False->GridBox[{
        {
         PaneBox[
          ButtonBox[
           
           DynamicBox[FEPrivate`FrontEndResource[
            "FEBitmaps", "SquarePlusIconMedium"],
            ImageSizeCache->{12., {0., 12.}}],
           Appearance->None,
           ButtonFunction:>(Typeset`open$$ = True),
           Evaluator->Automatic,
           Method->"Preemptive"],
          Alignment->{Center, Center},
          
          ImageSize->
           Dynamic[{
            Automatic, 
             3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
              Magnification])}]], 
         GraphicsBox[
          {GrayLevel[0.5], 
           PolygonBox[{{0.25, 0.5}, {0.05, 0.35}, {0.15, 0.35}, {0.35, 0.5}, {
            0.15, 0.65}, {0.05, 0.65}}], 
           PolygonBox[{{0.4, 0.5}, {0.2, 0.35}, {0.35, 0.35}, {0.55, 0.5}, {
            0.35, 0.65}, {0.2, 0.65}}], 
           PolygonBox[{{0.95, 0.5}, {0.55, 0.1}, {0.6, 0.35}, {0.4, 0.35}, {
            0.6, 0.5}, {0.4, 0.65}, {0.6, 0.65}, {0.55, 0.9}}]},
          AspectRatio->1,
          Axes->False,
          Background->GrayLevel[0.93],
          Frame->True,
          FrameStyle->Directive[
            Thickness[Tiny], 
            GrayLevel[0.7]],
          FrameTicks->None,
          
          ImageSize->
           Dynamic[{
            Automatic, 
             3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
              Magnification])}],
          PlotRange->{{-0.05, 1.05}, {-0.05, 1.05}}], GridBox[{
           {
            RowBox[{
             TagBox["\<\"Length: \"\>",
              "SummaryItemAnnotation"], "\[InvisibleSpace]", 
             TagBox["7",
              "SummaryItem"]}]}
          },
          AutoDelete->False,
          
          BaseStyle->{
           ShowStringCharacters -> False, NumberMarks -> False, 
            PrintPrecision -> 3, ShowSyntaxStyles -> False},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Automatic}}},
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{2}}, "Rows" -> {{Automatic}}}]}
       },
       AutoDelete->False,
       BaselinePosition->{1, 1},
       GridBoxAlignment->{"Rows" -> {{Top}}},
       GridBoxItemSize->{
        "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], True->GridBox[{
        {
         PaneBox[
          ButtonBox[
           
           DynamicBox[FEPrivate`FrontEndResource[
            "FEBitmaps", "SquareMinusIconMedium"]],
           Appearance->None,
           ButtonFunction:>(Typeset`open$$ = False),
           Evaluator->Automatic,
           Method->"Preemptive"],
          Alignment->{Center, Center},
          
          ImageSize->
           Dynamic[{
            Automatic, 
             3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
              Magnification])}]], 
         GraphicsBox[
          {GrayLevel[0.5], 
           PolygonBox[{{0.25, 0.5}, {0.05, 0.35}, {0.15, 0.35}, {0.35, 0.5}, {
            0.15, 0.65}, {0.05, 0.65}}], 
           PolygonBox[{{0.4, 0.5}, {0.2, 0.35}, {0.35, 0.35}, {0.55, 0.5}, {
            0.35, 0.65}, {0.2, 0.65}}], 
           PolygonBox[{{0.95, 0.5}, {0.55, 0.1}, {0.6, 0.35}, {0.4, 0.35}, {
            0.6, 0.5}, {0.4, 0.65}, {0.6, 0.65}, {0.55, 0.9}}]},
          AspectRatio->1,
          Axes->False,
          Background->GrayLevel[0.93],
          Frame->True,
          FrameStyle->Directive[
            Thickness[Tiny], 
            GrayLevel[0.7]],
          FrameTicks->None,
          
          ImageSize->
           Dynamic[{
            Automatic, 
             3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
              Magnification])}],
          PlotRange->{{-0.05, 1.05}, {-0.05, 1.05}}], GridBox[{
           {
            RowBox[{
             TagBox["\<\"Length: \"\>",
              "SummaryItemAnnotation"], "\[InvisibleSpace]", 
             TagBox["7",
              "SummaryItem"]}]},
           {
            RowBox[{
             TagBox["\<\"Rules:\"\>",
              "SummaryItemAnnotation"], "\[InvisibleSpace]", 
             TagBox["\<\"\"\>",
              "SummaryItem"]}]},
           {
            TagBox[
             TagBox[GridBox[{
                {
                 RowBox[{
                  RowBox[{"b0", "[", 
                   RowBox[{
                    SqrtBox[
                    RowBox[{"1", "-", 
                    FractionBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "r"}], "+", "t", "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "+", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    FractionBox["r", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}], 
                  "\[Rule]", "a0"}]},
                {
                 RowBox[{
                  RowBox[{"b1", "[", 
                   RowBox[{
                    SqrtBox[
                    RowBox[{"1", "-", 
                    FractionBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "r"}], "+", "t", "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "+", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    FractionBox["r", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}], 
                  "\[Rule]", "a1"}]},
                {
                 RowBox[{
                  RowBox[{"rs", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "\[Rule]", "rsc"}]},
                {
                 RowBox[{
                  RowBox[{
                   SuperscriptBox["rs", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"1", ",", "0"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "\[Rule]", "rst"}]},
                {
                 RowBox[{
                  RowBox[{
                   SuperscriptBox["rs", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"2", ",", "0"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "\[Rule]", "rstt"}]},
                {
                 ItemBox["\<\"\[VerticalEllipsis]\"\>",
                  Alignment->Center,
                  StripOnInput->False]}
               },
               DefaultBaseStyle->"Column",
               GridBoxAlignment->{"Columns" -> {{Left}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
              "Column"],
             "SummaryItem"]}
          },
          AutoDelete->False,
          
          BaseStyle->{
           ShowStringCharacters -> False, NumberMarks -> False, 
            PrintPrecision -> 3, ShowSyntaxStyles -> False},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Automatic}}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{2}}, "Rows" -> {{Automatic}}}]}
       },
       AutoDelete->False,
       BaselinePosition->{1, 1},
       GridBoxAlignment->{"Rows" -> {{Top}}},
       GridBoxItemSize->{
        "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
      Typeset`open$$],
      ImageSize->Automatic],
     BaselinePosition->Baseline],
    DynamicModuleValues:>{}], "]"}],
  Dispatch[{$CellContext`b0[(
        1 - $CellContext`r^(-1) $CellContext`rs[$CellContext`t, \
$CellContext`r])^
       Rational[
        1, 2] (-$CellContext`r + $CellContext`t + \
$CellContext`rs[$CellContext`t, $CellContext`r] + 
       Log[$CellContext`r/$CellContext`rs[$CellContext`t, $CellContext`r]] \
$CellContext`rs[$CellContext`t, $CellContext`r])] -> $CellContext`a0, \
$CellContext`b1[(
        1 - $CellContext`r^(-1) $CellContext`rs[$CellContext`t, \
$CellContext`r])^
       Rational[
        1, 2] (-$CellContext`r + $CellContext`t + \
$CellContext`rs[$CellContext`t, $CellContext`r] + 
       Log[$CellContext`r/$CellContext`rs[$CellContext`t, $CellContext`r]] \
$CellContext`rs[$CellContext`t, $CellContext`r])] -> $CellContext`a1, \
$CellContext`rs[$CellContext`t, $CellContext`r] -> $CellContext`rsc, 
    Derivative[
     1, 0][$CellContext`rs][$CellContext`t, $CellContext`r] -> \
$CellContext`rst, 
    Derivative[
     2, 0][$CellContext`rs][$CellContext`t, $CellContext`r] -> \
$CellContext`rstt, 
    Derivative[
     0, 1][$CellContext`rs][$CellContext`t, $CellContext`r] -> \
$CellContext`rsr, 
    Derivative[
     0, 2][$CellContext`rs][$CellContext`t, $CellContext`r] -> \
$CellContext`rsrr}],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{
  3.692279208497633*^9, 3.692286673422916*^9, 3.6923827934958067`*^9, 
   3.6923834557862988`*^9, 3.6923888989426546`*^9, 3.692389358120523*^9, 
   3.692389434432479*^9, 3.692390605565979*^9, 3.6923941882767515`*^9, 
   3.692395187007992*^9, 3.69239989741531*^9, 3.6924024836247764`*^9, 
   3.692402963970008*^9, 3.6924039913582582`*^9, 3.692404473940753*^9, {
   3.6924076925430036`*^9, 3.6924077112408*^9}, 3.6924083049869585`*^9, 
   3.6924083843385944`*^9, 3.6924085711083364`*^9, 3.6924834872107983`*^9, 
   3.6924835374580727`*^9, 3.692486066374346*^9, 3.6924862652530622`*^9, 
   3.692487212660632*^9, 3.69252566490757*^9, 3.692538146313697*^9, 
   3.692541033699582*^9, 3.692542052643545*^9, 3.692543548297824*^9, 
   3.692545163483267*^9, 3.6925659831797514`*^9, 3.6925669327896137`*^9, 
   3.692567165796919*^9, 3.692567221674451*^9, 3.6925699967233043`*^9, 
   3.6925735699844384`*^9, 3.692577393904708*^9, 3.6926113675449877`*^9, 
   3.692624380866599*^9, 3.6927162919043593`*^9, 3.6927421599099855`*^9, 
   3.692743637963334*^9, 3.6927439422296357`*^9, 3.692744329833564*^9, 
   3.6927452734698143`*^9, 3.6927457516260376`*^9, 3.6927459896061525`*^9, 
   3.6928110354272413`*^9, 3.692816606084552*^9, 3.6928168384319715`*^9, 
   3.692816947002018*^9, 3.692820500379871*^9, 3.692821507314887*^9, 
   3.692822247709445*^9, 3.6928228487720118`*^9, 3.6928284098718824`*^9, 
   3.69282913820961*^9, 3.6928292969367504`*^9, 3.692830438478799*^9, 
   3.692830585467561*^9, 3.692831311687681*^9, 3.692831679901179*^9, 
   3.692884252014724*^9, 3.6928855529130907`*^9, 3.6929170621672297`*^9, 
   3.6929983730907087`*^9, 3.6930018684724274`*^9, 3.6930020705520525`*^9, 
   3.693008082179557*^9, 3.6930827810543814`*^9, 3.6931718092094536`*^9, 
   3.693255902638281*^9, 3.693420928621436*^9, 3.69343341918785*^9, 
   3.693434275442562*^9, 3.6934358648678055`*^9, 3.693435942598563*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ReleaseHold", "[", "RicciScalar", "]"}]], "Input",
 CellChangeTimes->{{3.6936636892273827`*^9, 3.693663706479471*^9}, {
  3.6937033285358696`*^9, 3.6937033346576977`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"4", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"r", "-", 
        RowBox[{"rs", "[", 
         RowBox[{"t", ",", "r"}], "]"}], "-", 
        RowBox[{"2", " ", "k0", " ", 
         RowBox[{"b0", "[", 
          RowBox[{
           SqrtBox[
            RowBox[{"1", "-", 
             FractionBox[
              RowBox[{"rs", "[", 
               RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "r"}], "+", "t", "+", 
             RowBox[{"rs", "[", 
              RowBox[{"t", ",", "r"}], "]"}], "+", 
             RowBox[{
              RowBox[{"Log", "[", 
               FractionBox["r", 
                RowBox[{"rs", "[", 
                 RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
              RowBox[{"rs", "[", 
               RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}], " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"k0", " ", 
           SqrtBox[
            RowBox[{"1", "-", 
             FractionBox[
              RowBox[{"rs", "[", 
               RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "r"}], "+", "t", "+", 
             RowBox[{"rs", "[", 
              RowBox[{"t", ",", "r"}], "]"}], "+", 
             RowBox[{
              RowBox[{"Log", "[", 
               FractionBox["r", 
                RowBox[{"rs", "[", 
                 RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
              RowBox[{"rs", "[", 
               RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}]}], "-", 
        RowBox[{"2", " ", "k1", " ", 
         RowBox[{"b1", "[", 
          RowBox[{
           SqrtBox[
            RowBox[{"1", "-", 
             FractionBox[
              RowBox[{"rs", "[", 
               RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "r"}], "+", "t", "+", 
             RowBox[{"rs", "[", 
              RowBox[{"t", ",", "r"}], "]"}], "+", 
             RowBox[{
              RowBox[{"Log", "[", 
               FractionBox["r", 
                RowBox[{"rs", "[", 
                 RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
              RowBox[{"rs", "[", 
               RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}], " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"k1", " ", 
           SqrtBox[
            RowBox[{"1", "-", 
             FractionBox[
              RowBox[{"rs", "[", 
               RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "r"}], "+", "t", "+", 
             RowBox[{"rs", "[", 
              RowBox[{"t", ",", "r"}], "]"}], "+", 
             RowBox[{
              RowBox[{"Log", "[", 
               FractionBox["r", 
                RowBox[{"rs", "[", 
                 RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
              RowBox[{"rs", "[", 
               RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}]}]}], ")"}], 
      "3"], " ", 
     RowBox[{
      SuperscriptBox["rs", 
       TagBox[
        RowBox[{"(", 
         RowBox[{"0", ",", "1"}], ")"}],
        Derivative],
       MultilineFunction->None], "[", 
      RowBox[{"t", ",", "r"}], "]"}]}], "+", 
    RowBox[{"r", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"r", "-", 
           RowBox[{"rs", "[", 
            RowBox[{"t", ",", "r"}], "]"}], "-", 
           RowBox[{"2", " ", "k0", " ", 
            RowBox[{"b0", "[", 
             RowBox[{
              SqrtBox[
               RowBox[{"1", "-", 
                FractionBox[
                 RowBox[{"rs", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "r"}], "+", "t", "+", 
                RowBox[{"rs", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "+", 
                RowBox[{
                 RowBox[{"Log", "[", 
                  FractionBox["r", 
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
                 RowBox[{"rs", "[", 
                  RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}], " ", 
            RowBox[{"Sin", "[", 
             RowBox[{"k0", " ", 
              SqrtBox[
               RowBox[{"1", "-", 
                FractionBox[
                 RowBox[{"rs", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "r"}], "+", "t", "+", 
                RowBox[{"rs", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "+", 
                RowBox[{
                 RowBox[{"Log", "[", 
                  FractionBox["r", 
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
                 RowBox[{"rs", "[", 
                  RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}]}], "-", 
           RowBox[{"2", " ", "k1", " ", 
            RowBox[{"b1", "[", 
             RowBox[{
              SqrtBox[
               RowBox[{"1", "-", 
                FractionBox[
                 RowBox[{"rs", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "r"}], "+", "t", "+", 
                RowBox[{"rs", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "+", 
                RowBox[{
                 RowBox[{"Log", "[", 
                  FractionBox["r", 
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
                 RowBox[{"rs", "[", 
                  RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}], " ", 
            RowBox[{"Sin", "[", 
             RowBox[{"k1", " ", 
              SqrtBox[
               RowBox[{"1", "-", 
                FractionBox[
                 RowBox[{"rs", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "r"}], "+", "t", "+", 
                RowBox[{"rs", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "+", 
                RowBox[{
                 RowBox[{"Log", "[", 
                  FractionBox["r", 
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
                 RowBox[{"rs", "[", 
                  RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}]}]}], 
          ")"}], "3"], " ", 
        RowBox[{
         SuperscriptBox["rs", 
          TagBox[
           RowBox[{"(", 
            RowBox[{"0", ",", "2"}], ")"}],
           Derivative],
          MultilineFunction->None], "[", 
         RowBox[{"t", ",", "r"}], "]"}]}], "+", 
       RowBox[{
        SuperscriptBox["r", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", " ", 
           SuperscriptBox[
            RowBox[{
             SuperscriptBox["rs", 
              TagBox[
               RowBox[{"(", 
                RowBox[{"1", ",", "0"}], ")"}],
               Derivative],
              MultilineFunction->None], "[", 
             RowBox[{"t", ",", "r"}], "]"}], "2"]}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"r", "-", 
             RowBox[{"rs", "[", 
              RowBox[{"t", ",", "r"}], "]"}], "-", 
             RowBox[{"2", " ", "k0", " ", 
              RowBox[{"b0", "[", 
               RowBox[{
                SqrtBox[
                 RowBox[{"1", "-", 
                  FractionBox[
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "r"}], "+", "t", "+", 
                  RowBox[{"rs", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "+", 
                  RowBox[{
                   RowBox[{"Log", "[", 
                    FractionBox["r", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}], " ", 
              RowBox[{"Sin", "[", 
               RowBox[{"k0", " ", 
                SqrtBox[
                 RowBox[{"1", "-", 
                  FractionBox[
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "r"}], "+", "t", "+", 
                  RowBox[{"rs", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "+", 
                  RowBox[{
                   RowBox[{"Log", "[", 
                    FractionBox["r", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}]}], "-", 
             RowBox[{"2", " ", "k1", " ", 
              RowBox[{"b1", "[", 
               RowBox[{
                SqrtBox[
                 RowBox[{"1", "-", 
                  FractionBox[
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "r"}], "+", "t", "+", 
                  RowBox[{"rs", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "+", 
                  RowBox[{
                   RowBox[{"Log", "[", 
                    FractionBox["r", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}], " ", 
              RowBox[{"Sin", "[", 
               RowBox[{"k1", " ", 
                SqrtBox[
                 RowBox[{"1", "-", 
                  FractionBox[
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "r"}], "+", "t", "+", 
                  RowBox[{"rs", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "+", 
                  RowBox[{
                   RowBox[{"Log", "[", 
                    FractionBox["r", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}]}]}], 
            ")"}], " ", 
           RowBox[{
            SuperscriptBox["rs", 
             TagBox[
              RowBox[{"(", 
               RowBox[{"2", ",", "0"}], ")"}],
              Derivative],
             MultilineFunction->None], "[", 
            RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}]}], ")"}]}], "+", 
    RowBox[{"r", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"r", "-", 
           RowBox[{"rs", "[", 
            RowBox[{"t", ",", "r"}], "]"}], "-", 
           RowBox[{"2", " ", "k0", " ", 
            RowBox[{"b0", "[", 
             RowBox[{
              SqrtBox[
               RowBox[{"1", "-", 
                FractionBox[
                 RowBox[{"rs", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "r"}], "+", "t", "+", 
                RowBox[{"rs", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "+", 
                RowBox[{
                 RowBox[{"Log", "[", 
                  FractionBox["r", 
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
                 RowBox[{"rs", "[", 
                  RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}], " ", 
            RowBox[{"Sin", "[", 
             RowBox[{"k0", " ", 
              SqrtBox[
               RowBox[{"1", "-", 
                FractionBox[
                 RowBox[{"rs", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "r"}], "+", "t", "+", 
                RowBox[{"rs", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "+", 
                RowBox[{
                 RowBox[{"Log", "[", 
                  FractionBox["r", 
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
                 RowBox[{"rs", "[", 
                  RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}]}], "-", 
           RowBox[{"2", " ", "k1", " ", 
            RowBox[{"b1", "[", 
             RowBox[{
              SqrtBox[
               RowBox[{"1", "-", 
                FractionBox[
                 RowBox[{"rs", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "r"}], "+", "t", "+", 
                RowBox[{"rs", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "+", 
                RowBox[{
                 RowBox[{"Log", "[", 
                  FractionBox["r", 
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
                 RowBox[{"rs", "[", 
                  RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}], " ", 
            RowBox[{"Sin", "[", 
             RowBox[{"k1", " ", 
              SqrtBox[
               RowBox[{"1", "-", 
                FractionBox[
                 RowBox[{"rs", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "r"}], "+", "t", "+", 
                RowBox[{"rs", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "+", 
                RowBox[{
                 RowBox[{"Log", "[", 
                  FractionBox["r", 
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
                 RowBox[{"rs", "[", 
                  RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}]}]}], 
          ")"}], "3"], " ", 
        RowBox[{
         SuperscriptBox["rs", 
          TagBox[
           RowBox[{"(", 
            RowBox[{"0", ",", "2"}], ")"}],
           Derivative],
          MultilineFunction->None], "[", 
         RowBox[{"t", ",", "r"}], "]"}]}], "-", 
       RowBox[{
        SuperscriptBox["r", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", 
           SuperscriptBox[
            RowBox[{
             SuperscriptBox["rs", 
              TagBox[
               RowBox[{"(", 
                RowBox[{"1", ",", "0"}], ")"}],
               Derivative],
              MultilineFunction->None], "[", 
             RowBox[{"t", ",", "r"}], "]"}], "2"]}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "r"}], "+", 
             RowBox[{"rs", "[", 
              RowBox[{"t", ",", "r"}], "]"}], "+", 
             RowBox[{"2", " ", "k0", " ", 
              RowBox[{"b0", "[", 
               RowBox[{
                SqrtBox[
                 RowBox[{"1", "-", 
                  FractionBox[
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "r"}], "+", "t", "+", 
                  RowBox[{"rs", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "+", 
                  RowBox[{
                   RowBox[{"Log", "[", 
                    FractionBox["r", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}], " ", 
              RowBox[{"Sin", "[", 
               RowBox[{"k0", " ", 
                SqrtBox[
                 RowBox[{"1", "-", 
                  FractionBox[
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "r"}], "+", "t", "+", 
                  RowBox[{"rs", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "+", 
                  RowBox[{
                   RowBox[{"Log", "[", 
                    FractionBox["r", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}]}], "+", 
             RowBox[{"2", " ", "k1", " ", 
              RowBox[{"b1", "[", 
               RowBox[{
                SqrtBox[
                 RowBox[{"1", "-", 
                  FractionBox[
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "r"}], "+", "t", "+", 
                  RowBox[{"rs", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "+", 
                  RowBox[{
                   RowBox[{"Log", "[", 
                    FractionBox["r", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}], " ", 
              RowBox[{"Sin", "[", 
               RowBox[{"k1", " ", 
                SqrtBox[
                 RowBox[{"1", "-", 
                  FractionBox[
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "r"}], "+", "t", "+", 
                  RowBox[{"rs", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "+", 
                  RowBox[{
                   RowBox[{"Log", "[", 
                    FractionBox["r", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}]}]}], 
            ")"}], " ", 
           RowBox[{
            SuperscriptBox["rs", 
             TagBox[
              RowBox[{"(", 
               RowBox[{"2", ",", "0"}], ")"}],
              Derivative],
             MultilineFunction->None], "[", 
            RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}]}], ")"}]}]}], ")"}], 
  "/", 
  RowBox[{"(", 
   RowBox[{"2", " ", 
    SuperscriptBox["r", "2"], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"r", "-", 
       RowBox[{"rs", "[", 
        RowBox[{"t", ",", "r"}], "]"}], "-", 
       RowBox[{"2", " ", "k0", " ", 
        RowBox[{"b0", "[", 
         RowBox[{
          SqrtBox[
           RowBox[{"1", "-", 
            FractionBox[
             RowBox[{"rs", "[", 
              RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "r"}], "+", "t", "+", 
            RowBox[{"rs", "[", 
             RowBox[{"t", ",", "r"}], "]"}], "+", 
            RowBox[{
             RowBox[{"Log", "[", 
              FractionBox["r", 
               RowBox[{"rs", "[", 
                RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
             RowBox[{"rs", "[", 
              RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}], " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"k0", " ", 
          SqrtBox[
           RowBox[{"1", "-", 
            FractionBox[
             RowBox[{"rs", "[", 
              RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "r"}], "+", "t", "+", 
            RowBox[{"rs", "[", 
             RowBox[{"t", ",", "r"}], "]"}], "+", 
            RowBox[{
             RowBox[{"Log", "[", 
              FractionBox["r", 
               RowBox[{"rs", "[", 
                RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
             RowBox[{"rs", "[", 
              RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}]}], "-", 
       RowBox[{"2", " ", "k1", " ", 
        RowBox[{"b1", "[", 
         RowBox[{
          SqrtBox[
           RowBox[{"1", "-", 
            FractionBox[
             RowBox[{"rs", "[", 
              RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "r"}], "+", "t", "+", 
            RowBox[{"rs", "[", 
             RowBox[{"t", ",", "r"}], "]"}], "+", 
            RowBox[{
             RowBox[{"Log", "[", 
              FractionBox["r", 
               RowBox[{"rs", "[", 
                RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
             RowBox[{"rs", "[", 
              RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}], " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"k1", " ", 
          SqrtBox[
           RowBox[{"1", "-", 
            FractionBox[
             RowBox[{"rs", "[", 
              RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "r"}], "+", "t", "+", 
            RowBox[{"rs", "[", 
             RowBox[{"t", ",", "r"}], "]"}], "+", 
            RowBox[{
             RowBox[{"Log", "[", 
              FractionBox["r", 
               RowBox[{"rs", "[", 
                RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
             RowBox[{"rs", "[", 
              RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}]}]}], ")"}], 
     "3"]}], ")"}]}]], "Output",
 CellChangeTimes->{3.693703351411047*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Clear", "[", "actionFunc", "]"}]], "Input",
 CellChangeTimes->{{3.6924083546490927`*^9, 3.6924083605134897`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"actionFunc", "[", 
   RowBox[{
   "t_", ",", "r_", ",", "rsc_", ",", "rst_", ",", "rstt_", ",", "rsr_", ",", 
    "rsrr_", ",", "a0_", ",", "k0_", ",", "a1_", ",", "k1_"}], "]"}], ":=", 
  RowBox[{"Evaluate", "[", 
   RowBox[{"Integrate", "[", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"ReleaseHold", "[", 
        RowBox[{"Evaluate", "[", 
         RowBox[{
          RowBox[{"1", "/", 
           RowBox[{"(", 
            RowBox[{"16", "*", "Pi"}], ")"}]}], "*", "RicciScalar", "*", 
          "rg"}], "]"}], "]"}], "/.", "rules"}], ")"}], ",", 
     RowBox[{"{", 
      RowBox[{"theta", ",", "0", ",", 
       RowBox[{"2", "*", "Pi"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"phi", ",", "0", ",", "Pi"}], "}"}]}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6925691104213095`*^9, 3.6925691158943214`*^9}, {
   3.6925691535781374`*^9, 3.692569197305211*^9}, {3.692569840811734*^9, 
   3.69256984652488*^9}, {3.692573432565812*^9, 3.692573492657874*^9}, {
   3.692610997993543*^9, 3.6926110261486764`*^9}, {3.692742717099079*^9, 
   3.6927427402078896`*^9}, {3.6927438744978437`*^9, 
   3.6927438945866003`*^9}, {3.6927441722035418`*^9, 3.692744198937822*^9}, {
   3.6927442493805933`*^9, 3.692744260811923*^9}, 3.6927448970033903`*^9, {
   3.692745056401717*^9, 3.692745058029031*^9}, {3.6927454712885656`*^9, 
   3.6927454893135223`*^9}, {3.692745917763068*^9, 3.6927459336786633`*^9}, {
   3.692827914505286*^9, 3.6928279588561983`*^9}, 3.6928284843511667`*^9, {
   3.6929971826062593`*^9, 3.6929971907440042`*^9}, {3.6929982973947244`*^9, 
   3.692998303989381*^9}, {3.693007943428519*^9, 3.69300794602285*^9}, {
   3.693692585243572*^9, 3.6936925863119583`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SetOptions", "[", 
  RowBox[{"Simplify", ",", 
   RowBox[{"TimeConstraint", "\[Rule]", "30"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6922725279805765`*^9, 3.692272529013902*^9}, {
  3.692272905496808*^9, 3.692272943696654*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"Assumptions", "\[RuleDelayed]", "$Assumptions"}], ",", 
   RowBox[{"ComplexityFunction", "\[Rule]", "Automatic"}], ",", 
   RowBox[{"ExcludedForms", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Hold", "[", "_", "]"}], "}"}]}], ",", 
   RowBox[{"TimeConstraint", "\[Rule]", "30"}], ",", 
   RowBox[{"TransformationFunctions", "\[Rule]", "Automatic"}], ",", 
   RowBox[{"Trig", "\[Rule]", "True"}]}], "}"}]], "Output",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGCwA2LLk3f3Rza9djxrUHAvCkjH3LCwKAbSfoddYkB0WZ1e
VBWQnjEpjKcGSAvN0XyxEkibJmyWXAukN4llaWwE0jdvSblsAtK7tkwq3Aqk
m98q7APRQa8ZlbYB6fDoF8W3gPSDqSGHQLRryIzdt4H0ubjuayBaY0qP9x0g
vcVpzauvQDqpQNTmB5CepyPHwNT82tF2TzaLKJBmSdz7VR5INyZE3fIB0hfT
ag9FAOmOc8zVkUD6nS7vQhDN5t1wEURnfGhzjgLSrKYJXiD64IWcfhC9ciLf
QhBt1HUguQpIH3lsJ1MLpNcFSVuB6M0xhe4geufxPOZ6IK1y5EojiF7j+uku
iG5a+lCjAWTvRtv7TUD6/Lnm1yD63f8Qm2YgvW3+hwAQfWqF1z0QvWV/3UcQ
3Wvi6NMCpCeV/K0A0VyeNarzQP5a//8EiDZiW6e1DsSft/fhVSAdPMFg5nUg
vUMpch2Itq65MvcWyF/fBSX+A2mOTe8naLW8dkzIezc/GEjLbIk2XgKkG6Rj
fFcB6fjQl9tBdPYGlvbVQBoAvikFig==
  "]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SetOptions", "[", 
  RowBox[{"Simplify", ",", 
   RowBox[{"TimeConstraint", "\[Rule]", "30"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6923825085539427`*^9, 3.692382514999054*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"Assumptions", "\[RuleDelayed]", "$Assumptions"}], ",", 
   RowBox[{"ComplexityFunction", "\[Rule]", "Automatic"}], ",", 
   RowBox[{"ExcludedForms", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Hold", "[", "_", "]"}], "}"}]}], ",", 
   RowBox[{"TimeConstraint", "\[Rule]", "30"}], ",", 
   RowBox[{"TransformationFunctions", "\[Rule]", "Automatic"}], ",", 
   RowBox[{"Trig", "\[Rule]", "True"}]}], "}"}]], "Output",
 CellChangeTimes->CompressedData["
1:eJwdymkowwEcxvE/EyNHKeUKUzJ7odUSzdVy5So5ikVhlBwJLzBbxqbJXbzg
BbYROTbHcpRIyxtEKKO5MiXshauVN47n58XTp56+nPL63EoHhmGEWOIgXyzt
tInMykJ3GSxj857m4IHW6KeH3q3V3BVo4gYkr8IXt+GGNZgRzdkhq1McQ9dh
jP6pyQJbL/JN5HT/6NYVlGh6zWTvUV/mNXVziy92uHfmE/cFZVNBjKPSJloP
rXXygQO6bXsw9NSJLVnwxCg3FcLuY1ZbEXzUe2jJLr3ilKyqUSeJ4c1SaQap
SKobJGfdvbT//9euRAp1ysRAOWS7BArJmYjGNFIqqWe1w0PVeQepff64IYtT
rFwFjApJuOukLl5lI/nqgjglrBC855CX4Zm35Gdq+zs5YRRlqaD/w3cLyezJ
wiagNYzZJ0eqDDwDjOTs3J/Dnx/+2AWU34sNJCvWPG6BXpvevr9wOf1tiKey
iVydXyfzYGp0sWAaampKsudhz+XzBlnZ7KxegH+83PKF
  "]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"actionFunc", "[", 
  RowBox[{
  "t", ",", "r", ",", "rsc", ",", "rst", ",", "rstt", ",", "rsr", ",", "rsrr",
    ",", "a0", ",", "k0", ",", "a1", ",", "k1"}], "]"}]], "Input",
 CellChangeTimes->{{3.69240852879646*^9, 3.692408553204437*^9}, 
   3.692483365724203*^9, {3.6925735917868013`*^9, 3.692573609554537*^9}, {
   3.6926243464874353`*^9, 3.692624351300869*^9}, {3.692744790404358*^9, 
   3.6927447906265206`*^9}, 3.6927451403774543`*^9, {3.692746102746492*^9, 
   3.692746112109274*^9}, {3.6928282722808695`*^9, 3.692828274141687*^9}, {
   3.692828660517373*^9, 3.6928286751527243`*^9}, {3.692830708581046*^9, 
   3.6928307121062746`*^9}, {3.6929971826497893`*^9, 
   3.6929971907860346`*^9}, {3.692998311318055*^9, 3.692998315529028*^9}, {
   3.6930079502233152`*^9, 3.693007952657036*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"2", " ", 
     SuperscriptBox["r", "3"], " ", "rsr"}], "-", 
    RowBox[{"6", " ", 
     SuperscriptBox["r", "2"], " ", "rsc", " ", "rsr"}], "+", 
    RowBox[{"6", " ", "r", " ", 
     SuperscriptBox["rsc", "2"], " ", "rsr"}], "-", 
    RowBox[{"2", " ", 
     SuperscriptBox["rsc", "3"], " ", "rsr"}], "+", 
    RowBox[{
     SuperscriptBox["r", "4"], " ", "rsrr"}], "-", 
    RowBox[{"3", " ", 
     SuperscriptBox["r", "3"], " ", "rsc", " ", "rsrr"}], "+", 
    RowBox[{"3", " ", 
     SuperscriptBox["r", "2"], " ", 
     SuperscriptBox["rsc", "2"], " ", "rsrr"}], "-", 
    RowBox[{"r", " ", 
     SuperscriptBox["rsc", "3"], " ", "rsrr"}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["r", "3"], " ", 
     SuperscriptBox["rst", "2"]}], "+", 
    RowBox[{
     SuperscriptBox["r", "4"], " ", "rstt"}], "-", 
    RowBox[{
     SuperscriptBox["r", "3"], " ", "rsc", " ", "rstt"}], "-", 
    RowBox[{"12", " ", "a0", " ", "k0", " ", 
     SuperscriptBox["r", "2"], " ", "rsr", " ", 
     RowBox[{"Sin", "[", 
      RowBox[{"k0", " ", 
       SqrtBox[
        RowBox[{"1", "-", 
         FractionBox["rsc", "r"]}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "r"}], "+", "rsc", "+", "t", "+", 
         RowBox[{"rsc", " ", 
          RowBox[{"Log", "[", 
           FractionBox["r", "rsc"], "]"}]}]}], ")"}]}], "]"}]}], "+", 
    RowBox[{"24", " ", "a0", " ", "k0", " ", "r", " ", "rsc", " ", "rsr", " ", 
     RowBox[{"Sin", "[", 
      RowBox[{"k0", " ", 
       SqrtBox[
        RowBox[{"1", "-", 
         FractionBox["rsc", "r"]}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "r"}], "+", "rsc", "+", "t", "+", 
         RowBox[{"rsc", " ", 
          RowBox[{"Log", "[", 
           FractionBox["r", "rsc"], "]"}]}]}], ")"}]}], "]"}]}], "-", 
    RowBox[{"12", " ", "a0", " ", "k0", " ", 
     SuperscriptBox["rsc", "2"], " ", "rsr", " ", 
     RowBox[{"Sin", "[", 
      RowBox[{"k0", " ", 
       SqrtBox[
        RowBox[{"1", "-", 
         FractionBox["rsc", "r"]}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "r"}], "+", "rsc", "+", "t", "+", 
         RowBox[{"rsc", " ", 
          RowBox[{"Log", "[", 
           FractionBox["r", "rsc"], "]"}]}]}], ")"}]}], "]"}]}], "-", 
    RowBox[{"6", " ", "a0", " ", "k0", " ", 
     SuperscriptBox["r", "3"], " ", "rsrr", " ", 
     RowBox[{"Sin", "[", 
      RowBox[{"k0", " ", 
       SqrtBox[
        RowBox[{"1", "-", 
         FractionBox["rsc", "r"]}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "r"}], "+", "rsc", "+", "t", "+", 
         RowBox[{"rsc", " ", 
          RowBox[{"Log", "[", 
           FractionBox["r", "rsc"], "]"}]}]}], ")"}]}], "]"}]}], "+", 
    RowBox[{"12", " ", "a0", " ", "k0", " ", 
     SuperscriptBox["r", "2"], " ", "rsc", " ", "rsrr", " ", 
     RowBox[{"Sin", "[", 
      RowBox[{"k0", " ", 
       SqrtBox[
        RowBox[{"1", "-", 
         FractionBox["rsc", "r"]}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "r"}], "+", "rsc", "+", "t", "+", 
         RowBox[{"rsc", " ", 
          RowBox[{"Log", "[", 
           FractionBox["r", "rsc"], "]"}]}]}], ")"}]}], "]"}]}], "-", 
    RowBox[{"6", " ", "a0", " ", "k0", " ", "r", " ", 
     SuperscriptBox["rsc", "2"], " ", "rsrr", " ", 
     RowBox[{"Sin", "[", 
      RowBox[{"k0", " ", 
       SqrtBox[
        RowBox[{"1", "-", 
         FractionBox["rsc", "r"]}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "r"}], "+", "rsc", "+", "t", "+", 
         RowBox[{"rsc", " ", 
          RowBox[{"Log", "[", 
           FractionBox["r", "rsc"], "]"}]}]}], ")"}]}], "]"}]}], "-", 
    RowBox[{"2", " ", "a0", " ", "k0", " ", 
     SuperscriptBox["r", "3"], " ", "rstt", " ", 
     RowBox[{"Sin", "[", 
      RowBox[{"k0", " ", 
       SqrtBox[
        RowBox[{"1", "-", 
         FractionBox["rsc", "r"]}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "r"}], "+", "rsc", "+", "t", "+", 
         RowBox[{"rsc", " ", 
          RowBox[{"Log", "[", 
           FractionBox["r", "rsc"], "]"}]}]}], ")"}]}], "]"}]}], "+", 
    RowBox[{"24", " ", 
     SuperscriptBox["a0", "2"], " ", 
     SuperscriptBox["k0", "2"], " ", "r", " ", "rsr", " ", 
     SuperscriptBox[
      RowBox[{"Sin", "[", 
       RowBox[{"k0", " ", 
        SqrtBox[
         RowBox[{"1", "-", 
          FractionBox["rsc", "r"]}]], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "r"}], "+", "rsc", "+", "t", "+", 
          RowBox[{"rsc", " ", 
           RowBox[{"Log", "[", 
            FractionBox["r", "rsc"], "]"}]}]}], ")"}]}], "]"}], "2"]}], "-", 
    RowBox[{"24", " ", 
     SuperscriptBox["a0", "2"], " ", 
     SuperscriptBox["k0", "2"], " ", "rsc", " ", "rsr", " ", 
     SuperscriptBox[
      RowBox[{"Sin", "[", 
       RowBox[{"k0", " ", 
        SqrtBox[
         RowBox[{"1", "-", 
          FractionBox["rsc", "r"]}]], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "r"}], "+", "rsc", "+", "t", "+", 
          RowBox[{"rsc", " ", 
           RowBox[{"Log", "[", 
            FractionBox["r", "rsc"], "]"}]}]}], ")"}]}], "]"}], "2"]}], "+", 
    RowBox[{"12", " ", 
     SuperscriptBox["a0", "2"], " ", 
     SuperscriptBox["k0", "2"], " ", 
     SuperscriptBox["r", "2"], " ", "rsrr", " ", 
     SuperscriptBox[
      RowBox[{"Sin", "[", 
       RowBox[{"k0", " ", 
        SqrtBox[
         RowBox[{"1", "-", 
          FractionBox["rsc", "r"]}]], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "r"}], "+", "rsc", "+", "t", "+", 
          RowBox[{"rsc", " ", 
           RowBox[{"Log", "[", 
            FractionBox["r", "rsc"], "]"}]}]}], ")"}]}], "]"}], "2"]}], "-", 
    RowBox[{"12", " ", 
     SuperscriptBox["a0", "2"], " ", 
     SuperscriptBox["k0", "2"], " ", "r", " ", "rsc", " ", "rsrr", " ", 
     SuperscriptBox[
      RowBox[{"Sin", "[", 
       RowBox[{"k0", " ", 
        SqrtBox[
         RowBox[{"1", "-", 
          FractionBox["rsc", "r"]}]], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "r"}], "+", "rsc", "+", "t", "+", 
          RowBox[{"rsc", " ", 
           RowBox[{"Log", "[", 
            FractionBox["r", "rsc"], "]"}]}]}], ")"}]}], "]"}], "2"]}], "-", 
    RowBox[{"16", " ", 
     SuperscriptBox["a0", "3"], " ", 
     SuperscriptBox["k0", "3"], " ", "rsr", " ", 
     SuperscriptBox[
      RowBox[{"Sin", "[", 
       RowBox[{"k0", " ", 
        SqrtBox[
         RowBox[{"1", "-", 
          FractionBox["rsc", "r"]}]], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "r"}], "+", "rsc", "+", "t", "+", 
          RowBox[{"rsc", " ", 
           RowBox[{"Log", "[", 
            FractionBox["r", "rsc"], "]"}]}]}], ")"}]}], "]"}], "3"]}], "-", 
    RowBox[{"8", " ", 
     SuperscriptBox["a0", "3"], " ", 
     SuperscriptBox["k0", "3"], " ", "r", " ", "rsrr", " ", 
     SuperscriptBox[
      RowBox[{"Sin", "[", 
       RowBox[{"k0", " ", 
        SqrtBox[
         RowBox[{"1", "-", 
          FractionBox["rsc", "r"]}]], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "r"}], "+", "rsc", "+", "t", "+", 
          RowBox[{"rsc", " ", 
           RowBox[{"Log", "[", 
            FractionBox["r", "rsc"], "]"}]}]}], ")"}]}], "]"}], "3"]}], "-", 
    RowBox[{"12", " ", "a1", " ", "k1", " ", 
     SuperscriptBox["r", "2"], " ", "rsr", " ", 
     RowBox[{"Sin", "[", 
      RowBox[{"k1", " ", 
       SqrtBox[
        RowBox[{"1", "-", 
         FractionBox["rsc", "r"]}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "r"}], "+", "rsc", "+", "t", "+", 
         RowBox[{"rsc", " ", 
          RowBox[{"Log", "[", 
           FractionBox["r", "rsc"], "]"}]}]}], ")"}]}], "]"}]}], "+", 
    RowBox[{"24", " ", "a1", " ", "k1", " ", "r", " ", "rsc", " ", "rsr", " ", 
     RowBox[{"Sin", "[", 
      RowBox[{"k1", " ", 
       SqrtBox[
        RowBox[{"1", "-", 
         FractionBox["rsc", "r"]}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "r"}], "+", "rsc", "+", "t", "+", 
         RowBox[{"rsc", " ", 
          RowBox[{"Log", "[", 
           FractionBox["r", "rsc"], "]"}]}]}], ")"}]}], "]"}]}], "-", 
    RowBox[{"12", " ", "a1", " ", "k1", " ", 
     SuperscriptBox["rsc", "2"], " ", "rsr", " ", 
     RowBox[{"Sin", "[", 
      RowBox[{"k1", " ", 
       SqrtBox[
        RowBox[{"1", "-", 
         FractionBox["rsc", "r"]}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "r"}], "+", "rsc", "+", "t", "+", 
         RowBox[{"rsc", " ", 
          RowBox[{"Log", "[", 
           FractionBox["r", "rsc"], "]"}]}]}], ")"}]}], "]"}]}], "-", 
    RowBox[{"6", " ", "a1", " ", "k1", " ", 
     SuperscriptBox["r", "3"], " ", "rsrr", " ", 
     RowBox[{"Sin", "[", 
      RowBox[{"k1", " ", 
       SqrtBox[
        RowBox[{"1", "-", 
         FractionBox["rsc", "r"]}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "r"}], "+", "rsc", "+", "t", "+", 
         RowBox[{"rsc", " ", 
          RowBox[{"Log", "[", 
           FractionBox["r", "rsc"], "]"}]}]}], ")"}]}], "]"}]}], "+", 
    RowBox[{"12", " ", "a1", " ", "k1", " ", 
     SuperscriptBox["r", "2"], " ", "rsc", " ", "rsrr", " ", 
     RowBox[{"Sin", "[", 
      RowBox[{"k1", " ", 
       SqrtBox[
        RowBox[{"1", "-", 
         FractionBox["rsc", "r"]}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "r"}], "+", "rsc", "+", "t", "+", 
         RowBox[{"rsc", " ", 
          RowBox[{"Log", "[", 
           FractionBox["r", "rsc"], "]"}]}]}], ")"}]}], "]"}]}], "-", 
    RowBox[{"6", " ", "a1", " ", "k1", " ", "r", " ", 
     SuperscriptBox["rsc", "2"], " ", "rsrr", " ", 
     RowBox[{"Sin", "[", 
      RowBox[{"k1", " ", 
       SqrtBox[
        RowBox[{"1", "-", 
         FractionBox["rsc", "r"]}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "r"}], "+", "rsc", "+", "t", "+", 
         RowBox[{"rsc", " ", 
          RowBox[{"Log", "[", 
           FractionBox["r", "rsc"], "]"}]}]}], ")"}]}], "]"}]}], "-", 
    RowBox[{"2", " ", "a1", " ", "k1", " ", 
     SuperscriptBox["r", "3"], " ", "rstt", " ", 
     RowBox[{"Sin", "[", 
      RowBox[{"k1", " ", 
       SqrtBox[
        RowBox[{"1", "-", 
         FractionBox["rsc", "r"]}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "r"}], "+", "rsc", "+", "t", "+", 
         RowBox[{"rsc", " ", 
          RowBox[{"Log", "[", 
           FractionBox["r", "rsc"], "]"}]}]}], ")"}]}], "]"}]}], "+", 
    RowBox[{
    "48", " ", "a0", " ", "a1", " ", "k0", " ", "k1", " ", "r", " ", "rsr", 
     " ", 
     RowBox[{"Sin", "[", 
      RowBox[{"k0", " ", 
       SqrtBox[
        RowBox[{"1", "-", 
         FractionBox["rsc", "r"]}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "r"}], "+", "rsc", "+", "t", "+", 
         RowBox[{"rsc", " ", 
          RowBox[{"Log", "[", 
           FractionBox["r", "rsc"], "]"}]}]}], ")"}]}], "]"}], " ", 
     RowBox[{"Sin", "[", 
      RowBox[{"k1", " ", 
       SqrtBox[
        RowBox[{"1", "-", 
         FractionBox["rsc", "r"]}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "r"}], "+", "rsc", "+", "t", "+", 
         RowBox[{"rsc", " ", 
          RowBox[{"Log", "[", 
           FractionBox["r", "rsc"], "]"}]}]}], ")"}]}], "]"}]}], "-", 
    RowBox[{
    "48", " ", "a0", " ", "a1", " ", "k0", " ", "k1", " ", "rsc", " ", "rsr", 
     " ", 
     RowBox[{"Sin", "[", 
      RowBox[{"k0", " ", 
       SqrtBox[
        RowBox[{"1", "-", 
         FractionBox["rsc", "r"]}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "r"}], "+", "rsc", "+", "t", "+", 
         RowBox[{"rsc", " ", 
          RowBox[{"Log", "[", 
           FractionBox["r", "rsc"], "]"}]}]}], ")"}]}], "]"}], " ", 
     RowBox[{"Sin", "[", 
      RowBox[{"k1", " ", 
       SqrtBox[
        RowBox[{"1", "-", 
         FractionBox["rsc", "r"]}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "r"}], "+", "rsc", "+", "t", "+", 
         RowBox[{"rsc", " ", 
          RowBox[{"Log", "[", 
           FractionBox["r", "rsc"], "]"}]}]}], ")"}]}], "]"}]}], "+", 
    RowBox[{"24", " ", "a0", " ", "a1", " ", "k0", " ", "k1", " ", 
     SuperscriptBox["r", "2"], " ", "rsrr", " ", 
     RowBox[{"Sin", "[", 
      RowBox[{"k0", " ", 
       SqrtBox[
        RowBox[{"1", "-", 
         FractionBox["rsc", "r"]}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "r"}], "+", "rsc", "+", "t", "+", 
         RowBox[{"rsc", " ", 
          RowBox[{"Log", "[", 
           FractionBox["r", "rsc"], "]"}]}]}], ")"}]}], "]"}], " ", 
     RowBox[{"Sin", "[", 
      RowBox[{"k1", " ", 
       SqrtBox[
        RowBox[{"1", "-", 
         FractionBox["rsc", "r"]}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "r"}], "+", "rsc", "+", "t", "+", 
         RowBox[{"rsc", " ", 
          RowBox[{"Log", "[", 
           FractionBox["r", "rsc"], "]"}]}]}], ")"}]}], "]"}]}], "-", 
    RowBox[{
    "24", " ", "a0", " ", "a1", " ", "k0", " ", "k1", " ", "r", " ", "rsc", 
     " ", "rsrr", " ", 
     RowBox[{"Sin", "[", 
      RowBox[{"k0", " ", 
       SqrtBox[
        RowBox[{"1", "-", 
         FractionBox["rsc", "r"]}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "r"}], "+", "rsc", "+", "t", "+", 
         RowBox[{"rsc", " ", 
          RowBox[{"Log", "[", 
           FractionBox["r", "rsc"], "]"}]}]}], ")"}]}], "]"}], " ", 
     RowBox[{"Sin", "[", 
      RowBox[{"k1", " ", 
       SqrtBox[
        RowBox[{"1", "-", 
         FractionBox["rsc", "r"]}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "r"}], "+", "rsc", "+", "t", "+", 
         RowBox[{"rsc", " ", 
          RowBox[{"Log", "[", 
           FractionBox["r", "rsc"], "]"}]}]}], ")"}]}], "]"}]}], "-", 
    RowBox[{"48", " ", 
     SuperscriptBox["a0", "2"], " ", "a1", " ", 
     SuperscriptBox["k0", "2"], " ", "k1", " ", "rsr", " ", 
     SuperscriptBox[
      RowBox[{"Sin", "[", 
       RowBox[{"k0", " ", 
        SqrtBox[
         RowBox[{"1", "-", 
          FractionBox["rsc", "r"]}]], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "r"}], "+", "rsc", "+", "t", "+", 
          RowBox[{"rsc", " ", 
           RowBox[{"Log", "[", 
            FractionBox["r", "rsc"], "]"}]}]}], ")"}]}], "]"}], "2"], " ", 
     RowBox[{"Sin", "[", 
      RowBox[{"k1", " ", 
       SqrtBox[
        RowBox[{"1", "-", 
         FractionBox["rsc", "r"]}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "r"}], "+", "rsc", "+", "t", "+", 
         RowBox[{"rsc", " ", 
          RowBox[{"Log", "[", 
           FractionBox["r", "rsc"], "]"}]}]}], ")"}]}], "]"}]}], "-", 
    RowBox[{"24", " ", 
     SuperscriptBox["a0", "2"], " ", "a1", " ", 
     SuperscriptBox["k0", "2"], " ", "k1", " ", "r", " ", "rsrr", " ", 
     SuperscriptBox[
      RowBox[{"Sin", "[", 
       RowBox[{"k0", " ", 
        SqrtBox[
         RowBox[{"1", "-", 
          FractionBox["rsc", "r"]}]], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "r"}], "+", "rsc", "+", "t", "+", 
          RowBox[{"rsc", " ", 
           RowBox[{"Log", "[", 
            FractionBox["r", "rsc"], "]"}]}]}], ")"}]}], "]"}], "2"], " ", 
     RowBox[{"Sin", "[", 
      RowBox[{"k1", " ", 
       SqrtBox[
        RowBox[{"1", "-", 
         FractionBox["rsc", "r"]}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "r"}], "+", "rsc", "+", "t", "+", 
         RowBox[{"rsc", " ", 
          RowBox[{"Log", "[", 
           FractionBox["r", "rsc"], "]"}]}]}], ")"}]}], "]"}]}], "+", 
    RowBox[{"24", " ", 
     SuperscriptBox["a1", "2"], " ", 
     SuperscriptBox["k1", "2"], " ", "r", " ", "rsr", " ", 
     SuperscriptBox[
      RowBox[{"Sin", "[", 
       RowBox[{"k1", " ", 
        SqrtBox[
         RowBox[{"1", "-", 
          FractionBox["rsc", "r"]}]], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "r"}], "+", "rsc", "+", "t", "+", 
          RowBox[{"rsc", " ", 
           RowBox[{"Log", "[", 
            FractionBox["r", "rsc"], "]"}]}]}], ")"}]}], "]"}], "2"]}], "-", 
    RowBox[{"24", " ", 
     SuperscriptBox["a1", "2"], " ", 
     SuperscriptBox["k1", "2"], " ", "rsc", " ", "rsr", " ", 
     SuperscriptBox[
      RowBox[{"Sin", "[", 
       RowBox[{"k1", " ", 
        SqrtBox[
         RowBox[{"1", "-", 
          FractionBox["rsc", "r"]}]], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "r"}], "+", "rsc", "+", "t", "+", 
          RowBox[{"rsc", " ", 
           RowBox[{"Log", "[", 
            FractionBox["r", "rsc"], "]"}]}]}], ")"}]}], "]"}], "2"]}], "+", 
    RowBox[{"12", " ", 
     SuperscriptBox["a1", "2"], " ", 
     SuperscriptBox["k1", "2"], " ", 
     SuperscriptBox["r", "2"], " ", "rsrr", " ", 
     SuperscriptBox[
      RowBox[{"Sin", "[", 
       RowBox[{"k1", " ", 
        SqrtBox[
         RowBox[{"1", "-", 
          FractionBox["rsc", "r"]}]], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "r"}], "+", "rsc", "+", "t", "+", 
          RowBox[{"rsc", " ", 
           RowBox[{"Log", "[", 
            FractionBox["r", "rsc"], "]"}]}]}], ")"}]}], "]"}], "2"]}], "-", 
    RowBox[{"12", " ", 
     SuperscriptBox["a1", "2"], " ", 
     SuperscriptBox["k1", "2"], " ", "r", " ", "rsc", " ", "rsrr", " ", 
     SuperscriptBox[
      RowBox[{"Sin", "[", 
       RowBox[{"k1", " ", 
        SqrtBox[
         RowBox[{"1", "-", 
          FractionBox["rsc", "r"]}]], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "r"}], "+", "rsc", "+", "t", "+", 
          RowBox[{"rsc", " ", 
           RowBox[{"Log", "[", 
            FractionBox["r", "rsc"], "]"}]}]}], ")"}]}], "]"}], "2"]}], "-", 
    RowBox[{"48", " ", "a0", " ", 
     SuperscriptBox["a1", "2"], " ", "k0", " ", 
     SuperscriptBox["k1", "2"], " ", "rsr", " ", 
     RowBox[{"Sin", "[", 
      RowBox[{"k0", " ", 
       SqrtBox[
        RowBox[{"1", "-", 
         FractionBox["rsc", "r"]}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "r"}], "+", "rsc", "+", "t", "+", 
         RowBox[{"rsc", " ", 
          RowBox[{"Log", "[", 
           FractionBox["r", "rsc"], "]"}]}]}], ")"}]}], "]"}], " ", 
     SuperscriptBox[
      RowBox[{"Sin", "[", 
       RowBox[{"k1", " ", 
        SqrtBox[
         RowBox[{"1", "-", 
          FractionBox["rsc", "r"]}]], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "r"}], "+", "rsc", "+", "t", "+", 
          RowBox[{"rsc", " ", 
           RowBox[{"Log", "[", 
            FractionBox["r", "rsc"], "]"}]}]}], ")"}]}], "]"}], "2"]}], "-", 
    RowBox[{"24", " ", "a0", " ", 
     SuperscriptBox["a1", "2"], " ", "k0", " ", 
     SuperscriptBox["k1", "2"], " ", "r", " ", "rsrr", " ", 
     RowBox[{"Sin", "[", 
      RowBox[{"k0", " ", 
       SqrtBox[
        RowBox[{"1", "-", 
         FractionBox["rsc", "r"]}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "r"}], "+", "rsc", "+", "t", "+", 
         RowBox[{"rsc", " ", 
          RowBox[{"Log", "[", 
           FractionBox["r", "rsc"], "]"}]}]}], ")"}]}], "]"}], " ", 
     SuperscriptBox[
      RowBox[{"Sin", "[", 
       RowBox[{"k1", " ", 
        SqrtBox[
         RowBox[{"1", "-", 
          FractionBox["rsc", "r"]}]], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "r"}], "+", "rsc", "+", "t", "+", 
          RowBox[{"rsc", " ", 
           RowBox[{"Log", "[", 
            FractionBox["r", "rsc"], "]"}]}]}], ")"}]}], "]"}], "2"]}], "-", 
    RowBox[{"16", " ", 
     SuperscriptBox["a1", "3"], " ", 
     SuperscriptBox["k1", "3"], " ", "rsr", " ", 
     SuperscriptBox[
      RowBox[{"Sin", "[", 
       RowBox[{"k1", " ", 
        SqrtBox[
         RowBox[{"1", "-", 
          FractionBox["rsc", "r"]}]], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "r"}], "+", "rsc", "+", "t", "+", 
          RowBox[{"rsc", " ", 
           RowBox[{"Log", "[", 
            FractionBox["r", "rsc"], "]"}]}]}], ")"}]}], "]"}], "3"]}], "-", 
    RowBox[{"8", " ", 
     SuperscriptBox["a1", "3"], " ", 
     SuperscriptBox["k1", "3"], " ", "r", " ", "rsrr", " ", 
     SuperscriptBox[
      RowBox[{"Sin", "[", 
       RowBox[{"k1", " ", 
        SqrtBox[
         RowBox[{"1", "-", 
          FractionBox["rsc", "r"]}]], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "r"}], "+", "rsc", "+", "t", "+", 
          RowBox[{"rsc", " ", 
           RowBox[{"Log", "[", 
            FractionBox["r", "rsc"], "]"}]}]}], ")"}]}], "]"}], "3"]}]}], 
   ")"}], "/", 
  RowBox[{"(", 
   RowBox[{"4", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"r", "-", "rsc", "-", 
       RowBox[{"2", " ", "a0", " ", "k0", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"k0", " ", 
          SqrtBox[
           RowBox[{"1", "-", 
            FractionBox["rsc", "r"]}]], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "r"}], "+", "rsc", "+", "t", "+", 
            RowBox[{"rsc", " ", 
             RowBox[{"Log", "[", 
              FractionBox["r", "rsc"], "]"}]}]}], ")"}]}], "]"}]}], "-", 
       RowBox[{"2", " ", "a1", " ", "k1", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"k1", " ", 
          SqrtBox[
           RowBox[{"1", "-", 
            FractionBox["rsc", "r"]}]], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "r"}], "+", "rsc", "+", "t", "+", 
            RowBox[{"rsc", " ", 
             RowBox[{"Log", "[", 
              FractionBox["r", "rsc"], "]"}]}]}], ")"}]}], "]"}]}]}], ")"}], 
     "3"]}], ")"}]}]], "Output",
 CellChangeTimes->{3.693082816803622*^9, 3.693171847548023*^9, 
  3.693255935502511*^9, 3.6934209549157753`*^9, 3.69343345101947*^9, 
  3.693434303388754*^9, 3.6934359603061495`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"actionFunc", "[", 
  RowBox[{
  "t", ",", "r", ",", "rsc", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "a0", ",", "k0", ",", "a1", ",", "k1"}], "]"}]], "Input",
 CellChangeTimes->{{3.69240852879646*^9, 3.692408553204437*^9}, 
   3.692483365724203*^9, {3.6925735917868013`*^9, 3.692573609554537*^9}, {
   3.6926243464874353`*^9, 3.692624351300869*^9}, {3.692744790404358*^9, 
   3.6927447906265206`*^9}, 3.6927451403774543`*^9, {3.692746102746492*^9, 
   3.692746112109274*^9}, {3.6928166345447283`*^9, 3.6928166379221153`*^9}, {
   3.6928282806958213`*^9, 3.6928282823940215`*^9}, {3.692998327070177*^9, 
   3.692998328693323*^9}, {3.6930079544458027`*^9, 3.693007956724411*^9}}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.692817489292094*^9, 3.692826680257881*^9, 
  3.6928280663473873`*^9, 3.6928285855608516`*^9, 3.692830716309249*^9, 
  3.6928317581970496`*^9, 3.6928843311116743`*^9, 3.6928856336261663`*^9, 
  3.692917077486292*^9, 3.6929984141236796`*^9, 3.693001945986746*^9, 
  3.6930020990816965`*^9, 3.6930081111330123`*^9, 3.693082816850155*^9, 
  3.6931718477256484`*^9, 3.6932559356236124`*^9, 3.6934209550308614`*^9, 
  3.6934334512994576`*^9, 3.6934343037452674`*^9, 3.693435960450249*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
  "This", " ", "implies", " ", "that", " ", "the", " ", "action", " ", "for", 
   " ", "the", " ", "general", " ", "variation", " ", "can", " ", "be", " ", 
   RowBox[{"simplified", ":"}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.692895923952808*^9, 3.6928959559312863`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"actionFunc", "[", 
  RowBox[{
  "t", ",", "r", ",", "rsc", ",", "rst", ",", "rstt", ",", "rsr", ",", "rsrr",
    ",", "a0", ",", "k0", ",", "0", ",", "0"}], "]"}]], "Input",
 CellChangeTimes->{{3.692998987396113*^9, 3.6929990042259955`*^9}, {
  3.6930079610079374`*^9, 3.6930079645114098`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"2", " ", 
     SuperscriptBox["r", "3"], " ", "rsr"}], "-", 
    RowBox[{"6", " ", 
     SuperscriptBox["r", "2"], " ", "rsc", " ", "rsr"}], "+", 
    RowBox[{"6", " ", "r", " ", 
     SuperscriptBox["rsc", "2"], " ", "rsr"}], "-", 
    RowBox[{"2", " ", 
     SuperscriptBox["rsc", "3"], " ", "rsr"}], "+", 
    RowBox[{
     SuperscriptBox["r", "4"], " ", "rsrr"}], "-", 
    RowBox[{"3", " ", 
     SuperscriptBox["r", "3"], " ", "rsc", " ", "rsrr"}], "+", 
    RowBox[{"3", " ", 
     SuperscriptBox["r", "2"], " ", 
     SuperscriptBox["rsc", "2"], " ", "rsrr"}], "-", 
    RowBox[{"r", " ", 
     SuperscriptBox["rsc", "3"], " ", "rsrr"}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["r", "3"], " ", 
     SuperscriptBox["rst", "2"]}], "+", 
    RowBox[{
     SuperscriptBox["r", "4"], " ", "rstt"}], "-", 
    RowBox[{
     SuperscriptBox["r", "3"], " ", "rsc", " ", "rstt"}], "-", 
    RowBox[{"12", " ", "a0", " ", "k0", " ", 
     SuperscriptBox["r", "2"], " ", "rsr", " ", 
     RowBox[{"Sin", "[", 
      RowBox[{"k0", " ", 
       SqrtBox[
        RowBox[{"1", "-", 
         FractionBox["rsc", "r"]}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "r"}], "+", "rsc", "+", "t", "+", 
         RowBox[{"rsc", " ", 
          RowBox[{"Log", "[", 
           FractionBox["r", "rsc"], "]"}]}]}], ")"}]}], "]"}]}], "+", 
    RowBox[{"24", " ", "a0", " ", "k0", " ", "r", " ", "rsc", " ", "rsr", " ", 
     RowBox[{"Sin", "[", 
      RowBox[{"k0", " ", 
       SqrtBox[
        RowBox[{"1", "-", 
         FractionBox["rsc", "r"]}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "r"}], "+", "rsc", "+", "t", "+", 
         RowBox[{"rsc", " ", 
          RowBox[{"Log", "[", 
           FractionBox["r", "rsc"], "]"}]}]}], ")"}]}], "]"}]}], "-", 
    RowBox[{"12", " ", "a0", " ", "k0", " ", 
     SuperscriptBox["rsc", "2"], " ", "rsr", " ", 
     RowBox[{"Sin", "[", 
      RowBox[{"k0", " ", 
       SqrtBox[
        RowBox[{"1", "-", 
         FractionBox["rsc", "r"]}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "r"}], "+", "rsc", "+", "t", "+", 
         RowBox[{"rsc", " ", 
          RowBox[{"Log", "[", 
           FractionBox["r", "rsc"], "]"}]}]}], ")"}]}], "]"}]}], "-", 
    RowBox[{"6", " ", "a0", " ", "k0", " ", 
     SuperscriptBox["r", "3"], " ", "rsrr", " ", 
     RowBox[{"Sin", "[", 
      RowBox[{"k0", " ", 
       SqrtBox[
        RowBox[{"1", "-", 
         FractionBox["rsc", "r"]}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "r"}], "+", "rsc", "+", "t", "+", 
         RowBox[{"rsc", " ", 
          RowBox[{"Log", "[", 
           FractionBox["r", "rsc"], "]"}]}]}], ")"}]}], "]"}]}], "+", 
    RowBox[{"12", " ", "a0", " ", "k0", " ", 
     SuperscriptBox["r", "2"], " ", "rsc", " ", "rsrr", " ", 
     RowBox[{"Sin", "[", 
      RowBox[{"k0", " ", 
       SqrtBox[
        RowBox[{"1", "-", 
         FractionBox["rsc", "r"]}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "r"}], "+", "rsc", "+", "t", "+", 
         RowBox[{"rsc", " ", 
          RowBox[{"Log", "[", 
           FractionBox["r", "rsc"], "]"}]}]}], ")"}]}], "]"}]}], "-", 
    RowBox[{"6", " ", "a0", " ", "k0", " ", "r", " ", 
     SuperscriptBox["rsc", "2"], " ", "rsrr", " ", 
     RowBox[{"Sin", "[", 
      RowBox[{"k0", " ", 
       SqrtBox[
        RowBox[{"1", "-", 
         FractionBox["rsc", "r"]}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "r"}], "+", "rsc", "+", "t", "+", 
         RowBox[{"rsc", " ", 
          RowBox[{"Log", "[", 
           FractionBox["r", "rsc"], "]"}]}]}], ")"}]}], "]"}]}], "-", 
    RowBox[{"2", " ", "a0", " ", "k0", " ", 
     SuperscriptBox["r", "3"], " ", "rstt", " ", 
     RowBox[{"Sin", "[", 
      RowBox[{"k0", " ", 
       SqrtBox[
        RowBox[{"1", "-", 
         FractionBox["rsc", "r"]}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "r"}], "+", "rsc", "+", "t", "+", 
         RowBox[{"rsc", " ", 
          RowBox[{"Log", "[", 
           FractionBox["r", "rsc"], "]"}]}]}], ")"}]}], "]"}]}], "+", 
    RowBox[{"24", " ", 
     SuperscriptBox["a0", "2"], " ", 
     SuperscriptBox["k0", "2"], " ", "r", " ", "rsr", " ", 
     SuperscriptBox[
      RowBox[{"Sin", "[", 
       RowBox[{"k0", " ", 
        SqrtBox[
         RowBox[{"1", "-", 
          FractionBox["rsc", "r"]}]], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "r"}], "+", "rsc", "+", "t", "+", 
          RowBox[{"rsc", " ", 
           RowBox[{"Log", "[", 
            FractionBox["r", "rsc"], "]"}]}]}], ")"}]}], "]"}], "2"]}], "-", 
    RowBox[{"24", " ", 
     SuperscriptBox["a0", "2"], " ", 
     SuperscriptBox["k0", "2"], " ", "rsc", " ", "rsr", " ", 
     SuperscriptBox[
      RowBox[{"Sin", "[", 
       RowBox[{"k0", " ", 
        SqrtBox[
         RowBox[{"1", "-", 
          FractionBox["rsc", "r"]}]], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "r"}], "+", "rsc", "+", "t", "+", 
          RowBox[{"rsc", " ", 
           RowBox[{"Log", "[", 
            FractionBox["r", "rsc"], "]"}]}]}], ")"}]}], "]"}], "2"]}], "+", 
    RowBox[{"12", " ", 
     SuperscriptBox["a0", "2"], " ", 
     SuperscriptBox["k0", "2"], " ", 
     SuperscriptBox["r", "2"], " ", "rsrr", " ", 
     SuperscriptBox[
      RowBox[{"Sin", "[", 
       RowBox[{"k0", " ", 
        SqrtBox[
         RowBox[{"1", "-", 
          FractionBox["rsc", "r"]}]], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "r"}], "+", "rsc", "+", "t", "+", 
          RowBox[{"rsc", " ", 
           RowBox[{"Log", "[", 
            FractionBox["r", "rsc"], "]"}]}]}], ")"}]}], "]"}], "2"]}], "-", 
    RowBox[{"12", " ", 
     SuperscriptBox["a0", "2"], " ", 
     SuperscriptBox["k0", "2"], " ", "r", " ", "rsc", " ", "rsrr", " ", 
     SuperscriptBox[
      RowBox[{"Sin", "[", 
       RowBox[{"k0", " ", 
        SqrtBox[
         RowBox[{"1", "-", 
          FractionBox["rsc", "r"]}]], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "r"}], "+", "rsc", "+", "t", "+", 
          RowBox[{"rsc", " ", 
           RowBox[{"Log", "[", 
            FractionBox["r", "rsc"], "]"}]}]}], ")"}]}], "]"}], "2"]}], "-", 
    RowBox[{"16", " ", 
     SuperscriptBox["a0", "3"], " ", 
     SuperscriptBox["k0", "3"], " ", "rsr", " ", 
     SuperscriptBox[
      RowBox[{"Sin", "[", 
       RowBox[{"k0", " ", 
        SqrtBox[
         RowBox[{"1", "-", 
          FractionBox["rsc", "r"]}]], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "r"}], "+", "rsc", "+", "t", "+", 
          RowBox[{"rsc", " ", 
           RowBox[{"Log", "[", 
            FractionBox["r", "rsc"], "]"}]}]}], ")"}]}], "]"}], "3"]}], "-", 
    RowBox[{"8", " ", 
     SuperscriptBox["a0", "3"], " ", 
     SuperscriptBox["k0", "3"], " ", "r", " ", "rsrr", " ", 
     SuperscriptBox[
      RowBox[{"Sin", "[", 
       RowBox[{"k0", " ", 
        SqrtBox[
         RowBox[{"1", "-", 
          FractionBox["rsc", "r"]}]], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "r"}], "+", "rsc", "+", "t", "+", 
          RowBox[{"rsc", " ", 
           RowBox[{"Log", "[", 
            FractionBox["r", "rsc"], "]"}]}]}], ")"}]}], "]"}], "3"]}]}], 
   ")"}], "/", 
  RowBox[{"(", 
   RowBox[{"4", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"r", "-", "rsc", "-", 
       RowBox[{"2", " ", "a0", " ", "k0", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"k0", " ", 
          SqrtBox[
           RowBox[{"1", "-", 
            FractionBox["rsc", "r"]}]], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "r"}], "+", "rsc", "+", "t", "+", 
            RowBox[{"rsc", " ", 
             RowBox[{"Log", "[", 
              FractionBox["r", "rsc"], "]"}]}]}], ")"}]}], "]"}]}]}], ")"}], 
     "3"]}], ")"}]}]], "Output",
 CellChangeTimes->{3.6930828169031925`*^9, 3.693171847766177*^9, 
  3.6932559356596394`*^9, 3.6934209550608826`*^9, 3.6934334513254757`*^9, 
  3.6934343038403482`*^9, 3.6934359604852743`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Clear", "[", "rules", "]"}]], "Input",
 CellChangeTimes->{{3.692999825504204*^9, 3.6929998298883004`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"rules", "=", 
  RowBox[{"Dispatch", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"Sin", "[", 
       RowBox[{"k0", " ", 
        SqrtBox[
         RowBox[{"1", "-", 
          FractionBox["rsc", "r"]}]], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "r"}], "+", "rsc", "+", "t", "+", 
          RowBox[{"rsc", " ", 
           RowBox[{"Log", "[", 
            FractionBox["r", "rsc"], "]"}]}]}], ")"}]}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{"1", "/", "2"}], "*", 
       RowBox[{"Hold", "[", 
        RowBox[{"2", 
         RowBox[{
          SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
          RowBox[{"k", " ", 
           RowBox[{"b", "[", 
            RowBox[{"k", ",", 
             RowBox[{"t", "-", "r", "+", 
              RowBox[{"rs", "[", 
               RowBox[{"t", ",", "r"}], "]"}], "+", 
              RowBox[{
               RowBox[{"rs", "[", 
                RowBox[{"t", ",", "r"}], "]"}], " ", 
               RowBox[{"Log", "[", 
                FractionBox["r", 
                 RowBox[{"rs", "[", 
                  RowBox[{"t", ",", "r"}], "]"}]], "]"}]}]}]}], "]"}], " ", 
           RowBox[{"Sin", "[", 
            RowBox[{"k", " ", 
             RowBox[{"(", 
              RowBox[{
               SqrtBox[
                RowBox[{"1", "-", 
                 FractionBox[
                  RowBox[{"rs", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "r"}], "+", "t", "+", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"1", "+", 
                    RowBox[{"Log", "[", 
                    FractionBox["r", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}]}], ")"}], " ", 
                  RowBox[{"rs", "[", 
                   RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], ")"}]}], 
            "]"}], 
           RowBox[{"\[DifferentialD]", "k"}]}]}]}], "]"}]}]}], ",", 
     RowBox[{"rsc", "\[Rule]", 
      RowBox[{"rs", "[", 
       RowBox[{"t", ",", "r"}], "]"}]}], ",", 
     RowBox[{"rsr", "\[Rule]", 
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"rs", "[", 
         RowBox[{"t", ",", "r"}], "]"}], ",", "r"}], "]"}]}], ",", 
     RowBox[{"rsrr", "\[Rule]", 
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{"rs", "[", 
           RowBox[{"t", ",", "r"}], "]"}], ",", "r"}], "]"}], ",", "r"}], 
       "]"}]}], ",", 
     RowBox[{"rst", "\[Rule]", 
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"rs", "[", 
         RowBox[{"t", ",", "r"}], "]"}], ",", "t"}], "]"}]}], ",", 
     RowBox[{"rstt", "\[Rule]", 
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{"rs", "[", 
           RowBox[{"t", ",", "r"}], "]"}], ",", "t"}], "]"}], ",", "t"}], 
       "]"}]}], ",", 
     RowBox[{"a0", "\[Rule]", "1"}], ",", 
     RowBox[{"k0", "\[Rule]", "1"}]}], " ", "}"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.692999237281206*^9, 3.692999432385845*^9}, {
   3.6929995686977434`*^9, 3.69299964993321*^9}, 3.692999680669429*^9, 
   3.6929997140358887`*^9, {3.6929997612738533`*^9, 3.6929997889624057`*^9}, {
   3.692999857274135*^9, 3.6929998644346905`*^9}, 3.6930009540333076`*^9, 
   3.6930017690224113`*^9, {3.693082872992629*^9, 3.693082942879472*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   TagBox["Dispatch",
    "SummaryHead"], "[", 
   DynamicModuleBox[{Typeset`open$$ = False}, 
    PanelBox[
     PaneSelectorBox[{False->GridBox[{
        {
         PaneBox[
          ButtonBox[
           
           DynamicBox[FEPrivate`FrontEndResource[
            "FEBitmaps", "SquarePlusIconMedium"],
            ImageSizeCache->{12., {0., 12.}}],
           Appearance->None,
           ButtonFunction:>(Typeset`open$$ = True),
           Evaluator->Automatic,
           Method->"Preemptive"],
          Alignment->{Center, Center},
          
          ImageSize->
           Dynamic[{
            Automatic, 
             3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
              Magnification])}]], 
         GraphicsBox[
          {GrayLevel[0.5], 
           PolygonBox[{{0.25, 0.5}, {0.05, 0.35}, {0.15, 0.35}, {0.35, 0.5}, {
            0.15, 0.65}, {0.05, 0.65}}], 
           PolygonBox[{{0.4, 0.5}, {0.2, 0.35}, {0.35, 0.35}, {0.55, 0.5}, {
            0.35, 0.65}, {0.2, 0.65}}], 
           PolygonBox[{{0.95, 0.5}, {0.55, 0.1}, {0.6, 0.35}, {0.4, 0.35}, {
            0.6, 0.5}, {0.4, 0.65}, {0.6, 0.65}, {0.55, 0.9}}]},
          AspectRatio->1,
          Axes->False,
          Background->GrayLevel[0.93],
          Frame->True,
          FrameStyle->Directive[
            Thickness[Tiny], 
            GrayLevel[0.7]],
          FrameTicks->None,
          
          ImageSize->
           Dynamic[{
            Automatic, 
             3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
              Magnification])}],
          PlotRange->{{-0.05, 1.05}, {-0.05, 1.05}},
          ImageCache->GraphicsData["CompressedBitmap", "\<\
eJy1VTFrwkAUvphotUPbsdChmRxLp9KxU9ul0L8gpaBDqViHjoJDwMHiIHUQ
HAQLghRREAQpTh0cAg4WBa2D4CDYsaP1u9yFxESTDg45Lu/yve+97717uQnF
w/cPoXjkLiRfxULRcOTuSb58jC1NokAIkfHIBPvFcssWmcznc0KOF7VaTdD2
RMQL3eM5wips73yPruJtp9PRbbvuMM/NZrNQLpf/g7lWVXWRSCQozh1GOphO
p8BwXMABtq/BvtPptBHmdwXzvheLRQ7TI91xhaWKcBzx0FXUFaJBWfwEjH4O
J5PJRz6fB/Izl8udDAaDt1KpxHxJv8lkMtpqtaDij6IoARsK0SFUD119iUaj
ATTcoPjhdrsN9yxqqBAcDoeIgtjReBxoRI2GRwoPSr1eP+/1eigMo8EWJhwx
Gq+JZvlQt/YkkkYC2RAoly04Go2QwBrV/JrZyLM+D0bhn81mL9VqFdBpKpW6
6Ha7qLZoIxfzr2azWbTuZv9MJ3k8HvMU0AFIoVEoFDam4DVSOEjFyo5S83qg
BSA+8mH1+MpkMmdLE1LlZTeRWMtuauB1MhGmE5oZTW1sK5N/a/dKqxfEA6dE
xBYw+sZsyAafnfb7fSJpttdKpbJ6J02U1jtpd7d9aBfjXOA+fO7GCj5fhTqO
FW0AeqGqBes0ztjwhCRGnNPwZHMazaZTuZztwOiqOmG2/V+znJv+scIfJoUx
bA==\
\>"]], GridBox[{
           {
            RowBox[{
             TagBox["\<\"Length: \"\>",
              "SummaryItemAnnotation"], "\[InvisibleSpace]", 
             TagBox["8",
              "SummaryItem"]}]}
          },
          AutoDelete->False,
          
          BaseStyle->{
           ShowStringCharacters -> False, NumberMarks -> False, 
            PrintPrecision -> 3, ShowSyntaxStyles -> False},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Automatic}}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{2}}, "Rows" -> {{Automatic}}}]}
       },
       AutoDelete->False,
       BaselinePosition->{1, 1},
       GridBoxAlignment->{"Rows" -> {{Top}}},
       GridBoxItemSize->{
        "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], True->GridBox[{
        {
         PaneBox[
          ButtonBox[
           
           DynamicBox[FEPrivate`FrontEndResource[
            "FEBitmaps", "SquareMinusIconMedium"]],
           Appearance->None,
           ButtonFunction:>(Typeset`open$$ = False),
           Evaluator->Automatic,
           Method->"Preemptive"],
          Alignment->{Center, Center},
          
          ImageSize->
           Dynamic[{
            Automatic, 
             3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
              Magnification])}]], 
         GraphicsBox[
          {GrayLevel[0.5], 
           PolygonBox[{{0.25, 0.5}, {0.05, 0.35}, {0.15, 0.35}, {0.35, 0.5}, {
            0.15, 0.65}, {0.05, 0.65}}], 
           PolygonBox[{{0.4, 0.5}, {0.2, 0.35}, {0.35, 0.35}, {0.55, 0.5}, {
            0.35, 0.65}, {0.2, 0.65}}], 
           PolygonBox[{{0.95, 0.5}, {0.55, 0.1}, {0.6, 0.35}, {0.4, 0.35}, {
            0.6, 0.5}, {0.4, 0.65}, {0.6, 0.65}, {0.55, 0.9}}]},
          AspectRatio->1,
          Axes->False,
          Background->GrayLevel[0.93],
          Frame->True,
          FrameStyle->Directive[
            Thickness[Tiny], 
            GrayLevel[0.7]],
          FrameTicks->None,
          
          ImageSize->
           Dynamic[{
            Automatic, 
             3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
              Magnification])}],
          PlotRange->{{-0.05, 1.05}, {-0.05, 1.05}}], GridBox[{
           {
            RowBox[{
             TagBox["\<\"Length: \"\>",
              "SummaryItemAnnotation"], "\[InvisibleSpace]", 
             TagBox["8",
              "SummaryItem"]}]},
           {
            RowBox[{
             TagBox["\<\"Rules:\"\>",
              "SummaryItemAnnotation"], "\[InvisibleSpace]", 
             TagBox["\<\"\"\>",
              "SummaryItem"]}]},
           {
            TagBox[
             TagBox[GridBox[{
                {
                 RowBox[{
                  RowBox[{"Sin", "[", 
                   RowBox[{"k0", " ", 
                    SqrtBox[
                    RowBox[{"1", "-", 
                    FractionBox["rsc", "r"]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "r"}], "+", "rsc", "+", "t", "+", 
                    RowBox[{"rsc", " ", 
                    RowBox[{"Log", "[", 
                    FractionBox["r", "rsc"], "]"}]}]}], ")"}]}], "]"}], 
                  "\[Rule]", 
                  RowBox[{
                   FractionBox["1", "2"], " ", 
                   RowBox[{"Hold", "[", 
                    RowBox[{"2", " ", 
                    RowBox[{
                    SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
                    RowBox[{
                    RowBox[{"k", " ", 
                    RowBox[{"b", "[", 
                    RowBox[{"k", ",", 
                    RowBox[{"t", "-", "r", "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "+", 
                    RowBox[{
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], " ", 
                    RowBox[{"Log", "[", 
                    FractionBox["r", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}]}]}]}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"k", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    SqrtBox[
                    RowBox[{"1", "-", 
                    FractionBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "r"}], "+", "t", "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"1", "+", 
                    RowBox[{"Log", "[", 
                    FractionBox["r", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}]}], ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], ")"}]}], 
                    "]"}]}], 
                    RowBox[{"\[DifferentialD]", "k"}]}]}]}], "]"}]}]}]},
                {
                 RowBox[{"rsc", "\[Rule]", 
                  RowBox[{"rs", "[", 
                   RowBox[{"t", ",", "r"}], "]"}]}]},
                {
                 RowBox[{"rsr", "\[Rule]", 
                  RowBox[{
                   SuperscriptBox["rs", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "1"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                   RowBox[{"t", ",", "r"}], "]"}]}]},
                {
                 RowBox[{"rsrr", "\[Rule]", 
                  RowBox[{
                   SuperscriptBox["rs", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"0", ",", "2"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                   RowBox[{"t", ",", "r"}], "]"}]}]},
                {
                 RowBox[{"rst", "\[Rule]", 
                  RowBox[{
                   SuperscriptBox["rs", 
                    TagBox[
                    RowBox[{"(", 
                    RowBox[{"1", ",", "0"}], ")"}],
                    Derivative],
                    MultilineFunction->None], "[", 
                   RowBox[{"t", ",", "r"}], "]"}]}]},
                {
                 ItemBox["\<\"\[VerticalEllipsis]\"\>",
                  Alignment->Center,
                  StripOnInput->False]}
               },
               DefaultBaseStyle->"Column",
               GridBoxAlignment->{"Columns" -> {{Left}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
              "Column"],
             "SummaryItem"]}
          },
          AutoDelete->False,
          
          BaseStyle->{
           ShowStringCharacters -> False, NumberMarks -> False, 
            PrintPrecision -> 3, ShowSyntaxStyles -> False},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Automatic}}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{2}}, "Rows" -> {{Automatic}}}]}
       },
       AutoDelete->False,
       BaselinePosition->{1, 1},
       GridBoxAlignment->{"Rows" -> {{Top}}},
       GridBoxItemSize->{
        "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
      Typeset`open$$],
      ImageSize->Automatic],
     BaselinePosition->Baseline],
    DynamicModuleValues:>{}], "]"}],
  Dispatch[{
   Sin[($CellContext`k0 (1 - $CellContext`r^(-1) $CellContext`rsc)^
        Rational[
         1, 2]) (-$CellContext`r + $CellContext`rsc + $CellContext`t + \
$CellContext`rsc Log[$CellContext`r/$CellContext`rsc])] -> 
    Rational[1, 2] 
     Hold[2 Integrate[($CellContext`k $CellContext`b[$CellContext`k, \
$CellContext`t - $CellContext`r + $CellContext`rs[$CellContext`t, \
$CellContext`r] + $CellContext`rs[$CellContext`t, $CellContext`r] 
             Log[$CellContext`r/$CellContext`rs[$CellContext`t, \
$CellContext`r]]]) 
         Sin[$CellContext`k (
            Sqrt[1 - $CellContext`rs[$CellContext`t, \
$CellContext`r]/$CellContext`r] (-$CellContext`r + $CellContext`t + (1 + 
               Log[$CellContext`r/$CellContext`rs[$CellContext`t, \
$CellContext`r]]) $CellContext`rs[$CellContext`t, $CellContext`r]))], \
{$CellContext`k, 0, 
          Infinity}]], $CellContext`rsc -> $CellContext`rs[$CellContext`t, \
$CellContext`r], $CellContext`rsr -> 
    Derivative[
     0, 1][$CellContext`rs][$CellContext`t, $CellContext`r], \
$CellContext`rsrr -> 
    Derivative[
     0, 2][$CellContext`rs][$CellContext`t, $CellContext`r], $CellContext`rst -> 
    Derivative[
     1, 0][$CellContext`rs][$CellContext`t, $CellContext`r], \
$CellContext`rstt -> 
    Derivative[
     2, 0][$CellContext`rs][$CellContext`t, $CellContext`r], $CellContext`a0 -> 
    1, $CellContext`k0 -> 1}],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.6930019532443705`*^9, 3.693002099416934*^9, 
  3.6930081115262904`*^9, 3.693082817046794*^9, 3.693082889904855*^9, 
  3.693082958969118*^9, 3.6931718479132814`*^9, 3.693255935782728*^9, 
  3.6934209551659613`*^9, 3.6934334514275527`*^9, 3.6934343041866646`*^9, 
  3.693435960570835*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"action", " ", "=", " ", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"actionFunc", "[", 
     RowBox[{
     "t", ",", "r", ",", "rsc", ",", "rst", ",", "rstt", ",", "rsr", ",", 
      "rsrr", ",", "a0", ",", "k0", ",", "0", ",", "0"}], "]"}], "/.", 
    "rules"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.692895969364772*^9, 3.692895988595317*^9}, {
   3.692896027073748*^9, 3.6928961360301266`*^9}, {3.6928962130630274`*^9, 
   3.692896262573557*^9}, 3.6928963064844255`*^9, {3.692896339714775*^9, 
   3.6928963646334906`*^9}, {3.692997083732128*^9, 3.6929970838772316`*^9}, {
   3.692998342444532*^9, 3.692998352557211*^9}, 3.6929990181378183`*^9, {
   3.692999049282859*^9, 3.6929990584178085`*^9}, {3.6929998695468006`*^9, 
   3.692999882920743*^9}, 3.693001811890705*^9, {3.693007973957092*^9, 
   3.693007976353286*^9}, 3.693082810852922*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"2", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"r", "-", 
        RowBox[{"Hold", "[", 
         RowBox[{"2", " ", 
          RowBox[{
           SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
           RowBox[{
            RowBox[{"k", " ", 
             RowBox[{"b", "[", 
              RowBox[{"k", ",", 
               RowBox[{"t", "-", "r", "+", 
                RowBox[{"rs", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "+", 
                RowBox[{
                 RowBox[{"rs", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], " ", 
                 RowBox[{"Log", "[", 
                  FractionBox["r", 
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}]}]}]}], "]"}], " ", 
             RowBox[{"Sin", "[", 
              RowBox[{"k", " ", 
               RowBox[{"(", 
                RowBox[{
                 SqrtBox[
                  RowBox[{"1", "-", 
                   FractionBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", "r"}], "+", "t", "+", 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{"1", "+", 
                    RowBox[{"Log", "[", 
                    FractionBox["r", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}]}], ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], ")"}]}], 
              "]"}]}], 
            RowBox[{"\[DifferentialD]", "k"}]}]}]}], "]"}], "-", 
        RowBox[{"rs", "[", 
         RowBox[{"t", ",", "r"}], "]"}]}], ")"}], "3"], " ", 
     RowBox[{
      SuperscriptBox["rs", 
       TagBox[
        RowBox[{"(", 
         RowBox[{"0", ",", "1"}], ")"}],
        Derivative],
       MultilineFunction->None], "[", 
      RowBox[{"t", ",", "r"}], "]"}]}], "+", 
    RowBox[{"r", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"r", "-", 
           RowBox[{"Hold", "[", 
            RowBox[{"2", " ", 
             RowBox[{
              SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
              RowBox[{
               RowBox[{"k", " ", 
                RowBox[{"b", "[", 
                 RowBox[{"k", ",", 
                  RowBox[{"t", "-", "r", "+", 
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "+", 
                   RowBox[{
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], " ", 
                    RowBox[{"Log", "[", 
                    FractionBox["r", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}]}]}]}], "]"}], " ", 
                RowBox[{"Sin", "[", 
                 RowBox[{"k", " ", 
                  RowBox[{"(", 
                   RowBox[{
                    SqrtBox[
                    RowBox[{"1", "-", 
                    FractionBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "r"}], "+", "t", "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"1", "+", 
                    RowBox[{"Log", "[", 
                    FractionBox["r", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}]}], ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], ")"}]}], 
                 "]"}]}], 
               RowBox[{"\[DifferentialD]", "k"}]}]}]}], "]"}], "-", 
           RowBox[{"rs", "[", 
            RowBox[{"t", ",", "r"}], "]"}]}], ")"}], "3"], " ", 
        RowBox[{
         SuperscriptBox["rs", 
          TagBox[
           RowBox[{"(", 
            RowBox[{"0", ",", "2"}], ")"}],
           Derivative],
          MultilineFunction->None], "[", 
         RowBox[{"t", ",", "r"}], "]"}]}], "+", 
       RowBox[{
        SuperscriptBox["r", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", " ", 
           SuperscriptBox[
            RowBox[{
             SuperscriptBox["rs", 
              TagBox[
               RowBox[{"(", 
                RowBox[{"1", ",", "0"}], ")"}],
               Derivative],
              MultilineFunction->None], "[", 
             RowBox[{"t", ",", "r"}], "]"}], "2"]}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"r", "-", 
             RowBox[{"Hold", "[", 
              RowBox[{"2", " ", 
               RowBox[{
                SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
                RowBox[{
                 RowBox[{"k", " ", 
                  RowBox[{"b", "[", 
                   RowBox[{"k", ",", 
                    RowBox[{"t", "-", "r", "+", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "+", 
                    RowBox[{
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], " ", 
                    RowBox[{"Log", "[", 
                    FractionBox["r", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}]}]}]}], "]"}], " ", 
                  RowBox[{"Sin", "[", 
                   RowBox[{"k", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    SqrtBox[
                    RowBox[{"1", "-", 
                    FractionBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "r"}], "+", "t", "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"1", "+", 
                    RowBox[{"Log", "[", 
                    FractionBox["r", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}]}], ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], ")"}]}], 
                   "]"}]}], 
                 RowBox[{"\[DifferentialD]", "k"}]}]}]}], "]"}], "-", 
             RowBox[{"rs", "[", 
              RowBox[{"t", ",", "r"}], "]"}]}], ")"}], " ", 
           RowBox[{
            SuperscriptBox["rs", 
             TagBox[
              RowBox[{"(", 
               RowBox[{"2", ",", "0"}], ")"}],
              Derivative],
             MultilineFunction->None], "[", 
            RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}]}], ")"}]}]}], ")"}], 
  "/", 
  RowBox[{"(", 
   RowBox[{"4", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"r", "-", 
       RowBox[{"Hold", "[", 
        RowBox[{"2", " ", 
         RowBox[{
          SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
          RowBox[{
           RowBox[{"k", " ", 
            RowBox[{"b", "[", 
             RowBox[{"k", ",", 
              RowBox[{"t", "-", "r", "+", 
               RowBox[{"rs", "[", 
                RowBox[{"t", ",", "r"}], "]"}], "+", 
               RowBox[{
                RowBox[{"rs", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], " ", 
                RowBox[{"Log", "[", 
                 FractionBox["r", 
                  RowBox[{"rs", "[", 
                   RowBox[{"t", ",", "r"}], "]"}]], "]"}]}]}]}], "]"}], " ", 
            RowBox[{"Sin", "[", 
             RowBox[{"k", " ", 
              RowBox[{"(", 
               RowBox[{
                SqrtBox[
                 RowBox[{"1", "-", 
                  FractionBox[
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "r"}], "+", "t", "+", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"1", "+", 
                    RowBox[{"Log", "[", 
                    FractionBox["r", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}]}], ")"}], " ", 
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], ")"}]}], 
             "]"}]}], 
           RowBox[{"\[DifferentialD]", "k"}]}]}]}], "]"}], "-", 
       RowBox[{"rs", "[", 
        RowBox[{"t", ",", "r"}], "]"}]}], ")"}], "3"]}], ")"}]}]], "Output",
 CellChangeTimes->{3.693008111547304*^9, 3.6930828178868866`*^9, 
  3.6930828899313745`*^9, 3.693082959008645*^9, 3.6931718480148525`*^9, 
  3.693255935881708*^9, 3.693420955251731*^9, 3.69343345150161*^9, 
  3.6934343046722355`*^9, 3.693435960668404*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"Further", ",", " ", 
   RowBox[{
   "the", " ", "boundary", " ", "conditions", " ", "are", " ", "satisified", 
    " ", "on", " ", "arbitrary", " ", "volumetric", " ", "or", " ", "surface",
     " ", "shells"}], ",", " ", 
   RowBox[{
    RowBox[{
    "but", " ", "our", " ", "tret", " ", "is", " ", "not", " ", "necessarily",
      " ", "exact", " ", "in", " ", "the", " ", "general", " ", 
     RowBox[{"case", ".", " ", "We"}], " ", "consider", " ", "the", " ", 
     "action", " ", "at", " ", "the", " ", "surface", " ", "r"}], "=", 
    RowBox[{
     RowBox[{"rs", "[", 
      RowBox[{"t", ",", "r"}], "]"}], ":"}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.6931714815375853`*^9, 3.69317151212168*^9}, {
  3.693420673245943*^9, 3.6934208445848475`*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     RowBox[{"Remember", " ", "that", " ", 
      RowBox[{"rs", "[", 
       RowBox[{"t", ",", 
        RowBox[{"rs", "[", 
         RowBox[{"t", ",", "r"}], "]"}]}], "]"}]}], ":=", 
     RowBox[{"rs", "[", 
      RowBox[{"t", ",", "r"}], "]"}]}], ",", " ", 
    RowBox[{"in", " ", "this", " ", 
     RowBox[{"case", "."}]}]}], ")"}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.693421175765521*^9, 3.6934211937680197`*^9}, {
  3.693421290314314*^9, 3.6934213183282547`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"surfaceAction", "=", " ", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"action", "/.", 
      RowBox[{"{", 
       RowBox[{"r", "\[Rule]", 
        RowBox[{"rs", "[", 
         RowBox[{"t", ",", "r"}], "]"}]}], "}"}]}], ")"}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"rs", "[", 
       RowBox[{"t", ",", 
        RowBox[{"rs", "[", 
         RowBox[{"t", ",", "r"}], "]"}]}], "]"}], "\[Rule]", 
      RowBox[{"rs", "[", 
       RowBox[{"t", ",", "r"}], "]"}]}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6931715273309183`*^9, 3.693171598663785*^9}, {
  3.6934208691642704`*^9, 3.6934208916110563`*^9}, {3.6934212360958347`*^9, 
  3.693421240689125*^9}, {3.693421326097067*^9, 3.693421400475548*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"2", " ", 
     SuperscriptBox[
      RowBox[{"Hold", "[", 
       RowBox[{"2", " ", 
        RowBox[{
         SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
         RowBox[{
          RowBox[{"k", " ", 
           RowBox[{"b", "[", 
            RowBox[{"k", ",", 
             RowBox[{"t", "-", 
              RowBox[{"rs", "[", 
               RowBox[{"t", ",", "r"}], "]"}], "+", 
              RowBox[{"rs", "[", 
               RowBox[{"t", ",", "r"}], "]"}], "+", 
              RowBox[{
               RowBox[{"rs", "[", 
                RowBox[{"t", ",", "r"}], "]"}], " ", 
               RowBox[{"Log", "[", 
                FractionBox[
                 RowBox[{"rs", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], 
                 RowBox[{"rs", "[", 
                  RowBox[{"t", ",", "r"}], "]"}]], "]"}]}]}]}], "]"}], " ", 
           RowBox[{"Sin", "[", 
            RowBox[{"k", " ", 
             RowBox[{"(", 
              RowBox[{
               SqrtBox[
                RowBox[{"1", "-", 
                 FractionBox[
                  RowBox[{"rs", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], 
                  RowBox[{"rs", "[", 
                   RowBox[{"t", ",", "r"}], "]"}]]}]], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", 
                  RowBox[{"rs", "[", 
                   RowBox[{"t", ",", "r"}], "]"}]}], "+", "t", "+", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"1", "+", 
                    RowBox[{"Log", "[", 
                    FractionBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}]}], ")"}], " ", 
                  RowBox[{"rs", "[", 
                   RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], ")"}]}], 
            "]"}]}], 
          RowBox[{"\[DifferentialD]", "k"}]}]}]}], "]"}], "3"], " ", 
     RowBox[{
      SuperscriptBox["rs", 
       TagBox[
        RowBox[{"(", 
         RowBox[{"0", ",", "1"}], ")"}],
        Derivative],
       MultilineFunction->None], "[", 
      RowBox[{"t", ",", 
       RowBox[{"rs", "[", 
        RowBox[{"t", ",", "r"}], "]"}]}], "]"}]}], "+", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"Hold", "[", 
       RowBox[{"2", " ", 
        RowBox[{
         SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
         RowBox[{
          RowBox[{"k", " ", 
           RowBox[{"b", "[", 
            RowBox[{"k", ",", 
             RowBox[{"t", "-", 
              RowBox[{"rs", "[", 
               RowBox[{"t", ",", "r"}], "]"}], "+", 
              RowBox[{"rs", "[", 
               RowBox[{"t", ",", "r"}], "]"}], "+", 
              RowBox[{
               RowBox[{"rs", "[", 
                RowBox[{"t", ",", "r"}], "]"}], " ", 
               RowBox[{"Log", "[", 
                FractionBox[
                 RowBox[{"rs", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], 
                 RowBox[{"rs", "[", 
                  RowBox[{"t", ",", "r"}], "]"}]], "]"}]}]}]}], "]"}], " ", 
           RowBox[{"Sin", "[", 
            RowBox[{"k", " ", 
             RowBox[{"(", 
              RowBox[{
               SqrtBox[
                RowBox[{"1", "-", 
                 FractionBox[
                  RowBox[{"rs", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], 
                  RowBox[{"rs", "[", 
                   RowBox[{"t", ",", "r"}], "]"}]]}]], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", 
                  RowBox[{"rs", "[", 
                   RowBox[{"t", ",", "r"}], "]"}]}], "+", "t", "+", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"1", "+", 
                    RowBox[{"Log", "[", 
                    FractionBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}]}], ")"}], " ", 
                  RowBox[{"rs", "[", 
                   RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], ")"}]}], 
            "]"}]}], 
          RowBox[{"\[DifferentialD]", "k"}]}]}]}], "]"}], "3"], " ", 
     RowBox[{"rs", "[", 
      RowBox[{"t", ",", "r"}], "]"}], " ", 
     RowBox[{
      SuperscriptBox["rs", 
       TagBox[
        RowBox[{"(", 
         RowBox[{"0", ",", "2"}], ")"}],
        Derivative],
       MultilineFunction->None], "[", 
      RowBox[{"t", ",", 
       RowBox[{"rs", "[", 
        RowBox[{"t", ",", "r"}], "]"}]}], "]"}]}], "+", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"rs", "[", 
       RowBox[{"t", ",", "r"}], "]"}], "3"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", 
        SuperscriptBox[
         RowBox[{
          SuperscriptBox["rs", 
           TagBox[
            RowBox[{"(", 
             RowBox[{"1", ",", "0"}], ")"}],
            Derivative],
           MultilineFunction->None], "[", 
          RowBox[{"t", ",", 
           RowBox[{"rs", "[", 
            RowBox[{"t", ",", "r"}], "]"}]}], "]"}], "2"]}], "+", 
       RowBox[{
        RowBox[{"Hold", "[", 
         RowBox[{"2", " ", 
          RowBox[{
           SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
           RowBox[{
            RowBox[{"k", " ", 
             RowBox[{"b", "[", 
              RowBox[{"k", ",", 
               RowBox[{"t", "-", 
                RowBox[{"rs", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "+", 
                RowBox[{"rs", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "+", 
                RowBox[{
                 RowBox[{"rs", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], " ", 
                 RowBox[{"Log", "[", 
                  FractionBox[
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], 
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}]}]}]}], "]"}], " ", 
             RowBox[{"Sin", "[", 
              RowBox[{"k", " ", 
               RowBox[{"(", 
                RowBox[{
                 SqrtBox[
                  RowBox[{"1", "-", 
                   FractionBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]]}]], " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}], "+", "t", "+", 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{"1", "+", 
                    RowBox[{"Log", "[", 
                    FractionBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}]}], ")"}], " ", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], ")"}]}], 
              "]"}]}], 
            RowBox[{"\[DifferentialD]", "k"}]}]}]}], "]"}], " ", 
        RowBox[{
         SuperscriptBox["rs", 
          TagBox[
           RowBox[{"(", 
            RowBox[{"2", ",", "0"}], ")"}],
           Derivative],
          MultilineFunction->None], "[", 
         RowBox[{"t", ",", 
          RowBox[{"rs", "[", 
           RowBox[{"t", ",", "r"}], "]"}]}], "]"}]}]}], ")"}]}]}], ")"}], "/", 
  RowBox[{"(", 
   RowBox[{"4", " ", 
    SuperscriptBox[
     RowBox[{"Hold", "[", 
      RowBox[{"2", " ", 
       RowBox[{
        SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
        RowBox[{
         RowBox[{"k", " ", 
          RowBox[{"b", "[", 
           RowBox[{"k", ",", 
            RowBox[{"t", "-", 
             RowBox[{"rs", "[", 
              RowBox[{"t", ",", "r"}], "]"}], "+", 
             RowBox[{"rs", "[", 
              RowBox[{"t", ",", "r"}], "]"}], "+", 
             RowBox[{
              RowBox[{"rs", "[", 
               RowBox[{"t", ",", "r"}], "]"}], " ", 
              RowBox[{"Log", "[", 
               FractionBox[
                RowBox[{"rs", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], 
                RowBox[{"rs", "[", 
                 RowBox[{"t", ",", "r"}], "]"}]], "]"}]}]}]}], "]"}], " ", 
          RowBox[{"Sin", "[", 
           RowBox[{"k", " ", 
            RowBox[{"(", 
             RowBox[{
              SqrtBox[
               RowBox[{"1", "-", 
                FractionBox[
                 RowBox[{"rs", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], 
                 RowBox[{"rs", "[", 
                  RowBox[{"t", ",", "r"}], "]"}]]}]], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", 
                 RowBox[{"rs", "[", 
                  RowBox[{"t", ",", "r"}], "]"}]}], "+", "t", "+", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"1", "+", 
                   RowBox[{"Log", "[", 
                    FractionBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}]}], ")"}], " ", 
                 RowBox[{"rs", "[", 
                  RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], ")"}]}], 
           "]"}]}], 
         RowBox[{"\[DifferentialD]", "k"}]}]}]}], "]"}], "3"]}], 
   ")"}]}]], "Output",
 CellChangeTimes->{
  3.693171848088905*^9, 3.693255935928588*^9, 3.693420955299266*^9, {
   3.6934212178618355`*^9, 3.6934212438225665`*^9}, 3.6934213565780983`*^9, 
   3.6934214245272274`*^9, 3.6934219782906494`*^9, 3.693422026085696*^9, 
   3.693433451592246*^9, 3.6934343049476066`*^9, 3.6934359607689743`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"Notice", " ", "that", " ", "the", " ", "b"}], "\[Rule]", 
   RowBox[{
    RowBox[{
     RowBox[{"b", "[", 
      RowBox[{"k", ",", "t"}], "]"}], " ", "and", " ", 
     RowBox[{"Sin", "[", "...", "]"}]}], "\[Rule]", 
    RowBox[{
     RowBox[{"Sin", "[", "0", "]"}], "."}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.6934217351035395`*^9, 3.6934217837727857`*^9}, {
  3.6934218440352163`*^9, 3.6934218637620263`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"surfaceAction", "=", " ", 
  RowBox[{"surfaceAction", "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Hold", "[", 
      RowBox[{"2", " ", 
       RowBox[{
        SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
        RowBox[{"k", " ", 
         RowBox[{"b", "[", 
          RowBox[{"k", ",", 
           RowBox[{"t", "-", 
            RowBox[{"rs", "[", 
             RowBox[{"t", ",", "r"}], "]"}], "+", 
            RowBox[{"rs", "[", 
             RowBox[{"t", ",", "r"}], "]"}], "+", 
            RowBox[{
             RowBox[{"rs", "[", 
              RowBox[{"t", ",", "r"}], "]"}], " ", 
             RowBox[{"Log", "[", 
              FractionBox[
               RowBox[{"rs", "[", 
                RowBox[{"t", ",", "r"}], "]"}], 
               RowBox[{"rs", "[", 
                RowBox[{"t", ",", "r"}], "]"}]], "]"}]}]}]}], "]"}], " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"k", " ", 
           RowBox[{"(", 
            RowBox[{
             SqrtBox[
              RowBox[{"1", "-", 
               FractionBox[
                RowBox[{"rs", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], 
                RowBox[{"rs", "[", 
                 RowBox[{"t", ",", "r"}], "]"}]]}]], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", 
                RowBox[{"rs", "[", 
                 RowBox[{"t", ",", "r"}], "]"}]}], "+", "t", "+", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"1", "+", 
                  RowBox[{"Log", "[", 
                   FractionBox[
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}]}], ")"}], " ", 
                RowBox[{"rs", "[", 
                 RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], ")"}]}], "]"}], 
         RowBox[{"\[DifferentialD]", "k"}]}]}]}], "]"}], "\[Rule]", 
     RowBox[{"Hold", "[", 
      RowBox[{"2", " ", 
       RowBox[{
        SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
        RowBox[{"k", " ", 
         RowBox[{"b", "[", 
          RowBox[{"k", ",", "t"}], "]"}], " ", 
         RowBox[{"Sin", "[", "0", "]"}], 
         RowBox[{"\[DifferentialD]", "k"}]}]}]}], "]"}]}], "}"}]}]}]], "Input",
 CellChangeTimes->{{3.693421008276579*^9, 3.6934210135343943`*^9}, {
   3.6934214471297345`*^9, 3.6934214805085263`*^9}, {3.693421521039472*^9, 
   3.693421686701083*^9}, {3.693421716716359*^9, 3.6934217239305024`*^9}, 
   3.6934218169185743`*^9, {3.693421967344352*^9, 3.693421969842145*^9}}],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"4", " ", 
    SuperscriptBox[
     RowBox[{"Hold", "[", 
      RowBox[{"2", " ", 
       RowBox[{
        SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
        RowBox[{
         RowBox[{"k", " ", 
          RowBox[{"b", "[", 
           RowBox[{"k", ",", "t"}], "]"}], " ", 
          RowBox[{"Sin", "[", "0", "]"}]}], 
         RowBox[{"\[DifferentialD]", "k"}]}]}]}], "]"}], "3"]}]], 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"2", " ", 
     SuperscriptBox[
      RowBox[{"Hold", "[", 
       RowBox[{"2", " ", 
        RowBox[{
         SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
         RowBox[{
          RowBox[{"k", " ", 
           RowBox[{"b", "[", 
            RowBox[{"k", ",", "t"}], "]"}], " ", 
           RowBox[{"Sin", "[", "0", "]"}]}], 
          RowBox[{"\[DifferentialD]", "k"}]}]}]}], "]"}], "3"], " ", 
     RowBox[{
      SuperscriptBox["rs", 
       TagBox[
        RowBox[{"(", 
         RowBox[{"0", ",", "1"}], ")"}],
        Derivative],
       MultilineFunction->None], "[", 
      RowBox[{"t", ",", 
       RowBox[{"rs", "[", 
        RowBox[{"t", ",", "r"}], "]"}]}], "]"}]}], "+", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"Hold", "[", 
       RowBox[{"2", " ", 
        RowBox[{
         SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
         RowBox[{
          RowBox[{"k", " ", 
           RowBox[{"b", "[", 
            RowBox[{"k", ",", "t"}], "]"}], " ", 
           RowBox[{"Sin", "[", "0", "]"}]}], 
          RowBox[{"\[DifferentialD]", "k"}]}]}]}], "]"}], "3"], " ", 
     RowBox[{"rs", "[", 
      RowBox[{"t", ",", "r"}], "]"}], " ", 
     RowBox[{
      SuperscriptBox["rs", 
       TagBox[
        RowBox[{"(", 
         RowBox[{"0", ",", "2"}], ")"}],
        Derivative],
       MultilineFunction->None], "[", 
      RowBox[{"t", ",", 
       RowBox[{"rs", "[", 
        RowBox[{"t", ",", "r"}], "]"}]}], "]"}]}], "+", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"rs", "[", 
       RowBox[{"t", ",", "r"}], "]"}], "3"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", 
        SuperscriptBox[
         RowBox[{
          SuperscriptBox["rs", 
           TagBox[
            RowBox[{"(", 
             RowBox[{"1", ",", "0"}], ")"}],
            Derivative],
           MultilineFunction->None], "[", 
          RowBox[{"t", ",", 
           RowBox[{"rs", "[", 
            RowBox[{"t", ",", "r"}], "]"}]}], "]"}], "2"]}], "+", 
       RowBox[{
        RowBox[{"Hold", "[", 
         RowBox[{"2", " ", 
          RowBox[{
           SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
           RowBox[{
            RowBox[{"k", " ", 
             RowBox[{"b", "[", 
              RowBox[{"k", ",", "t"}], "]"}], " ", 
             RowBox[{"Sin", "[", "0", "]"}]}], 
            RowBox[{"\[DifferentialD]", "k"}]}]}]}], "]"}], " ", 
        RowBox[{
         SuperscriptBox["rs", 
          TagBox[
           RowBox[{"(", 
            RowBox[{"2", ",", "0"}], ")"}],
           Derivative],
          MultilineFunction->None], "[", 
         RowBox[{"t", ",", 
          RowBox[{"rs", "[", 
           RowBox[{"t", ",", "r"}], "]"}]}], "]"}]}]}], ")"}]}]}], 
   ")"}]}]], "Output",
 CellChangeTimes->{3.693421908025761*^9, 3.6934219783987303`*^9, 
  3.693422026141741*^9, 3.6934334516923656`*^9, 3.6934343049922695`*^9, 
  3.6934359608475304`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"In", " ", "other", " ", "words"}], ","}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.693421868255216*^9, 3.6934218732087374`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"surfaceAction", "=", " ", 
  RowBox[{"surfaceAction", "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Hold", "[", 
      RowBox[{"2", " ", 
       RowBox[{
        SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
        RowBox[{"k", " ", 
         RowBox[{"b", "[", 
          RowBox[{"k", ",", "t"}], "]"}], " ", 
         RowBox[{"Sin", "[", "0", "]"}], 
         RowBox[{"\[DifferentialD]", "k"}]}]}]}], "]"}], "\[Rule]", "b"}], 
    "}"}]}]}]], "Input",
 CellChangeTimes->{
  3.693421900559842*^9, {3.6934219903340874`*^9, 3.693422000562125*^9}, {
   3.6934220401636324`*^9, 3.6934220794833717`*^9}}],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"2", " ", 
    SuperscriptBox["b", "3"], " ", 
    RowBox[{
     SuperscriptBox["rs", 
      TagBox[
       RowBox[{"(", 
        RowBox[{"0", ",", "1"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{"t", ",", 
      RowBox[{"rs", "[", 
       RowBox[{"t", ",", "r"}], "]"}]}], "]"}]}], "+", 
   RowBox[{
    SuperscriptBox["b", "3"], " ", 
    RowBox[{"rs", "[", 
     RowBox[{"t", ",", "r"}], "]"}], " ", 
    RowBox[{
     SuperscriptBox["rs", 
      TagBox[
       RowBox[{"(", 
        RowBox[{"0", ",", "2"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{"t", ",", 
      RowBox[{"rs", "[", 
       RowBox[{"t", ",", "r"}], "]"}]}], "]"}]}], "+", 
   RowBox[{
    SuperscriptBox[
     RowBox[{"rs", "[", 
      RowBox[{"t", ",", "r"}], "]"}], "3"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       SuperscriptBox[
        RowBox[{
         SuperscriptBox["rs", 
          TagBox[
           RowBox[{"(", 
            RowBox[{"1", ",", "0"}], ")"}],
           Derivative],
          MultilineFunction->None], "[", 
         RowBox[{"t", ",", 
          RowBox[{"rs", "[", 
           RowBox[{"t", ",", "r"}], "]"}]}], "]"}], "2"]}], "+", 
      RowBox[{"b", " ", 
       RowBox[{
        SuperscriptBox["rs", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"2", ",", "0"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"t", ",", 
         RowBox[{"rs", "[", 
          RowBox[{"t", ",", "r"}], "]"}]}], "]"}]}]}], ")"}]}]}], 
  RowBox[{"4", " ", 
   SuperscriptBox["b", "3"]}]]], "Output",
 CellChangeTimes->{3.6934219081215167`*^9, 3.6934220063759775`*^9, 
  3.6934220829719815`*^9, 3.693433451718384*^9, 3.693434305018287*^9, 
  3.6934359608760505`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"surfaceAction", "=", 
  RowBox[{"surfaceAction", "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"rs", "[", 
       RowBox[{"t", ",", 
        RowBox[{"rs", "[", 
         RowBox[{"t", ",", "r"}], "]"}]}], "]"}], "\[Rule]", 
      RowBox[{"rs", "[", 
       RowBox[{"t", ",", "r"}], "]"}]}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["rs", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"1", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"t", ",", 
        RowBox[{"rs", "[", 
         RowBox[{"t", ",", "r"}], "]"}]}], "]"}], "->", 
      RowBox[{
       SuperscriptBox["rs", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"1", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"t", ",", "r"}], "]"}]}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["rs", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"t", ",", 
        RowBox[{"rs", "[", 
         RowBox[{"t", ",", "r"}], "]"}]}], "]"}], "->", 
      RowBox[{
       SuperscriptBox["rs", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"t", ",", "r"}], "]"}]}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["rs", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"2", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"t", ",", 
        RowBox[{"rs", "[", 
         RowBox[{"t", ",", "r"}], "]"}]}], "]"}], "->", 
      RowBox[{
       SuperscriptBox["rs", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"2", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"t", ",", "r"}], "]"}]}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["rs", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "2"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"t", ",", 
        RowBox[{"rs", "[", 
         RowBox[{"t", ",", "r"}], "]"}]}], "]"}], "->", 
      RowBox[{
       SuperscriptBox["rs", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "2"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"t", ",", "r"}], "]"}]}]}], "}"}]}]}]], "Input",
 CellChangeTimes->{{3.693422143215197*^9, 3.693422295097288*^9}, {
  3.6934223430030746`*^9, 3.693422436356125*^9}}],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"2", " ", 
    SuperscriptBox["b", "3"], " ", 
    RowBox[{
     SuperscriptBox["rs", 
      TagBox[
       RowBox[{"(", 
        RowBox[{"0", ",", "1"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{"t", ",", "r"}], "]"}]}], "+", 
   RowBox[{
    SuperscriptBox["b", "3"], " ", 
    RowBox[{"rs", "[", 
     RowBox[{"t", ",", "r"}], "]"}], " ", 
    RowBox[{
     SuperscriptBox["rs", 
      TagBox[
       RowBox[{"(", 
        RowBox[{"0", ",", "2"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{"t", ",", "r"}], "]"}]}], "+", 
   RowBox[{
    SuperscriptBox[
     RowBox[{"rs", "[", 
      RowBox[{"t", ",", "r"}], "]"}], "3"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       SuperscriptBox[
        RowBox[{
         SuperscriptBox["rs", 
          TagBox[
           RowBox[{"(", 
            RowBox[{"1", ",", "0"}], ")"}],
           Derivative],
          MultilineFunction->None], "[", 
         RowBox[{"t", ",", "r"}], "]"}], "2"]}], "+", 
      RowBox[{"b", " ", 
       RowBox[{
        SuperscriptBox["rs", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"2", ",", "0"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}]}], 
  RowBox[{"4", " ", 
   SuperscriptBox["b", "3"]}]]], "Output",
 CellChangeTimes->{3.693422176184229*^9, 3.693422298995912*^9, 
  3.693422442475459*^9, 3.693433451734399*^9, 3.6934343050362997`*^9, 
  3.693435960892061*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Limit", "[", 
  RowBox[{"surfaceAction", ",", 
   RowBox[{"b", "\[Rule]", "0"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6934220887017117`*^9, 3.693422107285314*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "\[Infinity]"}], " ", 
  SuperscriptBox[
   RowBox[{"rs", "[", 
    RowBox[{"t", ",", "r"}], "]"}], "3"], " ", 
  SuperscriptBox[
   RowBox[{
    SuperscriptBox["rs", 
     TagBox[
      RowBox[{"(", 
       RowBox[{"1", ",", "0"}], ")"}],
      Derivative],
     MultilineFunction->None], "[", 
    RowBox[{"t", ",", "r"}], "]"}], "2"]}]], "Output",
 CellChangeTimes->{3.69342211065595*^9, 3.693422459166114*^9, 
  3.693433451792476*^9, 3.693434305093445*^9, 3.6934359609255853`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"surfaceAction", "=", 
  RowBox[{"Limit", "[", 
   RowBox[{
    RowBox[{
     FractionBox[
      RowBox[{
       SuperscriptBox["rs", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"t", ",", "r"}], "]"}], "2"], "+", 
     FractionBox[
      RowBox[{
       RowBox[{"rs", "[", 
        RowBox[{"t", ",", "r"}], "]"}], " ", 
       RowBox[{
        SuperscriptBox["rs", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"0", ",", "2"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"t", ",", "r"}], "]"}]}], 
      RowBox[{"4", " "}]], "+", 
     FractionBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{"rs", "[", 
         RowBox[{"t", ",", "r"}], "]"}], "3"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", 
          SuperscriptBox[
           RowBox[{
            SuperscriptBox["rs", 
             TagBox[
              RowBox[{"(", 
               RowBox[{"1", ",", "0"}], ")"}],
              Derivative],
             MultilineFunction->None], "[", 
            RowBox[{"t", ",", "r"}], "]"}], "2"]}], "+", 
         RowBox[{"b", " ", 
          RowBox[{
           SuperscriptBox["rs", 
            TagBox[
             RowBox[{"(", 
              RowBox[{"2", ",", "0"}], ")"}],
             Derivative],
            MultilineFunction->None], "[", 
           RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], 
      RowBox[{"4", " ", 
       SuperscriptBox["b", "3"]}]]}], ",", 
    RowBox[{"b", "\[Rule]", "0"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6934224814442186`*^9, 3.6934226658437424`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "\[Infinity]"}], " ", 
  SuperscriptBox[
   RowBox[{"rs", "[", 
    RowBox[{"t", ",", "r"}], "]"}], "3"], " ", 
  SuperscriptBox[
   RowBox[{
    SuperscriptBox["rs", 
     TagBox[
      RowBox[{"(", 
       RowBox[{"1", ",", "0"}], ")"}],
      Derivative],
     MultilineFunction->None], "[", 
    RowBox[{"t", ",", "r"}], "]"}], "2"]}]], "Output",
 CellChangeTimes->{3.6934226692488427`*^9, 3.6934334518490195`*^9, 
  3.6934343051514864`*^9, 3.693435960957608*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"The", " ", "result", " ", "appears", " ", "singular"}], ",", " ", 
   RowBox[{"or", " ", 
    RowBox[{"trivial", "."}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.6934228243750744`*^9, 3.693422856583582*^9}, {
  3.693422911386463*^9, 3.6934229135610905`*^9}, {3.693423007667672*^9, 
  3.6934230792899485`*^9}}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
  "Suppose", " ", "we", " ", "instead", " ", "restrict", " ", "to", " ", 
   "integrating", " ", "over", " ", "full", " ", "wavelength", " ", 
   "intervals", " ", "over", " ", 
   RowBox[{"r", ":"}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.693423081358576*^9, 3.69342313421437*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"fullWvlngAction", " ", "=", " ", 
  RowBox[{"action", "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Hold", "[", 
      RowBox[{"2", " ", 
       RowBox[{
        SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
        RowBox[{"k", " ", 
         RowBox[{"b", "[", 
          RowBox[{"k", ",", 
           RowBox[{"t", "-", "r", "+", 
            RowBox[{"rs", "[", 
             RowBox[{"t", ",", "r"}], "]"}], "+", 
            RowBox[{
             RowBox[{"rs", "[", 
              RowBox[{"t", ",", "r"}], "]"}], " ", 
             RowBox[{"Log", "[", 
              FractionBox["r", 
               RowBox[{"rs", "[", 
                RowBox[{"t", ",", "r"}], "]"}]], "]"}]}]}]}], "]"}], " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"k", " ", 
           RowBox[{"(", 
            RowBox[{
             SqrtBox[
              RowBox[{"1", "-", 
               FractionBox[
                RowBox[{"rs", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "r"}], "+", "t", "+", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"1", "+", 
                  RowBox[{"Log", "[", 
                   FractionBox["r", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}]}], ")"}], " ", 
                RowBox[{"rs", "[", 
                 RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], ")"}]}], "]"}], 
         RowBox[{"\[DifferentialD]", "k"}]}]}]}], "]"}], "\[Rule]", "0"}], 
    "}"}]}]}]], "Input",
 CellChangeTimes->{{3.6931715273309183`*^9, 3.693171598663785*^9}}],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"r", "-", 
       RowBox[{"rs", "[", 
        RowBox[{"t", ",", "r"}], "]"}]}], ")"}], "3"], " ", 
    RowBox[{
     SuperscriptBox["rs", 
      TagBox[
       RowBox[{"(", 
        RowBox[{"0", ",", "1"}], ")"}],
       Derivative],
      MultilineFunction->None], "[", 
     RowBox[{"t", ",", "r"}], "]"}]}], "+", 
   RowBox[{"r", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"r", "-", 
          RowBox[{"rs", "[", 
           RowBox[{"t", ",", "r"}], "]"}]}], ")"}], "3"], " ", 
       RowBox[{
        SuperscriptBox["rs", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"0", ",", "2"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"t", ",", "r"}], "]"}]}], "+", 
      RowBox[{
       SuperscriptBox["r", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          SuperscriptBox[
           RowBox[{
            SuperscriptBox["rs", 
             TagBox[
              RowBox[{"(", 
               RowBox[{"1", ",", "0"}], ")"}],
              Derivative],
             MultilineFunction->None], "[", 
            RowBox[{"t", ",", "r"}], "]"}], "2"]}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"r", "-", 
            RowBox[{"rs", "[", 
             RowBox[{"t", ",", "r"}], "]"}]}], ")"}], " ", 
          RowBox[{
           SuperscriptBox["rs", 
            TagBox[
             RowBox[{"(", 
              RowBox[{"2", ",", "0"}], ")"}],
             Derivative],
            MultilineFunction->None], "[", 
           RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}]}], ")"}]}]}], 
  RowBox[{"4", " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"r", "-", 
      RowBox[{"rs", "[", 
       RowBox[{"t", ",", "r"}], "]"}]}], ")"}], "3"]}]]], "Output",
 CellChangeTimes->{3.693171848088905*^9, 3.693255935928588*^9, 
  3.693423402954117*^9, 3.6934334518810425`*^9, 3.693434305187812*^9, 
  3.6934359609981384`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
   "From", " ", "the", " ", "definition", " ", "of", " ", "the", " ", "full", 
    " ", "derivatives"}], ",", " ", 
   RowBox[{
   "and", " ", "what", " ", "we", " ", "know", " ", "about", " ", "the", " ", 
    "particular", " ", "full", " ", "derivatives"}], ",", " ", 
   RowBox[{
   "and", " ", "the", " ", "constancy", " ", "of", " ", "rs", " ", "over", 
    " ", "an", " ", "advanced", " ", "radial", " ", "coordinate"}], ",", 
   RowBox[{"we", " ", "can", " ", "replace", " ", "the", " ", 
    RowBox[{"partials", ":"}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.6935082058529315`*^9, 3.693508234021206*^9}, {
  3.6935084839613857`*^9, 3.693508508906966*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"(", 
   RowBox[{"See", " ", "appendix", " ", "for", " ", "coordinate", " ", 
    RowBox[{"transformations", "."}]}], ")"}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.69343377593822*^9, 3.6934337922324214`*^9}, {
  3.6934952564496307`*^9, 3.6934952662505517`*^9}, {3.6935085649562397`*^9, 
  3.6935085753233767`*^9}}],

Cell[BoxData[
 RowBox[{"Clear", "[", "tret", "]"}]], "Input",
 CellChangeTimes->{{3.6934271724425197`*^9, 3.693427175830903*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"actionPartTransformed", "=", 
  RowBox[{"Collect", "[", 
   RowBox[{
    RowBox[{"FullSimplify", "[", 
     RowBox[{
      FractionBox[
       RowBox[{
        RowBox[{"2", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"r", "-", 
            RowBox[{"rs", "[", 
             RowBox[{"t", ",", "r"}], "]"}]}], ")"}], "3"], " ", 
         RowBox[{
          SuperscriptBox["rs", 
           TagBox[
            RowBox[{"(", 
             RowBox[{"0", ",", "1"}], ")"}],
            Derivative],
           MultilineFunction->None], "[", 
          RowBox[{"t", ",", "r"}], "]"}]}], "+", 
        RowBox[{"r", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{"r", "-", 
               RowBox[{"rs", "[", 
                RowBox[{"t", ",", "r"}], "]"}]}], ")"}], "3"], " ", 
            RowBox[{
             SuperscriptBox["rs", 
              TagBox[
               RowBox[{"(", 
                RowBox[{"0", ",", "2"}], ")"}],
               Derivative],
              MultilineFunction->None], "[", 
             RowBox[{"t", ",", "r"}], "]"}]}], "+", 
           RowBox[{
            SuperscriptBox["r", "2"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"2", " ", 
               SuperscriptBox[
                RowBox[{
                 SuperscriptBox["rs", 
                  TagBox[
                   RowBox[{"(", 
                    RowBox[{"1", ",", "0"}], ")"}],
                   Derivative],
                  MultilineFunction->None], "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "2"]}], "+", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"r", "-", 
                 RowBox[{"rs", "[", 
                  RowBox[{"t", ",", "r"}], "]"}]}], ")"}], " ", 
               RowBox[{
                SuperscriptBox["rs", 
                 TagBox[
                  RowBox[{"(", 
                   RowBox[{"2", ",", "0"}], ")"}],
                  Derivative],
                 MultilineFunction->None], "[", 
                RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}]}], ")"}]}]}], 
       RowBox[{"4", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"r", "-", 
           RowBox[{"rs", "[", 
            RowBox[{"t", ",", "r"}], "]"}]}], ")"}], "3"]}]], "/.", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"rs", "[", 
          RowBox[{"t", ",", "r"}], "]"}], "\[Rule]", 
         RowBox[{"rs", "[", "tret", "]"}]}], ",", 
        RowBox[{
         RowBox[{
          SuperscriptBox["rs", 
           TagBox[
            RowBox[{"(", 
             RowBox[{"1", ",", "0"}], ")"}],
            Derivative],
           MultilineFunction->None], "[", 
          RowBox[{"t", ",", "r"}], "]"}], "\[Rule]", 
         RowBox[{
          RowBox[{"1", "/", "2"}], "*", 
          RowBox[{"D", "[", 
           RowBox[{
            RowBox[{"rs", "[", "tret", "]"}], ",", "tret"}], "]"}]}]}], ",", 
        RowBox[{
         RowBox[{
          SuperscriptBox["rs", 
           TagBox[
            RowBox[{"(", 
             RowBox[{"0", ",", "1"}], ")"}],
            Derivative],
           MultilineFunction->None], "[", 
          RowBox[{"t", ",", "r"}], "]"}], "\[Rule]", 
         RowBox[{
          RowBox[{"1", "/", "2"}], "*", 
          RowBox[{"(", 
           RowBox[{"1", "-", 
            RowBox[{
             RowBox[{"rs", "[", "tret", "]"}], "/", "r"}]}], ")"}], 
          RowBox[{"D", "[", 
           RowBox[{
            RowBox[{"rs", "[", "tret", "]"}], ",", "tret"}], "]"}]}]}], ",", 
        RowBox[{
         RowBox[{
          SuperscriptBox["rs", 
           TagBox[
            RowBox[{"(", 
             RowBox[{"2", ",", "0"}], ")"}],
            Derivative],
           MultilineFunction->None], "[", 
          RowBox[{"t", ",", "r"}], "]"}], "\[Rule]", 
         RowBox[{
          RowBox[{"1", "/", "4"}], "*", 
          RowBox[{"D", "[", 
           RowBox[{
            RowBox[{"rs", "[", "tret", "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"tret", ",", "2"}], "}"}]}], "]"}]}]}], ",", 
        RowBox[{
         RowBox[{
          SuperscriptBox["rs", 
           TagBox[
            RowBox[{"(", 
             RowBox[{"0", ",", "2"}], ")"}],
            Derivative],
           MultilineFunction->None], "[", 
          RowBox[{"t", ",", "r"}], "]"}], "\[Rule]", 
         RowBox[{
          RowBox[{"1", "/", "4"}], "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"1", "-", 
             RowBox[{
              RowBox[{"rs", "[", "tret", "]"}], "/", "r"}]}], ")"}], "^", 
           "2"}], 
          RowBox[{"D", "[", 
           RowBox[{
            RowBox[{"rs", "[", "tret", "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"tret", ",", "2"}], "}"}]}], "]"}]}]}]}], "}"}]}], "]"}],
     ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"rs", "[", "tret", "]"}], ",", 
      RowBox[{
       SuperscriptBox["rs", "\[Prime]",
        MultilineFunction->None], "[", "tret", "]"}], ",", 
      RowBox[{
       SuperscriptBox["rs", "\[Prime]\[Prime]",
        MultilineFunction->None], "[", "tret", "]"}]}], "}"}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.693495303199027*^9, 3.693495459158203*^9}, {
  3.6934954959893503`*^9, 3.693495500933099*^9}, {3.6934994072822833`*^9, 
  3.693499440109095*^9}, {3.6935082442332053`*^9, 3.6935084405259256`*^9}, {
  3.6935086455287523`*^9, 3.6935086822300425`*^9}, {3.693509962367592*^9, 
  3.6935099629552336`*^9}, {3.6935100228473787`*^9, 3.693510057784279*^9}}],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"4", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"r", "-", 
       RowBox[{"rs", "[", "tret", "]"}]}], ")"}], "4"], " ", 
    RowBox[{
     SuperscriptBox["rs", "\[Prime]",
      MultilineFunction->None], "[", "tret", "]"}]}], "+", 
   RowBox[{"2", " ", 
    SuperscriptBox["r", "4"], " ", 
    SuperscriptBox[
     RowBox[{
      SuperscriptBox["rs", "\[Prime]",
       MultilineFunction->None], "[", "tret", "]"}], "2"]}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"r", "-", 
      RowBox[{"rs", "[", "tret", "]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", 
       SuperscriptBox["r", "4"]}], "-", 
      RowBox[{"4", " ", 
       SuperscriptBox["r", "3"], " ", 
       RowBox[{"rs", "[", "tret", "]"}]}], "+", 
      RowBox[{"6", " ", 
       SuperscriptBox["r", "2"], " ", 
       SuperscriptBox[
        RowBox[{"rs", "[", "tret", "]"}], "2"]}], "-", 
      RowBox[{"4", " ", "r", " ", 
       SuperscriptBox[
        RowBox[{"rs", "[", "tret", "]"}], "3"]}], "+", 
      SuperscriptBox[
       RowBox[{"rs", "[", "tret", "]"}], "4"]}], ")"}], " ", 
    RowBox[{
     SuperscriptBox["rs", "\[Prime]\[Prime]",
      MultilineFunction->None], "[", "tret", "]"}]}]}], 
  RowBox[{"16", " ", "r", " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"r", "-", 
      RowBox[{"rs", "[", "tret", "]"}]}], ")"}], "3"]}]]], "Output",
 CellChangeTimes->{
  3.693495471453656*^9, 3.693495513630483*^9, {3.6935084169335957`*^9, 
   3.6935084434369535`*^9}, 3.693508684500063*^9, 3.693509987457344*^9, {
   3.6935100415092564`*^9, 3.693510068762621*^9}, 3.69351086168885*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"actionTransformed", "=", 
  RowBox[{"Collect", "[", 
   RowBox[{
    RowBox[{"FullSimplify", "[", 
     RowBox[{"actionPartTransformed", "/.", 
      RowBox[{"r", "->", 
       FractionBox[
        RowBox[{
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           FractionBox["radv", 
            RowBox[{"rs", "[", "tret", "]"}]], "+", 
           FractionBox["tret", 
            RowBox[{"rs", "[", "tret", "]"}]]}]], " ", 
         RowBox[{"(", 
          RowBox[{"radv", "-", 
           RowBox[{"rs", "[", "tret", "]"}]}], ")"}]}], 
        RowBox[{
         RowBox[{"-", "\[ExponentialE]"}], "+", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           FractionBox["radv", 
            RowBox[{"rs", "[", "tret", "]"}]], "+", 
           FractionBox["tret", 
            RowBox[{"rs", "[", "tret", "]"}]]}]]}]]}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"rs", "[", "tret", "]"}], ",", 
      RowBox[{
       SuperscriptBox["rs", "\[Prime]",
        MultilineFunction->None], "[", "tret", "]"}], ",", 
      RowBox[{
       SuperscriptBox["rs", "\[Prime]\[Prime]",
        MultilineFunction->None], "[", "tret", "]"}]}], "}"}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.693509880482853*^9, 3.6935099816298375`*^9}, {
  3.693510060785404*^9, 3.693510061582095*^9}, {3.693510848608681*^9, 
  3.6935108521388245`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{"-", 
      FractionBox[
       RowBox[{"radv", "+", "tret"}], 
       RowBox[{"rs", "[", "tret", "]"}]]}]], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"4", " ", 
       RowBox[{"(", 
        RowBox[{"\[ExponentialE]", "-", 
         SuperscriptBox["\[ExponentialE]", 
          FractionBox[
           RowBox[{"radv", "+", "tret"}], 
           RowBox[{"rs", "[", "tret", "]"}]]]}], ")"}], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            FractionBox[
             RowBox[{"radv", "+", "tret"}], 
             RowBox[{"rs", "[", "tret", "]"}]]], " ", 
           RowBox[{"(", 
            RowBox[{"radv", "-", 
             RowBox[{"2", " ", 
              RowBox[{"rs", "[", "tret", "]"}]}]}], ")"}]}], "+", 
          RowBox[{"\[ExponentialE]", " ", 
           RowBox[{"rs", "[", "tret", "]"}]}]}], ")"}], "4"], " ", 
       RowBox[{
        SuperscriptBox["rs", "\[Prime]",
         MultilineFunction->None], "[", "tret", "]"}]}], "+", 
      RowBox[{"2", " ", 
       SuperscriptBox["\[ExponentialE]", 
        FractionBox[
         RowBox[{"4", " ", 
          RowBox[{"(", 
           RowBox[{"radv", "+", "tret"}], ")"}]}], 
         RowBox[{"rs", "[", "tret", "]"}]]], " ", 
       RowBox[{"(", 
        RowBox[{"\[ExponentialE]", "-", 
         SuperscriptBox["\[ExponentialE]", 
          FractionBox[
           RowBox[{"radv", "+", "tret"}], 
           RowBox[{"rs", "[", "tret", "]"}]]]}], ")"}], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"radv", "-", 
          RowBox[{"rs", "[", "tret", "]"}]}], ")"}], "4"], " ", 
       SuperscriptBox[
        RowBox[{
         SuperscriptBox["rs", "\[Prime]",
          MultilineFunction->None], "[", "tret", "]"}], "2"]}], "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           FractionBox[
            RowBox[{"radv", "+", "tret"}], 
            RowBox[{"rs", "[", "tret", "]"}]]], " ", 
          RowBox[{"(", 
           RowBox[{"radv", "-", 
            RowBox[{"2", " ", 
             RowBox[{"rs", "[", "tret", "]"}]}]}], ")"}]}], "+", 
         RowBox[{"\[ExponentialE]", " ", 
          RowBox[{"rs", "[", "tret", "]"}]}]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"4", " ", 
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"1", "+", 
            FractionBox[
             RowBox[{"3", " ", 
              RowBox[{"(", 
               RowBox[{"radv", "+", "tret"}], ")"}]}], 
             RowBox[{"rs", "[", "tret", "]"}]]}]], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"radv", "-", 
             RowBox[{"2", " ", 
              RowBox[{"rs", "[", "tret", "]"}]}]}], ")"}], "3"], " ", 
          RowBox[{"rs", "[", "tret", "]"}]}], "+", 
         RowBox[{"6", " ", 
          SuperscriptBox["\[ExponentialE]", 
           FractionBox[
            RowBox[{"2", " ", 
             RowBox[{"(", 
              RowBox[{"radv", "+", "tret", "+", 
               RowBox[{"rs", "[", "tret", "]"}]}], ")"}]}], 
            RowBox[{"rs", "[", "tret", "]"}]]], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"radv", "-", 
             RowBox[{"2", " ", 
              RowBox[{"rs", "[", "tret", "]"}]}]}], ")"}], "2"], " ", 
          SuperscriptBox[
           RowBox[{"rs", "[", "tret", "]"}], "2"]}], "+", 
         RowBox[{"4", " ", 
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"3", "+", 
            FractionBox[
             RowBox[{"radv", "+", "tret"}], 
             RowBox[{"rs", "[", "tret", "]"}]]}]], " ", 
          RowBox[{"(", 
           RowBox[{"radv", "-", 
            RowBox[{"2", " ", 
             RowBox[{"rs", "[", "tret", "]"}]}]}], ")"}], " ", 
          SuperscriptBox[
           RowBox[{"rs", "[", "tret", "]"}], "3"]}], "+", 
         RowBox[{
          SuperscriptBox["\[ExponentialE]", "4"], " ", 
          SuperscriptBox[
           RowBox[{"rs", "[", "tret", "]"}], "4"]}], "+", 
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           FractionBox[
            RowBox[{"4", " ", 
             RowBox[{"(", 
              RowBox[{"radv", "+", "tret"}], ")"}]}], 
            RowBox[{"rs", "[", "tret", "]"}]]], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"2", " ", 
             SuperscriptBox["radv", "4"]}], "-", 
            RowBox[{"12", " ", 
             SuperscriptBox["radv", "3"], " ", 
             RowBox[{"rs", "[", "tret", "]"}]}], "+", 
            RowBox[{"30", " ", 
             SuperscriptBox["radv", "2"], " ", 
             SuperscriptBox[
              RowBox[{"rs", "[", "tret", "]"}], "2"]}], "-", 
            RowBox[{"36", " ", "radv", " ", 
             SuperscriptBox[
              RowBox[{"rs", "[", "tret", "]"}], "3"]}], "+", 
            RowBox[{"17", " ", 
             SuperscriptBox[
              RowBox[{"rs", "[", "tret", "]"}], "4"]}]}], ")"}]}]}], ")"}], 
       " ", 
       RowBox[{
        SuperscriptBox["rs", "\[Prime]\[Prime]",
         MultilineFunction->None], "[", "tret", "]"}]}]}], ")"}]}], ")"}], 
  "/", 
  RowBox[{"(", 
   RowBox[{"16", " ", 
    RowBox[{"(", 
     RowBox[{"\[ExponentialE]", "-", 
      SuperscriptBox["\[ExponentialE]", 
       FractionBox[
        RowBox[{"radv", "+", "tret"}], 
        RowBox[{"rs", "[", "tret", "]"}]]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"radv", "-", 
      RowBox[{"rs", "[", "tret", "]"}]}], ")"}], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         FractionBox[
          RowBox[{"radv", "+", "tret"}], 
          RowBox[{"rs", "[", "tret", "]"}]]], " ", 
        RowBox[{"(", 
         RowBox[{"radv", "-", 
          RowBox[{"2", " ", 
           RowBox[{"rs", "[", "tret", "]"}]}]}], ")"}]}], "+", 
       RowBox[{"\[ExponentialE]", " ", 
        RowBox[{"rs", "[", "tret", "]"}]}]}], ")"}], "3"]}], 
   ")"}]}]], "Output",
 CellChangeTimes->{3.693509917052066*^9, 3.69350995067922*^9, 
  3.6935099875444093`*^9, 3.6935100422328415`*^9, 3.6935101052638545`*^9, 
  3.6935110067407694`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Refine", "[", 
  RowBox[{"actionTransformed", ",", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"tret", ",", "radv", ",", 
        RowBox[{"rs", "[", "tret", "]"}], ",", "radv0"}], "}"}], "\[Element]",
       "Reals"}], ")"}], "&&", 
    RowBox[{"radv0", ">", 
     RowBox[{"rs", "[", "tret", "]"}], ">", "0"}], "&&", 
    RowBox[{
     RowBox[{"rs", "[", "tret", "]"}], "\[GreaterEqual]", 
     RowBox[{
      SuperscriptBox["rs", "\[Prime]",
       MultilineFunction->None], "[", "tret", "]"}], "\[GreaterEqual]", 
     RowBox[{"-", 
      RowBox[{"rs", "[", "tret", "]"}]}]}], "&&", 
    RowBox[{
     RowBox[{"rs", "[", "tret", "]"}], "\[GreaterEqual]", 
     RowBox[{
      SuperscriptBox["rs", "\[Prime]\[Prime]",
       MultilineFunction->None], "[", "tret", "]"}], "\[GreaterEqual]", 
     RowBox[{"-", 
      RowBox[{"rs", "[", "tret", "]"}]}]}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6935172423794317`*^9, 3.693517279788518*^9}, {
  3.6935173333153257`*^9, 3.6935174118548994`*^9}, {3.693517568827016*^9, 
  3.693517629435033*^9}, {3.693517671148576*^9, 3.6935176818863277`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{"-", 
      FractionBox[
       RowBox[{"radv", "+", "tret"}], 
       RowBox[{"rs", "[", "tret", "]"}]]}]], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"4", " ", 
       RowBox[{"(", 
        RowBox[{"\[ExponentialE]", "-", 
         SuperscriptBox["\[ExponentialE]", 
          FractionBox[
           RowBox[{"radv", "+", "tret"}], 
           RowBox[{"rs", "[", "tret", "]"}]]]}], ")"}], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            FractionBox[
             RowBox[{"radv", "+", "tret"}], 
             RowBox[{"rs", "[", "tret", "]"}]]], " ", 
           RowBox[{"(", 
            RowBox[{"radv", "-", 
             RowBox[{"2", " ", 
              RowBox[{"rs", "[", "tret", "]"}]}]}], ")"}]}], "+", 
          RowBox[{"\[ExponentialE]", " ", 
           RowBox[{"rs", "[", "tret", "]"}]}]}], ")"}], "4"], " ", 
       RowBox[{
        SuperscriptBox["rs", "\[Prime]",
         MultilineFunction->None], "[", "tret", "]"}]}], "+", 
      RowBox[{"2", " ", 
       SuperscriptBox["\[ExponentialE]", 
        FractionBox[
         RowBox[{"4", " ", 
          RowBox[{"(", 
           RowBox[{"radv", "+", "tret"}], ")"}]}], 
         RowBox[{"rs", "[", "tret", "]"}]]], " ", 
       RowBox[{"(", 
        RowBox[{"\[ExponentialE]", "-", 
         SuperscriptBox["\[ExponentialE]", 
          FractionBox[
           RowBox[{"radv", "+", "tret"}], 
           RowBox[{"rs", "[", "tret", "]"}]]]}], ")"}], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"radv", "-", 
          RowBox[{"rs", "[", "tret", "]"}]}], ")"}], "4"], " ", 
       SuperscriptBox[
        RowBox[{
         SuperscriptBox["rs", "\[Prime]",
          MultilineFunction->None], "[", "tret", "]"}], "2"]}], "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           FractionBox[
            RowBox[{"radv", "+", "tret"}], 
            RowBox[{"rs", "[", "tret", "]"}]]], " ", 
          RowBox[{"(", 
           RowBox[{"radv", "-", 
            RowBox[{"2", " ", 
             RowBox[{"rs", "[", "tret", "]"}]}]}], ")"}]}], "+", 
         RowBox[{"\[ExponentialE]", " ", 
          RowBox[{"rs", "[", "tret", "]"}]}]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"4", " ", 
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"1", "+", 
            FractionBox[
             RowBox[{"3", " ", 
              RowBox[{"(", 
               RowBox[{"radv", "+", "tret"}], ")"}]}], 
             RowBox[{"rs", "[", "tret", "]"}]]}]], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"radv", "-", 
             RowBox[{"2", " ", 
              RowBox[{"rs", "[", "tret", "]"}]}]}], ")"}], "3"], " ", 
          RowBox[{"rs", "[", "tret", "]"}]}], "+", 
         RowBox[{"6", " ", 
          SuperscriptBox["\[ExponentialE]", 
           FractionBox[
            RowBox[{"2", " ", 
             RowBox[{"(", 
              RowBox[{"radv", "+", "tret", "+", 
               RowBox[{"rs", "[", "tret", "]"}]}], ")"}]}], 
            RowBox[{"rs", "[", "tret", "]"}]]], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"radv", "-", 
             RowBox[{"2", " ", 
              RowBox[{"rs", "[", "tret", "]"}]}]}], ")"}], "2"], " ", 
          SuperscriptBox[
           RowBox[{"rs", "[", "tret", "]"}], "2"]}], "+", 
         RowBox[{"4", " ", 
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"3", "+", 
            FractionBox[
             RowBox[{"radv", "+", "tret"}], 
             RowBox[{"rs", "[", "tret", "]"}]]}]], " ", 
          RowBox[{"(", 
           RowBox[{"radv", "-", 
            RowBox[{"2", " ", 
             RowBox[{"rs", "[", "tret", "]"}]}]}], ")"}], " ", 
          SuperscriptBox[
           RowBox[{"rs", "[", "tret", "]"}], "3"]}], "+", 
         RowBox[{
          SuperscriptBox["\[ExponentialE]", "4"], " ", 
          SuperscriptBox[
           RowBox[{"rs", "[", "tret", "]"}], "4"]}], "+", 
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           FractionBox[
            RowBox[{"4", " ", 
             RowBox[{"(", 
              RowBox[{"radv", "+", "tret"}], ")"}]}], 
            RowBox[{"rs", "[", "tret", "]"}]]], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"2", " ", 
             SuperscriptBox["radv", "4"]}], "-", 
            RowBox[{"12", " ", 
             SuperscriptBox["radv", "3"], " ", 
             RowBox[{"rs", "[", "tret", "]"}]}], "+", 
            RowBox[{"30", " ", 
             SuperscriptBox["radv", "2"], " ", 
             SuperscriptBox[
              RowBox[{"rs", "[", "tret", "]"}], "2"]}], "-", 
            RowBox[{"36", " ", "radv", " ", 
             SuperscriptBox[
              RowBox[{"rs", "[", "tret", "]"}], "3"]}], "+", 
            RowBox[{"17", " ", 
             SuperscriptBox[
              RowBox[{"rs", "[", "tret", "]"}], "4"]}]}], ")"}]}]}], ")"}], 
       " ", 
       RowBox[{
        SuperscriptBox["rs", "\[Prime]\[Prime]",
         MultilineFunction->None], "[", "tret", "]"}]}]}], ")"}]}], ")"}], 
  "/", 
  RowBox[{"(", 
   RowBox[{"16", " ", 
    RowBox[{"(", 
     RowBox[{"\[ExponentialE]", "-", 
      SuperscriptBox["\[ExponentialE]", 
       FractionBox[
        RowBox[{"radv", "+", "tret"}], 
        RowBox[{"rs", "[", "tret", "]"}]]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"radv", "-", 
      RowBox[{"rs", "[", "tret", "]"}]}], ")"}], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         FractionBox[
          RowBox[{"radv", "+", "tret"}], 
          RowBox[{"rs", "[", "tret", "]"}]]], " ", 
        RowBox[{"(", 
         RowBox[{"radv", "-", 
          RowBox[{"2", " ", 
           RowBox[{"rs", "[", "tret", "]"}]}]}], ")"}]}], "+", 
       RowBox[{"\[ExponentialE]", " ", 
        RowBox[{"rs", "[", "tret", "]"}]}]}], ")"}], "3"]}], 
   ")"}]}]], "Output",
 CellChangeTimes->{
  3.6935172848911867`*^9, 3.6935173743876734`*^9, 3.693517414039044*^9, {
   3.6935175841391554`*^9, 3.693517594436577*^9}, 3.693517634925359*^9, 
   3.6935176892243524`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"This", " ", 
     RowBox[{"won", "'"}], "t", " ", "shed", " ", 
     RowBox[{
     "light", ":", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      "fullAction"}]}], "=", 
    RowBox[{
     RowBox[{"Integrate", "[", 
      RowBox[{"actionTransformed", ",", 
       RowBox[{"{", 
        RowBox[{"radv", ",", "radv0", ",", "Infinity"}], "}"}], ",", 
       RowBox[{"Assumptions", "\[Rule]", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"tret", ",", "radv", ",", 
              RowBox[{"rs", "[", "tret", "]"}], ",", "radv0"}], "}"}], 
            "\[Element]", "Reals"}], ")"}], "&&", 
          RowBox[{"radv0", ">", 
           RowBox[{"rs", "[", "tret", "]"}], ">", "0"}], "&&", 
          RowBox[{
           RowBox[{"rs", "[", "tret", "]"}], "\[GreaterEqual]", 
           RowBox[{
            SuperscriptBox["rs", "\[Prime]",
             MultilineFunction->None], "[", "tret", "]"}], "\[GreaterEqual]", 
           RowBox[{"-", 
            RowBox[{"rs", "[", "tret", "]"}]}]}], "&&", 
          RowBox[{
           RowBox[{"rs", "[", "tret", "]"}], "\[GreaterEqual]", 
           RowBox[{
            SuperscriptBox["rs", "\[Prime]\[Prime]",
             MultilineFunction->None], "[", "tret", "]"}], "\[GreaterEqual]", 
           RowBox[{"-", 
            RowBox[{"rs", "[", "tret", "]"}]}]}]}], ")"}]}]}], "]"}], " ", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", "However"}]}], ",", " ", 
   RowBox[{
   "the", " ", "boundary", " ", "conditions", " ", "vanish", " ", "on", " ", 
    "arbitrary", " ", "r", " ", "intervals"}], ",", " ", 
   RowBox[{
   "and", " ", "tret", " ", "and", " ", "radv", " ", "trace", " ", "the", " ",
     "path", " ", "of", " ", "a", " ", 
    RowBox[{"wavefront", ".", " ", "It"}], " ", "should", " ", "be", " ", 
    "possible", " ", "to", " ", "treat", " ", "each", " ", "point", " ", 
    "action", " ", "as", " ", "independently", " ", "subject", " ", "to", " ",
     "general", " ", 
    RowBox[{"relativity", "."}]}]}], "\[IndentingNewLine]", "*)"}]], "Input",
 CellChangeTimes->{{3.693516343290271*^9, 3.693516346803506*^9}, {
   3.693516443938826*^9, 3.693516510069785*^9}, {3.693516585167448*^9, 
   3.693516589628549*^9}, 3.6935166828709383`*^9, {3.6935170530892153`*^9, 
   3.6935170556256585`*^9}, {3.6935170865736895`*^9, 
   3.6935170885774527`*^9}, {3.693517203493007*^9, 3.6935172247164307`*^9}, 
   3.693517433552333*^9, {3.693517533468115*^9, 3.6935175542118196`*^9}, 
   3.6935176220449667`*^9, 3.6935176994300365`*^9, {3.693519226139886*^9, 
   3.693519230442928*^9}, {3.693528112991085*^9, 3.6935282306370845`*^9}, {
   3.6935283174980726`*^9, 3.693528337922613*^9}, {3.6935284187629595`*^9, 
   3.693528489222106*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"Numerical", " ", 
   RowBox[{"functions", ":"}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.693178378509926*^9, 3.6931783863070707`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"actionTransformed", "/.", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     RowBox[{"rs", "[", "tret", "]"}], "\[Rule]", "rs"}], ",", 
    RowBox[{
     RowBox[{
      SuperscriptBox["rs", "\[Prime]",
       MultilineFunction->None], "[", "tret", "]"}], "\[Rule]", "rsp"}], ",", 
    RowBox[{
     RowBox[{
      SuperscriptBox["rs", "\[Prime]\[Prime]",
       MultilineFunction->None], "[", "tret", "]"}], "\[Rule]", "rspp"}]}], 
   "}"}]}]], "Input",
 CellChangeTimes->{{3.6932622696002164`*^9, 3.6932623137385397`*^9}, {
  3.6935209903414774`*^9, 3.6935211031376057`*^9}, {3.6935249374815063`*^9, 
  3.6935249566049843`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{"-", 
      FractionBox[
       RowBox[{"radv", "+", "tret"}], "rs"]}]], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"4", " ", 
       RowBox[{"(", 
        RowBox[{"\[ExponentialE]", "-", 
         SuperscriptBox["\[ExponentialE]", 
          FractionBox[
           RowBox[{"radv", "+", "tret"}], "rs"]]}], ")"}], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            FractionBox[
             RowBox[{"radv", "+", "tret"}], "rs"]], " ", 
           RowBox[{"(", 
            RowBox[{"radv", "-", 
             RowBox[{"2", " ", "rs"}]}], ")"}]}], "+", 
          RowBox[{"\[ExponentialE]", " ", "rs"}]}], ")"}], "4"], " ", "rsp"}],
       "+", 
      RowBox[{"2", " ", 
       SuperscriptBox["\[ExponentialE]", 
        FractionBox[
         RowBox[{"4", " ", 
          RowBox[{"(", 
           RowBox[{"radv", "+", "tret"}], ")"}]}], "rs"]], " ", 
       RowBox[{"(", 
        RowBox[{"\[ExponentialE]", "-", 
         SuperscriptBox["\[ExponentialE]", 
          FractionBox[
           RowBox[{"radv", "+", "tret"}], "rs"]]}], ")"}], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"radv", "-", "rs"}], ")"}], "4"], " ", 
       SuperscriptBox["rsp", "2"]}], "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           FractionBox[
            RowBox[{"radv", "+", "tret"}], "rs"]], " ", 
          RowBox[{"(", 
           RowBox[{"radv", "-", 
            RowBox[{"2", " ", "rs"}]}], ")"}]}], "+", 
         RowBox[{"\[ExponentialE]", " ", "rs"}]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"4", " ", 
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"1", "+", 
            FractionBox[
             RowBox[{"3", " ", 
              RowBox[{"(", 
               RowBox[{"radv", "+", "tret"}], ")"}]}], "rs"]}]], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"radv", "-", 
             RowBox[{"2", " ", "rs"}]}], ")"}], "3"], " ", "rs"}], "+", 
         RowBox[{"6", " ", 
          SuperscriptBox["\[ExponentialE]", 
           FractionBox[
            RowBox[{"2", " ", 
             RowBox[{"(", 
              RowBox[{"radv", "+", "rs", "+", "tret"}], ")"}]}], "rs"]], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"radv", "-", 
             RowBox[{"2", " ", "rs"}]}], ")"}], "2"], " ", 
          SuperscriptBox["rs", "2"]}], "+", 
         RowBox[{"4", " ", 
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"3", "+", 
            FractionBox[
             RowBox[{"radv", "+", "tret"}], "rs"]}]], " ", 
          RowBox[{"(", 
           RowBox[{"radv", "-", 
            RowBox[{"2", " ", "rs"}]}], ")"}], " ", 
          SuperscriptBox["rs", "3"]}], "+", 
         RowBox[{
          SuperscriptBox["\[ExponentialE]", "4"], " ", 
          SuperscriptBox["rs", "4"]}], "+", 
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           FractionBox[
            RowBox[{"4", " ", 
             RowBox[{"(", 
              RowBox[{"radv", "+", "tret"}], ")"}]}], "rs"]], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"2", " ", 
             SuperscriptBox["radv", "4"]}], "-", 
            RowBox[{"12", " ", 
             SuperscriptBox["radv", "3"], " ", "rs"}], "+", 
            RowBox[{"30", " ", 
             SuperscriptBox["radv", "2"], " ", 
             SuperscriptBox["rs", "2"]}], "-", 
            RowBox[{"36", " ", "radv", " ", 
             SuperscriptBox["rs", "3"]}], "+", 
            RowBox[{"17", " ", 
             SuperscriptBox["rs", "4"]}]}], ")"}]}]}], ")"}], " ", "rspp"}]}],
      ")"}]}], ")"}], "/", 
  RowBox[{"(", 
   RowBox[{"16", " ", 
    RowBox[{"(", 
     RowBox[{"\[ExponentialE]", "-", 
      SuperscriptBox["\[ExponentialE]", 
       FractionBox[
        RowBox[{"radv", "+", "tret"}], "rs"]]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"radv", "-", "rs"}], ")"}], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         FractionBox[
          RowBox[{"radv", "+", "tret"}], "rs"]], " ", 
        RowBox[{"(", 
         RowBox[{"radv", "-", 
          RowBox[{"2", " ", "rs"}]}], ")"}]}], "+", 
       RowBox[{"\[ExponentialE]", " ", "rs"}]}], ")"}], "3"]}], 
   ")"}]}]], "Output",
 CellChangeTimes->{{3.6935210960165477`*^9, 3.6935211065946226`*^9}, 
   3.6935249604532404`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Clear", "[", "actionComp", "]"}]], "Input",
 CellChangeTimes->{{3.6922805132715473`*^9, 3.692280520086876*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"actionComp", "=", 
  RowBox[{"Compile", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"tret", ",", " ", "_Real"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"radv", ",", "_Real"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"rs", ",", "_Real"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"rsp", ",", "_Real"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"rspp", ",", "_Real"}], "}"}]}], "}"}], ",", " ", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"-", 
         FractionBox[
          RowBox[{"radv", "+", "tret"}], "rs"]}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"4", " ", 
          RowBox[{"(", 
           RowBox[{"\[ExponentialE]", "-", 
            SuperscriptBox["\[ExponentialE]", 
             FractionBox[
              RowBox[{"radv", "+", "tret"}], "rs"]]}], ")"}], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              SuperscriptBox["\[ExponentialE]", 
               FractionBox[
                RowBox[{"radv", "+", "tret"}], "rs"]], " ", 
              RowBox[{"(", 
               RowBox[{"radv", "-", 
                RowBox[{"2", " ", "rs"}]}], ")"}]}], "+", 
             RowBox[{"\[ExponentialE]", " ", "rs"}]}], ")"}], "4"], " ", 
          "rsp"}], "+", 
         RowBox[{"2", " ", 
          SuperscriptBox["\[ExponentialE]", 
           FractionBox[
            RowBox[{"4", " ", 
             RowBox[{"(", 
              RowBox[{"radv", "+", "tret"}], ")"}]}], "rs"]], " ", 
          RowBox[{"(", 
           RowBox[{"\[ExponentialE]", "-", 
            SuperscriptBox["\[ExponentialE]", 
             FractionBox[
              RowBox[{"radv", "+", "tret"}], "rs"]]}], ")"}], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"radv", "-", "rs"}], ")"}], "4"], " ", 
          SuperscriptBox["rsp", "2"]}], "-", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             SuperscriptBox["\[ExponentialE]", 
              FractionBox[
               RowBox[{"radv", "+", "tret"}], "rs"]], " ", 
             RowBox[{"(", 
              RowBox[{"radv", "-", 
               RowBox[{"2", " ", "rs"}]}], ")"}]}], "+", 
            RowBox[{"\[ExponentialE]", " ", "rs"}]}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"4", " ", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"1", "+", 
               FractionBox[
                RowBox[{"3", " ", 
                 RowBox[{"(", 
                  RowBox[{"radv", "+", "tret"}], ")"}]}], "rs"]}]], " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{"radv", "-", 
                RowBox[{"2", " ", "rs"}]}], ")"}], "3"], " ", "rs"}], "+", 
            RowBox[{"6", " ", 
             SuperscriptBox["\[ExponentialE]", 
              FractionBox[
               RowBox[{"2", " ", 
                RowBox[{"(", 
                 RowBox[{"radv", "+", "rs", "+", "tret"}], ")"}]}], "rs"]], 
             " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{"radv", "-", 
                RowBox[{"2", " ", "rs"}]}], ")"}], "2"], " ", 
             SuperscriptBox["rs", "2"]}], "+", 
            RowBox[{"4", " ", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"3", "+", 
               FractionBox[
                RowBox[{"radv", "+", "tret"}], "rs"]}]], " ", 
             RowBox[{"(", 
              RowBox[{"radv", "-", 
               RowBox[{"2", " ", "rs"}]}], ")"}], " ", 
             SuperscriptBox["rs", "3"]}], "+", 
            RowBox[{
             SuperscriptBox["\[ExponentialE]", "4"], " ", 
             SuperscriptBox["rs", "4"]}], "+", 
            RowBox[{
             SuperscriptBox["\[ExponentialE]", 
              FractionBox[
               RowBox[{"4", " ", 
                RowBox[{"(", 
                 RowBox[{"radv", "+", "tret"}], ")"}]}], "rs"]], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"2", " ", 
                SuperscriptBox["radv", "4"]}], "-", 
               RowBox[{"12", " ", 
                SuperscriptBox["radv", "3"], " ", "rs"}], "+", 
               RowBox[{"30", " ", 
                SuperscriptBox["radv", "2"], " ", 
                SuperscriptBox["rs", "2"]}], "-", 
               RowBox[{"36", " ", "radv", " ", 
                SuperscriptBox["rs", "3"]}], "+", 
               RowBox[{"17", " ", 
                SuperscriptBox["rs", "4"]}]}], ")"}]}]}], ")"}], " ", 
          "rspp"}]}], ")"}]}], ")"}], "/", 
     RowBox[{"(", 
      RowBox[{"16", " ", 
       RowBox[{"(", 
        RowBox[{"\[ExponentialE]", "-", 
         SuperscriptBox["\[ExponentialE]", 
          FractionBox[
           RowBox[{"radv", "+", "tret"}], "rs"]]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"radv", "-", "rs"}], ")"}], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            FractionBox[
             RowBox[{"radv", "+", "tret"}], "rs"]], " ", 
           RowBox[{"(", 
            RowBox[{"radv", "-", 
             RowBox[{"2", " ", "rs"}]}], ")"}]}], "+", 
          RowBox[{"\[ExponentialE]", " ", "rs"}]}], ")"}], "3"]}], ")"}]}], 
    ",", 
    RowBox[{"CompilationTarget", "\[Rule]", "\"\<C\>\""}]}], "]"}], 
  "  "}]], "Input",
 CellChangeTimes->{{3.692403123142254*^9, 3.692403151718624*^9}, {
   3.6924040506298084`*^9, 3.6924040737489595`*^9}, {3.692407079898265*^9, 
   3.692407100530959*^9}, {3.692408454418*^9, 3.692408477509394*^9}, 
   3.6924833195933523`*^9, {3.6924834624473467`*^9, 3.692483462670405*^9}, {
   3.6926109713780713`*^9, 3.6926109883836064`*^9}, 3.6926110369981346`*^9, {
   3.692611114887186*^9, 3.6926111176273317`*^9}, {3.6926267737068343`*^9, 
   3.692626826159919*^9}, {3.692744884226453*^9, 3.692744888707855*^9}, {
   3.6927450661963453`*^9, 3.6927450706899853`*^9}, {3.6927455001159315`*^9, 
   3.692745539646366*^9}, {3.692827975244293*^9, 3.6928279849031563`*^9}, 
   3.6928284386482644`*^9, {3.6929971828634405`*^9, 3.6929971908445764`*^9}, {
   3.693000551435627*^9, 3.6930005743753233`*^9}, {3.6930079848853135`*^9, 
   3.693007992645306*^9}, {3.693520963686061*^9, 3.69352100453407*^9}, {
   3.693521121589384*^9, 3.693521144376257*^9}, {3.6935214540116224`*^9, 
   3.693521505721325*^9}, {3.6935216413710747`*^9, 3.6935216462694454`*^9}, {
   3.6935216763457184`*^9, 3.6935216846866713`*^9}, {3.693522063099882*^9, 
   3.6935221603442917`*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   TagBox["CompiledFunction",
    "SummaryHead"], "[", 
   DynamicModuleBox[{Typeset`open$$ = False}, 
    PanelBox[
     PaneSelectorBox[{False->GridBox[{
        {
         PaneBox[
          ButtonBox[
           
           DynamicBox[FEPrivate`FrontEndResource[
            "FEBitmaps", "SquarePlusIconMedium"],
            ImageSizeCache->{12., {0., 12.}}],
           Appearance->None,
           ButtonFunction:>(Typeset`open$$ = True),
           Evaluator->Automatic,
           Method->"Preemptive"],
          Alignment->{Center, Center},
          
          ImageSize->
           Dynamic[{
            Automatic, 
             3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
              Magnification])}]], 
         GraphicsBox[
          {Thickness[0.038461538461538464`], 
           {FaceForm[{GrayLevel[0.93], Opacity[1.]}], 
            FilledCurveBox[{{{1, 4, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 
             3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}}}, {{{25.499999999999996`,
              2.5}, {25.499999999999996`, 1.3953100000000003`}, {
             24.604699999999998`, 0.49999999999999994`}, {23.5, 
             0.49999999999999994`}, {2.5, 0.49999999999999994`}, {
             1.3953100000000003`, 0.49999999999999994`}, {
             0.49999999999999994`, 1.3953100000000003`}, {
             0.49999999999999994`, 2.5}, {0.49999999999999994`, 23.5}, {
             0.49999999999999994`, 24.604699999999998`}, {1.3953100000000003`,
              25.499999999999996`}, {2.5, 25.499999999999996`}, {23.5, 
             25.499999999999996`}, {24.604699999999998`, 
             25.499999999999996`}, {25.499999999999996`, 
             24.604699999999998`}, {25.499999999999996`, 23.5}, {
             25.499999999999996`, 2.5}}}]}, 
           {FaceForm[{RGBColor[0.5, 0.5, 0.5], Opacity[1.]}], 
            FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 
             1, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{20.5426, 
             19.116799999999998`}, {16.3832, 21.876199999999997`}, {16.3832, 
             20.021499999999996`}, {6.930469999999999, 20.021499999999996`}, {
             6.930469999999999, 18.212100000000003`}, {16.3832, 
             18.212100000000003`}, {16.3832, 16.357399999999995`}, {20.5426, 
             19.116799999999998`}}}], 
            FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 
             1, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{5.30508, 13.8391}, {9.46445, 
             11.079700000000003`}, {9.46445, 12.933999999999997`}, {
             18.917199999999998`, 12.933999999999997`}, {18.917199999999998`, 
             14.7438}, {9.46445, 14.7438}, {9.46445, 16.598}, {5.30508, 
             13.8391}}}], 
            FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 
             1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1,
              3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {
             1, 3, 3}, {1, 3, 3}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJjIGYCYq4u+eR3VWoOxhkv5j+Qk3SA8fu/r5rKOVHM
Yd2vmNyjZ9Qcrt9QXbW9S8RBg59767IidQcPMYPGaHFhB+Nn61SfiGo4xBwp
T7o2V9Dh0Iolfg6/NBxEHv/x1Xgi4FB1XNNqkqQWnP+axUTQjFkbzn+oO2HB
j/3aDg/Xn5T6WiDoYLs3aJpiqI7DrHN+bO6tQg4zfUR7vF7pQOyfIQyRd9d1
WLL0U1kLoyjEPdm6DpoTXfQX7xBzKPjQejLkhDacL5J4+LL2Gm2HtNnSl4Vf
iELM69J2qPZM3tLnJerQX1oozZugDfHPUxGI/4W1HQ5p3TthoyDi4D7lG1v8
Mi2HgqL9zoEHhB1inOxe3BRG8MH62zXhfIbN1Z82CGhC/GMg4nCm3mN/7TYN
iHlCUPdGakDc/1kUEr46GhD/eYnD+d9iBf/kC0vC+TuCrSL+X5Vy2HGR4R5T
uAbEfxYykPBYp+HQqsCuesZAFhL+rJoQ/2rIQdxTpwkJ7yVycPfD+GDzVqLx
xbUd5HYt2JfqBdWfpA2Jj9mykPDpgYaXtaxDy7yzq86vg8qvlIHE5ylY/Eo7
XAt7o787TxfOB5ufqesQ9PbyxxkPZSDhZ6nrMAGU3u7LQtLLEx2HN2253UbX
ofZ76jis/Pay4oynAsT8QG0HKZMv/gW7FCDyTFpwPsz/MD44/Mw1HFjb1uR9
TVVwWKy880/7FHWIexrkIfLX1RzOMDZZVjHIOaDkh3vSDuj5AwCF11Vc
             "]]}},
          AspectRatio->1,
          Axes->False,
          Background->GrayLevel[0.93],
          Frame->True,
          FrameStyle->Directive[
            Thickness[Tiny], 
            GrayLevel[0.7]],
          FrameTicks->None,
          ImageSize->{Automatic, 
            Dynamic[
            3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
              Magnification]), ImageSizeCache -> {45., {0., 9.}}]}], GridBox[{
           {
            RowBox[{
             TagBox["\<\"Argument count: \"\>",
              "SummaryItemAnnotation"], "\[InvisibleSpace]", 
             TagBox["5",
              "SummaryItem"]}]},
           {
            RowBox[{
             TagBox["\<\"Argument types: \"\>",
              "SummaryItemAnnotation"], "\[InvisibleSpace]", 
             TagBox[
              StyleBox[
               PaneBox[
                RowBox[{"{", 
                 RowBox[{
                 "_Real", ",", "_Real", ",", "_Real", ",", "_Real", ",", 
                  "_Real"}], "}"}],
                BaselinePosition->Baseline,
                ContentPadding->False,
                FrameMargins->0,
                ImageSize->{{1, 300}, Automatic},
                StripOnInput->True],
               LineBreakWithin->False],
              "SummaryItem"]}]}
          },
          AutoDelete->False,
          
          BaseStyle->{
           ShowStringCharacters -> False, NumberMarks -> False, 
            PrintPrecision -> 3, ShowSyntaxStyles -> False},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Automatic}}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{2}}, "Rows" -> {{Automatic}}}]}
       },
       AutoDelete->False,
       BaselinePosition->{1, 1},
       GridBoxAlignment->{"Rows" -> {{Top}}},
       GridBoxItemSize->{
        "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], True->GridBox[{
        {
         PaneBox[
          ButtonBox[
           
           DynamicBox[FEPrivate`FrontEndResource[
            "FEBitmaps", "SquareMinusIconMedium"]],
           Appearance->None,
           ButtonFunction:>(Typeset`open$$ = False),
           Evaluator->Automatic,
           Method->"Preemptive"],
          Alignment->{Center, Center},
          ImageSize->
           Dynamic[{
            Automatic, 
             3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
              Magnification])}]], 
         GraphicsBox[
          {Thickness[0.038461538461538464`], 
           {FaceForm[{GrayLevel[0.93], Opacity[1.]}], 
            FilledCurveBox[{{{1, 4, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}, {1, 
             3, 3}, {0, 1, 0}, {1, 3, 3}, {0, 1, 0}}}, {{{25.499999999999996`,
              2.5}, {25.499999999999996`, 1.3953100000000003`}, {
             24.604699999999998`, 0.49999999999999994`}, {23.5, 
             0.49999999999999994`}, {2.5, 0.49999999999999994`}, {
             1.3953100000000003`, 0.49999999999999994`}, {
             0.49999999999999994`, 1.3953100000000003`}, {
             0.49999999999999994`, 2.5}, {0.49999999999999994`, 23.5}, {
             0.49999999999999994`, 24.604699999999998`}, {1.3953100000000003`,
              25.499999999999996`}, {2.5, 25.499999999999996`}, {23.5, 
             25.499999999999996`}, {24.604699999999998`, 
             25.499999999999996`}, {25.499999999999996`, 
             24.604699999999998`}, {25.499999999999996`, 23.5}, {
             25.499999999999996`, 2.5}}}]}, 
           {FaceForm[{RGBColor[0.5, 0.5, 0.5], Opacity[1.]}], 
            FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 
             1, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{20.5426, 
             19.116799999999998`}, {16.3832, 21.876199999999997`}, {16.3832, 
             20.021499999999996`}, {6.930469999999999, 20.021499999999996`}, {
             6.930469999999999, 18.212100000000003`}, {16.3832, 
             18.212100000000003`}, {16.3832, 16.357399999999995`}, {20.5426, 
             19.116799999999998`}}}], 
            FilledCurveBox[{{{0, 2, 0}, {0, 1, 0}, {0, 1, 0}, {0, 1, 0}, {0, 
             1, 0}, {0, 1, 0}, {0, 1, 0}}}, {{{5.30508, 13.8391}, {9.46445, 
             11.079700000000003`}, {9.46445, 12.933999999999997`}, {
             18.917199999999998`, 12.933999999999997`}, {18.917199999999998`, 
             14.7438}, {9.46445, 14.7438}, {9.46445, 16.598}, {5.30508, 
             13.8391}}}], 
            FilledCurveBox[{{{1, 4, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 
             1, 0}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1, 3, 3}, {1,
              3, 3}, {1, 3, 3}, {1, 3, 3}, {0, 1, 0}, {1, 3, 3}, {1, 3, 3}, {
             1, 3, 3}, {1, 3, 3}}}, CompressedData["
1:eJxTTMoPSmVmYGBgBGJjIGYCYq4u+eR3VWoOxhkv5j+Qk3SA8fu/r5rKOVHM
Yd2vmNyjZ9Qcrt9QXbW9S8RBg59767IidQcPMYPGaHFhB+Nn61SfiGo4xBwp
T7o2V9Dh0Iolfg6/NBxEHv/x1Xgi4FB1XNNqkqQWnP+axUTQjFkbzn+oO2HB
j/3aDg/Xn5T6WiDoYLs3aJpiqI7DrHN+bO6tQg4zfUR7vF7pQOyfIQyRd9d1
WLL0U1kLoyjEPdm6DpoTXfQX7xBzKPjQejLkhDacL5J4+LL2Gm2HtNnSl4Vf
iELM69J2qPZM3tLnJerQX1oozZugDfHPUxGI/4W1HQ5p3TthoyDi4D7lG1v8
Mi2HgqL9zoEHhB1inOxe3BRG8MH62zXhfIbN1Z82CGhC/GMg4nCm3mN/7TYN
iHlCUPdGakDc/1kUEr46GhD/eYnD+d9iBf/kC0vC+TuCrSL+X5Vy2HGR4R5T
uAbEfxYykPBYp+HQqsCuesZAFhL+rJoQ/2rIQdxTpwkJ7yVycPfD+GDzVqLx
xbUd5HYt2JfqBdWfpA2Jj9mykPDpgYaXtaxDy7yzq86vg8qvlIHE5ylY/Eo7
XAt7o787TxfOB5ufqesQ9PbyxxkPZSDhZ6nrMAGU3u7LQtLLEx2HN2253UbX
ofZ76jis/Pay4oynAsT8QG0HKZMv/gW7FCDyTFpwPsz/MD44/Mw1HFjb1uR9
TVVwWKy880/7FHWIexrkIfLX1RzOMDZZVjHIOaDkh3vSDuj5AwCF11Vc
             "]]}},
          AspectRatio->1,
          Axes->False,
          Background->GrayLevel[0.93],
          Frame->True,
          FrameStyle->Directive[
            Thickness[Tiny], 
            GrayLevel[0.7]],
          FrameTicks->None,
          ImageSize->{Automatic, 
            Dynamic[
            3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
              Magnification]), ImageSizeCache -> {45., {0., 9.}}]}], GridBox[{
           {
            RowBox[{
             TagBox["\<\"Argument count: \"\>",
              "SummaryItemAnnotation"], "\[InvisibleSpace]", 
             TagBox["5",
              "SummaryItem"]}]},
           {
            RowBox[{
             TagBox["\<\"Argument types: \"\>",
              "SummaryItemAnnotation"], "\[InvisibleSpace]", 
             TagBox[
              PaneBox[
               RowBox[{"{", 
                RowBox[{
                "_Real", ",", "_Real", ",", "_Real", ",", "_Real", ",", 
                 "_Real"}], "}"}],
               BaselinePosition->Baseline,
               ContentPadding->False,
               FrameMargins->0,
               ImageSize->{{1, 500}, Automatic},
               StripOnInput->True],
              "SummaryItem"]}]},
           {
            RowBox[{
             TagBox["\<\"Variables: \"\>",
              "SummaryItemAnnotation"], "\[InvisibleSpace]", 
             TagBox[
              RowBox[{"{", 
               RowBox[{
               "tret", ",", "radv", ",", "rs", ",", "rsp", ",", "rspp"}], 
               "}"}],
              "SummaryItem"]}]},
           {
            RowBox[{
             TagBox["\<\"Expression: \"\>",
              "SummaryItemAnnotation"], "\[InvisibleSpace]", 
             TagBox[
              PaneBox[
               RowBox[{"Block", "[", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                  "Compile`$4", ",", "Compile`$5", ",", "Compile`$15", ",", 
                   "Compile`$22", ",", "Compile`$23", ",", "Compile`$24", ",",
                    "Compile`$25", ",", "Compile`$26", ",", "Compile`$27", 
                   ",", "Compile`$28", ",", "Compile`$29", ",", "Compile`$30",
                    ",", "Compile`$34", ",", "Compile`$35", ",", 
                   "Compile`$53", ",", "Compile`$57", ",", "Compile`$60", ",",
                    "Compile`$36", ",", "Compile`$38"}], "}"}], ",", 
                 RowBox[{
                  RowBox[{"Compile`$4", "=", 
                   RowBox[{"radv", "+", "tret"}]}], ";", 
                  RowBox[{"Compile`$5", "=", 
                   FractionBox["1", "rs"]}], ";", 
                  RowBox[{"Compile`$15", "=", 
                   RowBox[{"Compile`$4", " ", "Compile`$5"}]}], ";", 
                  RowBox[{"Compile`$22", "=", 
                   SuperscriptBox["\[ExponentialE]", "Compile`$15"]}], ";", 
                  RowBox[{"Compile`$23", "=", 
                   RowBox[{"-", "Compile`$22"}]}], ";", 
                  RowBox[{"Compile`$24", "=", 
                   RowBox[{"\[ExponentialE]", "+", "Compile`$23"}]}], ";", 
                  RowBox[{"Compile`$25", "=", 
                   RowBox[{"2", " ", "rs"}]}], ";", 
                  RowBox[{"Compile`$26", "=", 
                   RowBox[{"-", "Compile`$25"}]}], ";", 
                  RowBox[{"Compile`$27", "=", 
                   RowBox[{"radv", "+", "Compile`$26"}]}], ";", 
                  RowBox[{"Compile`$28", "=", 
                   RowBox[{"Compile`$22", " ", "Compile`$27"}]}], ";", 
                  RowBox[{"Compile`$29", "=", 
                   RowBox[{"\[ExponentialE]", " ", "rs"}]}], ";", 
                  RowBox[{"Compile`$30", "=", 
                   RowBox[{"Compile`$28", "+", "Compile`$29"}]}], ";", 
                  RowBox[{"Compile`$34", "=", 
                   RowBox[{"4", " ", "Compile`$4", " ", "Compile`$5"}]}], ";", 
                  RowBox[{"Compile`$35", "=", 
                   SuperscriptBox["\[ExponentialE]", "Compile`$34"]}], ";", 
                  RowBox[{"Compile`$53", "=", 
                   SuperscriptBox["rs", "2"]}], ";", 
                  RowBox[{"Compile`$57", "=", 
                   SuperscriptBox["rs", "3"]}], ";", 
                  RowBox[{"Compile`$60", "=", 
                   SuperscriptBox["rs", "4"]}], ";", 
                  RowBox[{"Compile`$36", "=", 
                   RowBox[{"-", "rs"}]}], ";", 
                  RowBox[{"Compile`$38", "=", 
                   RowBox[{"radv", "+", "Compile`$36"}]}], ";", 
                  FractionBox[
                   RowBox[{
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{"-", "Compile`$15"}]], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"4", " ", "Compile`$24", " ", 
                    SuperscriptBox["Compile`$30", "4"], " ", "rsp"}], "+", 
                    RowBox[{"2", " ", "Compile`$35", " ", "Compile`$24", " ", 
                    SuperscriptBox["Compile`$38", "4"], " ", 
                    SuperscriptBox["rsp", "2"]}], "-", 
                    RowBox[{"Compile`$30", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"4", " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{"1", "+", 
                    RowBox[{"3", " ", "Compile`$4", " ", "Compile`$5"}]}]], 
                    " ", 
                    SuperscriptBox["Compile`$27", "3"], " ", "rs"}], "+", 
                    RowBox[{"6", " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"radv", "+", "rs", "+", "tret"}], ")"}], " ", 
                    "Compile`$5"}]], " ", 
                    SuperscriptBox["Compile`$27", "2"], " ", "Compile`$53"}], 
                    "+", 
                    RowBox[{"4", " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{"3", "+", "Compile`$15"}]], " ", "Compile`$27", 
                    " ", "Compile`$57"}], "+", 
                    RowBox[{
                    SuperscriptBox["\[ExponentialE]", "4"], " ", 
                    "Compile`$60"}], "+", 
                    RowBox[{"Compile`$35", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["radv", "4"]}], "-", 
                    RowBox[{"12", " ", 
                    SuperscriptBox["radv", "3"], " ", "rs"}], "+", 
                    RowBox[{"30", " ", 
                    SuperscriptBox["radv", "2"], " ", "Compile`$53"}], "-", 
                    RowBox[{"36", " ", "radv", " ", "Compile`$57"}], "+", 
                    RowBox[{"17", " ", "Compile`$60"}]}], ")"}]}]}], ")"}], 
                    " ", "rspp"}]}], ")"}]}], 
                   RowBox[{"16", " ", "Compile`$24", " ", "Compile`$38", " ", 
                    SuperscriptBox["Compile`$30", "3"]}]]}]}], "]"}],
               BaselinePosition->Baseline,
               ContentPadding->False,
               FrameMargins->0,
               ImageSize->{{1, 500}, Automatic},
               StripOnInput->True],
              "SummaryItem"]}]}
          },
          AutoDelete->False,
          
          BaseStyle->{
           ShowStringCharacters -> False, NumberMarks -> False, 
            PrintPrecision -> 3, ShowSyntaxStyles -> False},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Automatic}}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{2}}, "Rows" -> {{Automatic}}}]}
       },
       AutoDelete->False,
       BaselinePosition->{1, 1},
       GridBoxAlignment->{"Rows" -> {{Top}}},
       GridBoxItemSize->{
        "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
      Typeset`open$$],
      ImageSize->Automatic],
     BaselinePosition->Baseline],
    DynamicModuleValues:>{}], "]"}],
  CompiledFunction[{10, 11., 5468}, {
    Blank[Real], 
    Blank[Real], 
    Blank[Real], 
    Blank[Real], 
    Blank[Real]}, {{3, 0, 0}, {3, 0, 1}, {3, 0, 2}, {3, 0, 3}, {3, 0, 4}, {3, 
   0, 26}}, {{4, {2, 0, 1}}, {17, {2, 0, 8}}, {30, {2, 0, 6}}, {
    6, {2, 0, 4}}, {16, {2, 0, 9}}, {2, {2, 0, 0}}, {36, {2, 0, 7}}, {
    12, {2, 0, 5}}, {1, {2, 0, 3}}, {3, {2, 0, 2}}, {
    2.718281828459045, {3, 0, 10}}}, {0, 10, 37, 0, 
   0}, {{13, 1, 0, 5}, {40, 60, 3, 0, 2, 3, 0, 6}, {16, 5, 6, 7}, {40, 32, 3, 
    0, 7, 3, 0, 8}, {19, 8, 9}, {13, 10, 9, 11}, {10, 0, 12}, {16, 12, 2, 
    12}, {19, 12, 13}, {13, 1, 13, 14}, {16, 8, 14, 15}, {16, 10, 2, 16}, {13,
     15, 16, 17}, {10, 1, 18}, {16, 18, 5, 6, 18}, {40, 32, 3, 0, 18, 3, 0, 
    19}, {40, 56, 3, 0, 2, 3, 0, 20}, {41, 263, 3, 0, 2, 2, 0, 2, 3, 0, 21}, {
    41, 263, 3, 0, 2, 2, 0, 1, 3, 0, 22}, {19, 2, 23}, {13, 1, 23, 24}, {19, 
    7, 25}, {40, 32, 3, 0, 25, 3, 0, 26}, {41, 263, 3, 0, 17, 2, 0, 1, 3, 0, 
    25}, {10, 1, 27}, {16, 27, 11, 25, 3, 27}, {41, 263, 3, 0, 24, 2, 0, 1, 3,
     0, 25}, {40, 56, 3, 0, 3, 3, 0, 28}, {10, 0, 29}, {16, 29, 19, 11, 25, 
    28, 29}, {10, 2, 25}, {16, 25, 5, 6, 25}, {10, 3, 28}, {13, 28, 25, 28}, {
    40, 32, 3, 0, 28, 3, 0, 25}, {41, 263, 3, 0, 14, 2, 0, 2, 3, 0, 28}, {10, 
    1, 30}, {16, 30, 25, 28, 2, 30}, {13, 1, 2, 0, 25}, {10, 0, 28}, {16, 28, 
    25, 6, 28}, {40, 32, 3, 0, 28, 3, 0, 25}, {40, 56, 3, 0, 14, 3, 0, 28}, {
    10, 4, 31}, {16, 31, 25, 28, 20, 31}, {10, 2, 25}, {13, 25, 7, 25}, {40, 
    32, 3, 0, 25, 3, 0, 28}, {10, 1, 25}, {16, 25, 28, 14, 21, 25}, {10, 1, 
    28}, {40, 32, 3, 0, 28, 3, 0, 32}, {16, 32, 22, 32}, {41, 263, 3, 0, 1, 2,
     0, 1, 3, 0, 28}, {10, 0, 33}, {16, 33, 28, 33}, {41, 263, 3, 0, 1, 2, 0, 
    2, 3, 0, 28}, {10, 5, 34}, {16, 34, 28, 2, 34}, {19, 34, 28}, {40, 56, 3, 
    0, 1, 3, 0, 34}, {10, 6, 35}, {16, 35, 34, 20, 35}, {10, 7, 34}, {16, 34, 
    1, 21, 34}, {19, 34, 36}, {10, 8, 34}, {16, 34, 22, 34}, {13, 33, 28, 35, 
    36, 34, 33}, {16, 19, 33, 28}, {13, 30, 31, 25, 32, 28, 30}, {16, 17, 30, 
    4, 31}, {19, 31, 30}, {13, 27, 29, 30, 27}, {16, 26, 27, 26}, {41, 263, 3,
     0, 17, 2, 0, 2, 3, 0, 27}, {10, 9, 29}, {16, 29, 11, 24, 27, 29}, {40, 
    60, 3, 0, 29, 3, 0, 27}, {16, 26, 27, 26}, {1}}, 
   Function[{$CellContext`tret, $CellContext`radv, $CellContext`rs, \
$CellContext`rsp, $CellContext`rspp}, 
    Block[{
     Compile`$4, Compile`$5, Compile`$15, Compile`$22, Compile`$23, 
      Compile`$24, Compile`$25, Compile`$26, Compile`$27, Compile`$28, 
      Compile`$29, Compile`$30, Compile`$34, Compile`$35, Compile`$53, 
      Compile`$57, Compile`$60, Compile`$36, Compile`$38}, 
     Compile`$4 = $CellContext`radv + $CellContext`tret; 
     Compile`$5 = $CellContext`rs^(-1); Compile`$15 = Compile`$4 Compile`$5; 
     Compile`$22 = E^Compile`$15; Compile`$23 = -Compile`$22; 
     Compile`$24 = E + Compile`$23; Compile`$25 = 2 $CellContext`rs; 
     Compile`$26 = -Compile`$25; 
     Compile`$27 = $CellContext`radv + Compile`$26; 
     Compile`$28 = Compile`$22 Compile`$27; Compile`$29 = E $CellContext`rs; 
     Compile`$30 = Compile`$28 + Compile`$29; 
     Compile`$34 = (4 Compile`$4) Compile`$5; Compile`$35 = E^Compile`$34; 
     Compile`$53 = $CellContext`rs^2; Compile`$57 = $CellContext`rs^3; 
     Compile`$60 = $CellContext`rs^4; Compile`$36 = -$CellContext`rs; 
     Compile`$38 = $CellContext`radv + Compile`$36; (
       E^(-Compile`$15) (((4 Compile`$24) 
          Compile`$30^4) $CellContext`rsp + (((2 Compile`$35) Compile`$24) 
          Compile`$38^4) $CellContext`rsp^2 - (
         Compile`$30 (((4 E^(1 + (3 Compile`$4) Compile`$5)) 
            Compile`$27^3) $CellContext`rs + ((6 
             E^((2 ($CellContext`radv + $CellContext`rs + $CellContext`tret)) 
               Compile`$5)) Compile`$27^2) 
           Compile`$53 + ((4 E^(3 + Compile`$15)) Compile`$27) Compile`$57 + 
          E^4 Compile`$60 + 
          Compile`$35 (
            2 $CellContext`radv^4 - (
             12 $CellContext`radv^3) $CellContext`rs + (
              30 $CellContext`radv^2) Compile`$53 - (36 $CellContext`radv) 
            Compile`$57 + 17 Compile`$60))) $CellContext`rspp))/(((16 
        Compile`$24) Compile`$38) Compile`$30^3)]], Evaluate, 
   LibraryFunction[
   "C:\\Users\\Dan\\AppData\\Roaming\\Mathematica\\ApplicationData\\\
CCompilerDriver\\BuildFolder\\iamu-pc-15268\\compiledFunction3.dll", 
    "compiledFunction3", {{Real, 0, "Constant"}, {Real, 0, "Constant"}, {
     Real, 0, "Constant"}, {Real, 0, "Constant"}, {Real, 0, "Constant"}}, 
    Real]],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGAwBuIrTEUaW5teO+pop+wD0ZvSXJS2AWldR62SW0B6yfSJ
h0D0oS+Xdt8G0j7px66B6Ac9J73vAGmJ3L+vvgLpIqVkmx9A2sx3NgNT82vH
aTfOsogC6QPujN/kgbTt+UdFCkDaSH9aA4iOXrf4lg+QXvXw8KEIIG1wwKM6
EkiXOAcsBNFn7p+5CKIl1l10jgLSJ0zneYHo2gMb+0H0htjQhSBaK1sgpQpI
u504KFMLpD+mVlmB6H+yF9xBtCnbeeZ6IN2VYNwEoj+9ZLwPor++dNBsANLP
zPruNwFpjWsbHoPoFodDr0H0u58LbJqBtIOwZSCIFmKccA9EX35w6COI3tDS
5tMCpPXEHCtBtFPgMdV5QNqa2fkkiF7i+F9rHZCOF3ww7zpIffiVdSA6ZJHP
vFsg+RAxnf9AusDspu/VlteOLyYEJIPoCCOdByAaAOQE2VA=
  "]]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"(", 
   RowBox[{
   "Test", " ", "if", " ", "the", " ", "compiled", " ", "function", " ", 
    RowBox[{"works", ":"}]}], ")"}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.692657336535276*^9, 3.6926573577423906`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"actionComp", "[", 
  RowBox[{"0", ",", "1", ",", "1", ",", "0.5", ",", "0.5"}], "]"}]], "Input",
 CellChangeTimes->{{3.6922806659490485`*^9, 3.692280668261816*^9}, {
   3.6922834329624147`*^9, 3.6922834331746216`*^9}, {3.6924084875702944`*^9, 
   3.6924084942429237`*^9}, 3.692483325922043*^9, {3.6926111738893037`*^9, 
   3.6926111805493126`*^9}, {3.6926267322950506`*^9, 
   3.6926267444831486`*^9}, {3.692744014045768*^9, 3.6927440500741987`*^9}, {
   3.692744124550181*^9, 3.6927441382615156`*^9}, {3.692744283397938*^9, 
   3.6927443016376877`*^9}, 3.6927450781851034`*^9, {3.6927453216523447`*^9, 
   3.692745323553813*^9}, {3.6927455577522116`*^9, 3.692745573394477*^9}, {
   3.6928170380222607`*^9, 3.692817040464989*^9}, {3.6928279888755007`*^9, 
   3.692827990397077*^9}, {3.6928284179315825`*^9, 3.692828418518998*^9}, {
   3.6928284600734596`*^9, 3.6928284667246637`*^9}, {3.693000577996882*^9, 
   3.693000581542385*^9}, {3.693007995841062*^9, 3.693007998024606*^9}, {
   3.6935214222494316`*^9, 3.6935214481478024`*^9}, {3.6935215473597293`*^9, 
   3.6935215655341873`*^9}, {3.6935217024704695`*^9, 3.693521703494791*^9}}],

Cell[BoxData["Indeterminate"], "Output",
 CellChangeTimes->{
  3.692603430600814*^9, 3.692625840191152*^9, 3.692626751994356*^9, 
   3.692626839147421*^9, 3.6926269487362967`*^9, 3.6927177811829205`*^9, 
   3.6927421661994257`*^9, 3.69274364236308*^9, 3.692743946594818*^9, {
   3.692744019396524*^9, 3.69274405307607*^9}, {3.692744129368883*^9, 
   3.692744141413926*^9}, 3.6927443344738083`*^9, 3.692745246689231*^9, 
   3.692745301034134*^9, 3.692745348119372*^9, 3.692745853799964*^9, 
   3.6927459947317343`*^9, 3.6928110405936384`*^9, 3.692816614177784*^9, 
   3.6928168521201534`*^9, 3.6928169589229574`*^9, 3.692820510570079*^9, 
   3.692821521716113*^9, 3.692822264185897*^9, 3.6928228581356354`*^9, {
   3.692828412626831*^9, 3.6928284335421495`*^9}, 3.6928284712488637`*^9, 
   3.692828510133421*^9, 3.6928291571150694`*^9, 3.6928293218631544`*^9, 
   3.69283045269977*^9, 3.6928306061629963`*^9, 3.6928313322877584`*^9, 
   3.6928316901160173`*^9, 3.692884270279081*^9, 3.6928855781677537`*^9, 
   3.6929170800648327`*^9, 3.6930019872362585`*^9, 3.693002102730271*^9, 
   3.693008114518903*^9, 3.6930829768184185`*^9, {3.6935215342190228`*^9, 
   3.693521554546441*^9}, {3.6935216979726706`*^9, 3.6935217072493625`*^9}, 
   3.693522689485961*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
    "A", " ", "numeric", " ", "argument", " ", "definition", " ", "makes", 
     " ", "built"}], "-", 
    RowBox[{
    "in", " ", "numeric", " ", "functions", " ", "work", " ", "as", " ", "we",
      " ", "want", " ", "them", " ", 
     RowBox[{"to", ":"}]}]}], " "}], "*)"}]], "Input",
 CellChangeTimes->{{3.692657364782282*^9, 3.6926574021319532`*^9}, {
  3.6926598988844833`*^9, 3.692659921469226*^9}}],

Cell[BoxData[
 RowBox[{"Clear", "[", "actionNumeric", "]"}]], "Input",
 CellChangeTimes->{{3.692652809021765*^9, 3.692652813399677*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"actionNumeric", "[", 
   RowBox[{
    RowBox[{"t_", "?", "NumericQ"}], ",", 
    RowBox[{"radv_", "?", "NumericQ"}], ",", 
    RowBox[{"rs_", "?", "NumericQ"}], ",", 
    RowBox[{"rsp_", "?", "NumericQ"}], ",", 
    RowBox[{"rspp_", "?", "NumericQ"}]}], "]"}], ":=", 
  RowBox[{"actionComp", "[", 
   RowBox[{"t", ",", "radv", ",", "rs", ",", "rsp", ",", "rspp"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.6926526905484314`*^9, 3.6926528024505277`*^9}, {
  3.692744874308169*^9, 3.692744878361266*^9}, {3.692745090597653*^9, 
  3.692745093275039*^9}, {3.6927460388270173`*^9, 3.692746066034042*^9}, {
  3.692828001244751*^9, 3.692828009609668*^9}, {3.692997182923983*^9, 
  3.692997190632427*^9}, {3.6930005947574444`*^9, 3.6930006114427605`*^9}, {
  3.6930080039387803`*^9, 3.693008012895104*^9}, {3.6935222141663494`*^9, 
  3.6935222466873026`*^9}, {3.6935223129152956`*^9, 3.693522320026106*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"actionNumeric", "[", 
  RowBox[{"0", ",", "2", ",", "1", ",", "0.5", ",", "0.5"}], "]"}]], "Input",
 CellChangeTimes->{{3.6935226684391084`*^9, 3.693522669805275*^9}, {
  3.6935246077024384`*^9, 3.69352460836499*^9}}],

Cell[BoxData["Indeterminate"], "Output",
 CellChangeTimes->{{3.6935226754056835`*^9, 3.6935226895649843`*^9}}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"graph1", "=", 
  RowBox[{"Plot3D", "[", 
   RowBox[{
    RowBox[{"actionNumeric", "[", 
     RowBox[{"tret", ",", "radv", ",", "1", ",", "0.5", ",", "0.5"}], "]"}], 
    ",", 
    RowBox[{"{", 
     RowBox[{"tret", ",", "0", ",", "10"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"radv", ",", "1", ",", "4"}], "}"}], ",", 
    RowBox[{"MaxRecursion", "\[Rule]", "10"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "10"}], ",", "10"}], "}"}]}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", "White"}], ",", 
    RowBox[{"Lighting", "\[Rule]", "\"\<Neutral\>\""}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6935250481192007`*^9, 3.6935251378602166`*^9}, {
   3.6935252514668713`*^9, 3.693525285906334*^9}, 3.6935253242626753`*^9, {
   3.6935253659413595`*^9, 3.693525373866729*^9}, {3.6935254051626253`*^9, 
   3.69352549914056*^9}, {3.693525591920447*^9, 3.6935255973862114`*^9}, {
   3.693525634057845*^9, 3.693525637380303*^9}, 3.693525707677821*^9, {
   3.6935257573960342`*^9, 3.693525759877695*^9}, {3.6935258934050555`*^9, 
   3.693526032953415*^9}, {3.69352606476993*^9, 3.6935260665724487`*^9}, 
   3.6935261196629877`*^9, {3.6935262113732023`*^9, 3.693526216611077*^9}, {
   3.6935263224583616`*^9, 3.693526323698168*^9}}],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.693527815282482*^9, 3.6935278155642323`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{
  "\"\<C:\\\\Users\\\\Dan\\\\Documents\\\\QG2\\\\graphFig1raw.png\>\"", ",", 
   "graph1"}], "]"}]], "Input",
 CellChangeTimes->{3.6935260693082056`*^9}],

Cell[BoxData["\<\"C:\\\\Users\\\\Dan\\\\Documents\\\\QG2\\\\graphFig1raw.png\"\
\>"], "Output",
 CellChangeTimes->{3.69352611241792*^9, 3.6935261712026587`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"graph2", "=", 
  RowBox[{"Plot3D", "[", 
   RowBox[{
    RowBox[{"actionNumeric", "[", 
     RowBox[{"2", ",", "2", ",", "1", ",", "rsp", ",", "rspp"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"rsp", ",", 
      RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"rspp", ",", 
      RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", "White"}], ",", 
    RowBox[{"Lighting", "\[Rule]", "\"\<Neutral\>\""}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6935247384529004`*^9, 3.6935247953976917`*^9}, {
  3.6935250174437294`*^9, 3.6935250384715347`*^9}, {3.6935260357030125`*^9, 
  3.693526073432279*^9}}],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.6935278199091325`*^9, 3.693527819948723*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{
  "\"\<C:\\\\Users\\\\Dan\\\\Documents\\\\QG2\\\\graphFig2raw.png\>\"", ",", 
   "graph2"}], "]"}]], "Input",
 CellChangeTimes->{{3.693526081140973*^9, 3.693526083308147*^9}}],

Cell[BoxData["\<\"C:\\\\Users\\\\Dan\\\\Documents\\\\QG2\\\\graphFig2raw.png\"\
\>"], "Output",
 CellChangeTimes->{3.6935261127555847`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"graph3", "=", 
  RowBox[{"Plot3D", "[", 
   RowBox[{
    RowBox[{"actionNumeric", "[", 
     RowBox[{"0", ",", "2", ",", "1000000", ",", "rsp", ",", "rspp"}], "]"}], 
    ",", 
    RowBox[{"{", 
     RowBox[{"rsp", ",", 
      RowBox[{"-", "1000000"}], ",", "1000000"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"rspp", ",", 
      RowBox[{"-", "1000000"}], ",", "1000000"}], "}"}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", "White"}], ",", 
    RowBox[{"Lighting", "\[Rule]", "\"\<Neutral\>\""}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6935222723022213`*^9, 3.6935224106784024`*^9}, {
  3.693523112710701*^9, 3.69352314835195*^9}, {3.693523186448514*^9, 
  3.693523198576293*^9}, {3.693523485242444*^9, 3.6935235708511596`*^9}, {
  3.6935236025234566`*^9, 3.6935236032331743`*^9}, {3.6935236354520836`*^9, 
  3.6935236360217876`*^9}, {3.693523788280219*^9, 3.6935238531260595`*^9}, {
  3.693524623328929*^9, 3.6935246738493557`*^9}, {3.693524800991868*^9, 
  3.693524811302125*^9}, {3.693526040328905*^9, 3.6935260431387987`*^9}, {
  3.693526094894438*^9, 3.6935260964514227`*^9}}],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.693527822055093*^9, 3.693527822071104*^9}}],

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{
  "\"\<C:\\\\Users\\\\Dan\\\\Documents\\\\QG2\\\\graphFig3raw.png\>\"", ",", 
   "graph3"}], "]"}]], "Input",
 CellChangeTimes->{{3.693526088279725*^9, 3.6935260911850395`*^9}}],

Cell[BoxData["\[IndentingNewLine]"], "Input",
 CellChangeTimes->{3.6934041511396875`*^9}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"SEGMENT", ":", " ", 
   RowBox[{
   "CLEAR", " ", "GLOBAL", " ", "MEMORY", " ", "SPACE", " ", "HERE"}]}], " ", 
  "*)"}]], "Input",
 CellChangeTimes->{{3.6931713988567085`*^9, 3.693171465625352*^9}, {
  3.693178393865821*^9, 3.6931783969060545`*^9}, {3.69325621341514*^9, 
  3.6932562235821095`*^9}, {3.6938229907171574`*^9, 3.6938230068796034`*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"We", " ", "have", " ", "classical", " ", "waves"}], ",", " ", 
   RowBox[{"besides", " ", "the", " ", "quantum", " ", 
    RowBox[{"behavior", ".", " ", "They"}], " ", "carry", " ", "energy", " ", 
    "and", " ", "spherically", " ", "symmetric", " ", 
    RowBox[{"momentum", ".", " ", "A"}], " ", "graviton", " ", "wave", " ", 
    "front", " ", "should", " ", "apply", " ", "pressure"}], ",", " ", 
   RowBox[{
   "but", " ", "the", " ", "average", " ", "pressure", " ", "over", " ", 
    "time", " ", "should", " ", "probably", " ", "be", " ", "zero"}], ",", 
   " ", 
   RowBox[{
   "as", " ", "the", " ", "apparent", " ", "Schwarzschild", " ", "radius", 
    " ", "of", " ", "the", " ", "hole", " ", "oscillates", " ", "around", " ",
     "the", " ", "classical", " ", 
    RowBox[{"value", ".", " ", "The"}], " ", "energy", " ", "component", " ", 
    "of", " ", "the", " ", "Einstein", " ", "field", " ", "equations", " ", 
    "should", " ", "tell", " ", "us", " ", "the", " ", "quantum", " ", 
    "expectation", " ", "value", " ", "for", " ", "the", " ", "change", " ", 
    "in", " ", "the", " ", "Schwarzschild", " ", 
    RowBox[{
    "radius", ".", "\[IndentingNewLine]", "\[IndentingNewLine]", "Quantum"}], 
    " ", "mechanically"}], ",", " ", 
   RowBox[{"energy", "-", 
    RowBox[{
    "degenerate", " ", "configurations", " ", "of", " ", "the", " ", 
     "radiation", " ", "should", " ", "be", " ", "equally", " ", "likely"}]}],
    ",", " ", 
   RowBox[{
   "but", " ", "energy", " ", "carriers", " ", "must", " ", "be", " ", 
    "discrete"}], ",", " ", 
   RowBox[{"leading", " ", "to", " ", 
    RowBox[{"Wien", "'"}], "s", " ", "law", " ", "for", " ", "the", " ", 
    "temperature", " ", "of", " ", "the", " ", "gravitational", " ", 
    RowBox[{"radiation", ".", " ", "The"}], " ", "particles", " ", "should", 
    " ", "probably", " ", "carry", " ", "2", " ", "units", " ", "of", " ", 
    "spin"}], ",", " ", 
   RowBox[{
   "but", " ", "this", " ", "does", " ", "not", " ", "affect", " ", "the", 
    " ", "mechanics", " ", "in", " ", "this", " ", "case"}], ",", " ", 
   RowBox[{
   "except", " ", "that", " ", "the", " ", "implied", " ", "statistics", " ", 
    "are", " ", 
    RowBox[{
    "bosonic", ".", "\[IndentingNewLine]", "\[IndentingNewLine]", "How"}], 
    " ", "much", " ", "classical", " ", "radiation", " ", "do", " ", "we", 
    " ", 
    RowBox[{"expect", "?"}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.693609402225275*^9, 3.6936094215825224`*^9}, {
  3.6936094690135193`*^9, 3.693609503931552*^9}, {3.6936095370372996`*^9, 
  3.693609813267044*^9}, {3.693609863563179*^9, 3.6936100866422987`*^9}, {
  3.693610124888723*^9, 3.6936101955770626`*^9}, {3.6936102852672687`*^9, 
  3.6936103128497953`*^9}, {3.6936103704335814`*^9, 3.6936104846339674`*^9}, {
  3.6936105453028994`*^9, 3.6936105820214252`*^9}, {3.693610666741928*^9, 
  3.6936106882076144`*^9}, {3.693610756332342*^9, 3.6936107833854885`*^9}, {
  3.693650482401396*^9, 3.693650486623804*^9}, {3.6936509367938623`*^9, 
  3.693650937871748*^9}, {3.693823041341009*^9, 3.693823053635249*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"tret", "=", 
   RowBox[{"t", "-", "r", "+", 
    RowBox[{"rs", "[", 
     RowBox[{"t", ",", " ", "r"}], "]"}], "+", 
    RowBox[{
     RowBox[{"rs", "[", 
      RowBox[{"t", ",", " ", "r"}], "]"}], " ", 
     RowBox[{"Log", "[", 
      RowBox[{"r", "/", 
       RowBox[{"rs", "[", 
        RowBox[{"t", ",", " ", "r"}], "]"}]}], "]"}]}]}]}], " ", 
  "*)"}]], "Input",
 CellChangeTimes->{{3.692741544964277*^9, 3.6927415497038326`*^9}, {
   3.6927419851538925`*^9, 3.692741985429086*^9}, {3.692997023138229*^9, 
   3.692997051179645*^9}, 3.6929970842239766`*^9, {3.6930594685701146`*^9, 
   3.6930595023463087`*^9}, {3.6931458381785727`*^9, 3.693145844021198*^9}, {
   3.6931689999282427`*^9, 3.693169064734022*^9}, {3.693169400970007*^9, 
   3.693169402603159*^9}, {3.6931697908493333`*^9, 3.6931698275437403`*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"radv", "=", 
   RowBox[{"r", "+", 
    RowBox[{
     RowBox[{"ProductLog", "[", 
      RowBox[{"-", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", "1"}], "-", 
         FractionBox["t", 
          RowBox[{"rs", "[", 
           RowBox[{"t", ",", " ", "r"}], "]"}]]}]]}], "]"}], " ", 
     RowBox[{"rs", "[", 
      RowBox[{"t", ",", "r"}], "]"}]}], "+", 
    RowBox[{"rs", "[", 
     RowBox[{"t", ",", "r"}], "]"}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.6927387118717012`*^9, 3.6927387141871996`*^9}, {
  3.6927387469018974`*^9, 3.692738765998378*^9}, {3.693145767814393*^9, 
  3.693145771452962*^9}, {3.6931458110739365`*^9, 3.6931458122907934`*^9}, {
  3.6931687935807333`*^9, 3.693168821848691*^9}, {3.693168988823903*^9, 
  3.6931689889835157`*^9}, {3.6931690738189363`*^9, 3.6931691178365145`*^9}, {
  3.6931698333263235`*^9, 3.6931698723413706`*^9}, {3.6935105660840464`*^9, 
  3.6935105910582533`*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"t", "=", 
   RowBox[{"tret", "+", "r", "-", 
    RowBox[{"rs", "[", "tret", "]"}], "-", 
    RowBox[{
     RowBox[{"rs", "[", "tret", "]"}], "*", 
     RowBox[{"Log", "[", 
      RowBox[{"r", "/", 
       RowBox[{"rs", "[", "tret", "]"}]}], "]"}]}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.693170123798477*^9, 3.6931701704929457`*^9}, {
  3.693170224134883*^9, 3.6931702424031096`*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"r", "=", 
   RowBox[{"radv", "-", 
    RowBox[{
     RowBox[{"ProductLog", "[", 
      RowBox[{"-", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", "1"}], "-", 
         FractionBox["t", 
          RowBox[{"rs", "[", "tret", "]"}]]}]]}], "]"}], " ", 
     RowBox[{"rs", "[", "tret", "]"}]}], "-", 
    RowBox[{"rs", "[", "tret", "]"}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.693170467644655*^9, 3.693170497939045*^9}, {
  3.6935106157416143`*^9, 3.6935106479769106`*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"radv", "=", 
   RowBox[{"r", "+", 
    RowBox[{
     RowBox[{"ProductLog", "[", 
      RowBox[{"-", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", "1"}], "-", 
         FractionBox[
          RowBox[{"tret", "+", "r", "-", 
           RowBox[{"rs", "[", "tret", "]"}], "-", 
           RowBox[{
            RowBox[{"rs", "[", "tret", "]"}], "*", 
            RowBox[{"Log", "[", 
             RowBox[{"r", "/", 
              RowBox[{"rs", "[", "tret", "]"}]}], "]"}]}]}], 
          RowBox[{"rs", "[", "tret", "]"}]]}]]}], "]"}], " ", 
     RowBox[{"rs", "[", "tret", "]"}]}], "+", 
    RowBox[{"rs", "[", "tret", "]"}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.693170174301136*^9, 3.693170235672884*^9}, {
  3.693170325543747*^9, 3.6931703516797*^9}, {3.693510633831539*^9, 
  3.69351064177125*^9}}],

Cell[BoxData[{
 RowBox[{"Clear", "[", "r", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Clear", "[", "t", "]"}]}], "Input",
 CellChangeTimes->{{3.6936506575743637`*^9, 3.693650664067231*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"tr", "=", 
   RowBox[{"t", "-", "r", "+", 
    RowBox[{"rs", "[", "tr", "]"}], "+", 
    RowBox[{
     RowBox[{"rs", "[", "tr", "]"}], 
     RowBox[{"Log", "[", 
      RowBox[{"r", "/", 
       RowBox[{"rs", "[", "tr", "]"}]}], "]"}]}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.6920947515201707`*^9, 3.692094794164466*^9}, {
   3.6925718441793165`*^9, 3.6925718567006435`*^9}, {3.692572268401087*^9, 
   3.6925722717458534`*^9}, {3.6927143747505765`*^9, 3.6927143775521584`*^9}, 
   3.692737970749805*^9}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"ra", "=", 
   RowBox[{"r", "+", 
    RowBox[{
     RowBox[{"ProductLog", "[", 
      RowBox[{"-", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", "1"}], "-", 
         FractionBox["t", 
          RowBox[{"rs", "[", "tr", "]"}]]}]]}], "]"}], " ", 
     RowBox[{"rs", "[", "tr", "]"}]}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.6927387118717012`*^9, 3.6927387141871996`*^9}, {
  3.6927387469018974`*^9, 3.692738765998378*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"coord", " ", "=", " ", 
  RowBox[{"{", 
   RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "}"}]}]], "Input",
 CellChangeTimes->{{3.6925711961207356`*^9, 3.6925712022023563`*^9}, {
   3.6925725237671013`*^9, 3.6925725265219145`*^9}, 3.6925728910181303`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "}"}]], "Output",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGAwBmI3x/uqbM2vHe/Ma84C0VWvjNw4gPStXVY3JYB0Rc81
U3kgPefQYgkfIL3h5bnFESB1XkrbQbTeKu7ySCBdnvpiLog+9qruPIiO6JJX
iALSGQUWDSA6qpVhHoiW2/ctpgpId7kxiNcC6RcXFpmCaKlNPi4gWnPajv91
QPq3R3xtPZAWMK+/BaL75URUG4C0lSnf3SaQ+/Y+NG8G0hqHVnmBaDaONTdB
NPvSW69B9Js1BW4tQHqX5+sSEB118LT8PCDt+73hMIi+n7YzYgmQnjftkMo6
IK2rEnv+KpCefCN1+XWQO1eJTr8F8scRGYH/QDrBv6Fdq+W1456FE2YEA+lu
KWGuJUB63YGvTquA9KM9fhtB9Do349LVQDrPKeayRutrxxtPmL6BaLEX61T0
gHRAmEo8iFY5xXsIRAv9Fv8MousakqpsgTTfY/UpdkAaAN060Lc=
  "]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"tret", "=", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "r"}], "+", "t", "+", 
    RowBox[{"rs", "[", 
     RowBox[{"t", ",", "r"}], "]"}], "+", 
    RowBox[{
     RowBox[{"Log", "[", 
      RowBox[{"r", "/", 
       RowBox[{"rs", "[", 
        RowBox[{"t", ",", "r"}], "]"}]}], "]"}], " ", 
     RowBox[{"rs", "[", 
      RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}]], "Input",
 CellChangeTimes->{{3.692741544964277*^9, 3.6927415497038326`*^9}, {
   3.6927420211174335`*^9, 3.692742022030075*^9}, {3.6929970831737337`*^9, 
   3.6929970831772366`*^9}, 3.693059626046687*^9, 3.69326275148024*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "r"}], "+", "t", "+", 
  RowBox[{"rs", "[", 
   RowBox[{"t", ",", "r"}], "]"}], "+", 
  RowBox[{
   RowBox[{"Log", "[", 
    FractionBox["r", 
     RowBox[{"rs", "[", 
      RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
   RowBox[{"rs", "[", 
    RowBox[{"t", ",", "r"}], "]"}]}]}]], "Output",
 CellChangeTimes->{3.692998267107805*^9, 3.693001833945806*^9, 
  3.6930020432512355`*^9, 3.693008056746565*^9, 3.6930596314174776`*^9, 
  3.6930827529815273`*^9, 3.693171772084742*^9, 3.6932558766036158`*^9, 
  3.693420624651036*^9, 3.693433367734312*^9, 3.6934342505205975`*^9, 
  3.693435817656918*^9, 3.6936928481379676`*^9, 3.6937034615348787`*^9, 
  3.6937039292225976`*^9, 3.6937047204844637`*^9, 3.6937051128139443`*^9, 
  3.693705266605863*^9, 3.693734867140229*^9, 3.6937371213140144`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"rq", "[", 
   RowBox[{"t_", ",", "r_", ",", "theta_", ",", "phi_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"rq", "[", 
    RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}], "=", 
   RowBox[{
    RowBox[{"2", "*", "k0", "*", 
     RowBox[{"b0", "[", 
      RowBox[{"Hold", "[", 
       RowBox[{
        SqrtBox[
         RowBox[{"1", "-", 
          FractionBox[
           RowBox[{"rs", "[", 
            RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "r"}], "+", "t", "+", 
          RowBox[{"rs", "[", 
           RowBox[{"t", ",", "r"}], "]"}], "+", 
          RowBox[{
           RowBox[{"Log", "[", 
            FractionBox["r", 
             RowBox[{"rs", "[", 
              RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
           RowBox[{"rs", "[", 
            RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], " ", "]"}], "]"}], 
     " ", 
     RowBox[{"Sin", "[", 
      RowBox[{"k0", "*", 
       RowBox[{"Hold", "[", 
        RowBox[{
         SqrtBox[
          RowBox[{"1", "-", 
           FractionBox[
            RowBox[{"rs", "[", 
             RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "r"}], "+", "t", "+", 
           RowBox[{"rs", "[", 
            RowBox[{"t", ",", "r"}], "]"}], "+", 
           RowBox[{
            RowBox[{"Log", "[", 
             FractionBox["r", 
              RowBox[{"rs", "[", 
               RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
            RowBox[{"rs", "[", 
             RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}]}], "]"}]}], 
    "+", 
    RowBox[{"rs", "[", 
     RowBox[{"t", ",", "r"}], "]"}], "  "}]}]}]], "Input",
 CellChangeTimes->{{3.691423589973074*^9, 3.691423597359303*^9}, {
   3.691437153006651*^9, 3.6914371617177315`*^9}, {3.692056661741992*^9, 
   3.6920566632598085`*^9}, {3.6920571168097553`*^9, 3.692057145821632*^9}, {
   3.6920583486489816`*^9, 3.6920583539340744`*^9}, {3.692059533268777*^9, 
   3.6920595370989666`*^9}, {3.692060159992566*^9, 3.6920601618810773`*^9}, 
   3.6920947494999104`*^9, {3.6920947999401655`*^9, 3.692094800938023*^9}, {
   3.692183284340801*^9, 3.692183286928895*^9}, {3.692386994447234*^9, 
   3.6923870196074495`*^9}, {3.692398888775352*^9, 3.692398931162461*^9}, {
   3.6924034564471273`*^9, 3.692403470738139*^9}, {3.6924035924887857`*^9, 
   3.6924035937457485`*^9}, {3.6924854777319508`*^9, 
   3.6924854990795755`*^9}, {3.692485637727203*^9, 3.692485686519354*^9}, {
   3.69248699744658*^9, 3.6924870325457106`*^9}, {3.6925253818517075`*^9, 
   3.692525382074877*^9}, 3.69252718315004*^9, 3.6925724440420504`*^9, {
   3.692572948205849*^9, 3.692572953899729*^9}, {3.692573244889598*^9, 
   3.692573252810212*^9}, {3.692741866158655*^9, 3.6927418934805164`*^9}, {
   3.692742043008994*^9, 3.692742045929989*^9}, {3.6927422809042687`*^9, 
   3.6927423054782667`*^9}, {3.692810749277881*^9, 3.6928107542855186`*^9}, {
   3.6928109117154517`*^9, 3.6928109181690598`*^9}, {3.6928167259289427`*^9, 
   3.6928167732980785`*^9}, 3.692816886009128*^9, {3.692820142122501*^9, 
   3.6928201780068007`*^9}, {3.6928213842943254`*^9, 3.692821409625743*^9}, {
   3.6928219708585205`*^9, 3.6928219715525274`*^9}, {3.6928220658674955`*^9, 
   3.6928220769928446`*^9}, {3.692822205345455*^9, 3.6928222188039813`*^9}, {
   3.692822724194912*^9, 3.692822751585842*^9}, {3.6928290873560014`*^9, 
   3.6928290902735653`*^9}, {3.692829206300906*^9, 3.6928292357647734`*^9}, {
   3.6928300502042847`*^9, 3.6928300542086167`*^9}, {3.692830162617633*^9, 
   3.6928302020506015`*^9}, {3.6928303758182325`*^9, 3.692830402585349*^9}, {
   3.6928305181922855`*^9, 3.6928305254859953`*^9}, {3.6928310772079873`*^9, 
   3.6928311146750975`*^9}, {3.692831565725681*^9, 3.692831576207093*^9}, {
   3.6928841620097766`*^9, 3.692884180762821*^9}, {3.6929970832277727`*^9, 
   3.6929970832607946`*^9}, {3.693082638576041*^9, 3.6930826593382006`*^9}, {
   3.6936927896931095`*^9, 3.693692790767522*^9}, 3.6937036447952747`*^9, {
   3.6937051004366913`*^9, 3.6937051007003775`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"metric", "=", 
  RowBox[{"DiagonalMatrix", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"rq", "[", 
           RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}], ")"}], 
         "/", "r"}]}], ")"}]}], ",", 
     RowBox[{"1", "/", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"rq", "[", 
           RowBox[{"t", ",", "r", ",", "theta", ",", "phi"}], "]"}], ")"}], 
         "/", "r"}]}], ")"}]}], ",", 
     RowBox[{"r", "^", "2"}], ",", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"r", " ", 
        RowBox[{"Sin", "[", "theta", "]"}]}], ")"}], "^", "2"}]}], "}"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.660346255432619*^9, 3.6603462605168896`*^9}, {
  3.660346323459664*^9, 3.6603463347831464`*^9}, {3.6603478767014055`*^9, 
  3.6603478806018496`*^9}, {3.660351133692504*^9, 3.6603511389635377`*^9}, {
  3.6603512191399193`*^9, 3.660351223869266*^9}, {3.660351830815791*^9, 
  3.6603518351408567`*^9}, {3.664528563815336*^9, 3.6645285676552954`*^9}, {
  3.6925724601231804`*^9, 3.6925724784680223`*^9}, {3.692740579465561*^9, 
  3.692740596839097*^9}, {3.692741906929467*^9, 3.6927419112332587`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{
       FractionBox["1", "r"], 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"rs", "[", 
          RowBox[{"t", ",", "r"}], "]"}], "+", 
         RowBox[{"2", " ", "k0", " ", 
          RowBox[{"b0", "[", 
           RowBox[{"Hold", "[", 
            RowBox[{
             SqrtBox[
              RowBox[{"1", "-", 
               FractionBox[
                RowBox[{"rs", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "r"}], "+", "t", "+", 
               RowBox[{"rs", "[", 
                RowBox[{"t", ",", "r"}], "]"}], "+", 
               RowBox[{
                RowBox[{"Log", "[", 
                 FractionBox["r", 
                  RowBox[{"rs", "[", 
                   RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
                RowBox[{"rs", "[", 
                 RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}], "]"}], 
          " ", 
          RowBox[{"Sin", "[", 
           RowBox[{"k0", " ", 
            RowBox[{"Hold", "[", 
             RowBox[{
              SqrtBox[
               RowBox[{"1", "-", 
                FractionBox[
                 RowBox[{"rs", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "r"}], "+", "t", "+", 
                RowBox[{"rs", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "+", 
                RowBox[{
                 RowBox[{"Log", "[", 
                  FractionBox["r", 
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
                 RowBox[{"rs", "[", 
                  RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}]}], 
           "]"}]}]}], ")"}]}]}], ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     FractionBox["1", 
      RowBox[{"1", "-", 
       FractionBox[
        RowBox[{
         RowBox[{"rs", "[", 
          RowBox[{"t", ",", "r"}], "]"}], "+", 
         RowBox[{"2", " ", "k0", " ", 
          RowBox[{"b0", "[", 
           RowBox[{"Hold", "[", 
            RowBox[{
             SqrtBox[
              RowBox[{"1", "-", 
               FractionBox[
                RowBox[{"rs", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "r"}], "+", "t", "+", 
               RowBox[{"rs", "[", 
                RowBox[{"t", ",", "r"}], "]"}], "+", 
               RowBox[{
                RowBox[{"Log", "[", 
                 FractionBox["r", 
                  RowBox[{"rs", "[", 
                   RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
                RowBox[{"rs", "[", 
                 RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}], "]"}], 
          " ", 
          RowBox[{"Sin", "[", 
           RowBox[{"k0", " ", 
            RowBox[{"Hold", "[", 
             RowBox[{
              SqrtBox[
               RowBox[{"1", "-", 
                FractionBox[
                 RowBox[{"rs", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "r"}], "+", "t", "+", 
                RowBox[{"rs", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "+", 
                RowBox[{
                 RowBox[{"Log", "[", 
                  FractionBox["r", 
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
                 RowBox[{"rs", "[", 
                  RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}]}], 
           "]"}]}]}], "r"]}]], ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     SuperscriptBox["r", "2"], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", 
     RowBox[{
      SuperscriptBox["r", "2"], " ", 
      SuperscriptBox[
       RowBox[{"Sin", "[", "theta", "]"}], "2"]}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.693692848168171*^9, 3.693703461583913*^9, 
  3.6937039292911463`*^9, 3.6937047205174875`*^9, 3.693705112839462*^9, 
  3.6937348671692495`*^9, 3.693737121349039*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"metricsign", "=", 
  RowBox[{"-", "1"}]}]], "Input",
 CellChangeTimes->{{3.693606372821931*^9, 3.6936063792040553`*^9}}],

Cell[BoxData[
 RowBox[{"-", "1"}]], "Output",
 CellChangeTimes->{3.6936064184625163`*^9, 3.693606908694421*^9, 
  3.6936081659816933`*^9, 3.6936507761049523`*^9, 3.693650913544243*^9, 
  3.693663804563118*^9, 3.693692848176176*^9, 3.6937034615959215`*^9, 
  3.6937039392016554`*^9, 3.6937047205680227`*^9, 3.6937051128649797`*^9, 
  3.69373486719777*^9, 3.6937371213615484`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SetOptions", "[", 
  RowBox[{"Simplify", ",", 
   RowBox[{"TimeConstraint", "\[Rule]", "2"}], ",", 
   RowBox[{"ExcludedForms", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Hold", "[", "_", "]"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6922723597359543`*^9, 3.6922723648357763`*^9}, {
  3.6922725032619686`*^9, 3.692272509369137*^9}, {3.6922726339212465`*^9, 
  3.692272634537264*^9}, {3.692272891788716*^9, 3.692272931458044*^9}, {
  3.6922730240975666`*^9, 3.6922730415977383`*^9}, {3.6922771366019216`*^9, 
  3.692277139055995*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"Assumptions", "\[RuleDelayed]", "$Assumptions"}], ",", 
   RowBox[{"ComplexityFunction", "\[Rule]", "Automatic"}], ",", 
   RowBox[{"ExcludedForms", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Hold", "[", "_", "]"}], "}"}]}], ",", 
   RowBox[{"TimeConstraint", "\[Rule]", "2"}], ",", 
   RowBox[{"TransformationFunctions", "\[Rule]", "Automatic"}], ",", 
   RowBox[{"Trig", "\[Rule]", "True"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.692272540478161*^9, 3.6922726377741127`*^9, 3.692272953799692*^9, 
   3.6922730907661715`*^9, 3.692274983525832*^9, 3.6922751203623147`*^9, 
   3.692277284039435*^9, 3.692278061610247*^9, 3.6922792083044815`*^9, 
   3.6922866733448443`*^9, 3.6923827934007397`*^9, 3.692383455707673*^9, 
   3.6923888988359227`*^9, 3.692389357991376*^9, 3.692389434351907*^9, 
   3.6923906054894114`*^9, 3.6923941881486573`*^9, 3.6923951868778954`*^9, 
   3.6923998856342974`*^9, 3.692402963883411*^9, 3.692403991243142*^9, 
   3.6924044738651447`*^9, {3.692407692439459*^9, 3.6924077111732483`*^9}, 
   3.6924083049058847`*^9, 3.692408384277742*^9, 3.6924085710326695`*^9, 
   3.6924834870710106`*^9, 3.692483537403897*^9, 3.6924860662401342`*^9, 
   3.692486265175197*^9, 3.6924872125564995`*^9, 3.6925256647804484`*^9, 
   3.6925381462081146`*^9, 3.6925399523055706`*^9, 3.6925410335894704`*^9, 
   3.6925420525244317`*^9, 3.692543548159704*^9, 3.692545163373145*^9, 
   3.6925659830515385`*^9, 3.692566932713029*^9, 3.6925671657193565`*^9, 
   3.6925672215858717`*^9, 3.692569996613714*^9, 3.6925735699243913`*^9, 
   3.692577393825159*^9, 3.692611367444897*^9, 3.692624380726575*^9, 
   3.692716291776315*^9, 3.692742159774959*^9, 3.692743608467374*^9, 
   3.692743919341323*^9, 3.6927443160685234`*^9, 3.6927459894670334`*^9, 
   3.6928109838237886`*^9, 3.692816568183234*^9, 3.6928168132481146`*^9, 
   3.692816930570363*^9, 3.6928204779309444`*^9, 3.692821483403459*^9, 
   3.692822228139588*^9, 3.6928228248093576`*^9, 3.6928283925795937`*^9, 
   3.692829119179515*^9, 3.69282926946179*^9, 3.6928304182219343`*^9, 
   3.6928305749221153`*^9, 3.692831283635188*^9, 3.692831663703659*^9, 
   3.6928842224622946`*^9, 3.6928855321304517`*^9, 3.6928969658628225`*^9, 
   3.692917030194974*^9, 3.692998267397008*^9, 3.6930018340849037`*^9, 
   3.6930020433417997`*^9, 3.6930080568441334`*^9, 3.693082758586484*^9, 
   3.6931717722323465`*^9, 3.693255876760154*^9, 3.693420624752115*^9, 
   3.6934333678238773`*^9, 3.6934342506142707`*^9, 3.693435817774499*^9, 
   3.6937033143468204`*^9, 3.693704720580531*^9, 3.693705112877489*^9, 
   3.6937348672122803`*^9, 3.6937371213745575`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SetOptions", "[", 
  RowBox[{"FullSimplify", ",", 
   RowBox[{"TimeConstraint", "\[Rule]", "2"}], ",", 
   RowBox[{"ExcludedForms", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Hold", "[", "_", "]"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.692273048559247*^9, 3.692273049355091*^9}, {
  3.692277144267169*^9, 3.6922771478120174`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"Assumptions", "\[RuleDelayed]", "$Assumptions"}], ",", 
   RowBox[{"ComplexityFunction", "\[Rule]", "Automatic"}], ",", 
   RowBox[{"ExcludedForms", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Hold", "[", "_", "]"}], "}"}]}], ",", 
   RowBox[{"TimeConstraint", "\[Rule]", "2"}], ",", 
   RowBox[{"TransformationFunctions", "\[Rule]", "Automatic"}], ",", 
   RowBox[{"Trig", "\[Rule]", "True"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.6922729538276834`*^9, 3.692273090797192*^9, 3.6922749835808754`*^9, 
   3.6922751204734144`*^9, 3.69227728413751*^9, 3.6922780616247616`*^9, 
   3.692279208344516*^9, 3.6922866733528495`*^9, 3.692382793431759*^9, 
   3.692383455716177*^9, 3.692388898871105*^9, 3.69238935806843*^9, 
   3.69238943438443*^9, 3.692390605497917*^9, 3.692394188161666*^9, 
   3.692395186893907*^9, 3.6923998856770964`*^9, 3.6924029639149737`*^9, 
   3.6924039912751527`*^9, 3.6924044738891873`*^9, {3.6924076924694805`*^9, 
   3.6924077112087746`*^9}, 3.6924083049329305`*^9, 3.6924083843092575`*^9, 
   3.6924085710682287`*^9, 3.6924834871137285`*^9, 3.6924835374339256`*^9, 
   3.692486066299264*^9, 3.692486265199217*^9, 3.69248721259859*^9, 
   3.6925256648084707`*^9, 3.692538146249649*^9, 3.692539952350108*^9, 
   3.692541033633007*^9, 3.6925420525544515`*^9, 3.6925435482067437`*^9, 
   3.6925451634166756`*^9, 3.6925659830795603`*^9, 3.6925669327515855`*^9, 
   3.6925671657273617`*^9, 3.6925672216169333`*^9, 3.6925699966462374`*^9, 
   3.692573569933399*^9, 3.692577393833167*^9, 3.692611367458909*^9, 
   3.6926243807345753`*^9, 3.692716291784313*^9, 3.692742159809723*^9, 
   3.6927436084773827`*^9, 3.6927439193619556`*^9, 3.6927443160841494`*^9, 
   3.692745989507077*^9, 3.6928109838367977`*^9, 3.692816568200246*^9, 
   3.692816813263625*^9, 3.692816930584873*^9, 3.692820477944955*^9, 
   3.6928214834184704`*^9, 3.692822228155099*^9, 3.6928228248243685`*^9, 
   3.6928283925916023`*^9, 3.692829119191024*^9, 3.692829269472799*^9, 
   3.6928304182559566`*^9, 3.692830574949135*^9, 3.6928312836466956`*^9, 
   3.692831663805732*^9, 3.6928842224703007`*^9, 3.6928855321460915`*^9, 
   3.6928969658784475`*^9, 3.692917030204981*^9, 3.6929982674120183`*^9, 
   3.6930018340984135`*^9, 3.693002043355809*^9, 3.693008056858143*^9, 
   3.6930827586019945`*^9, 3.6931717722468567`*^9, 3.693255876760154*^9, 
   3.6934206247631226`*^9, 3.6934333678353887`*^9, 3.6934342506262794`*^9, 
   3.693435817787508*^9, 3.69370331435983*^9, 3.6937047205935407`*^9, 
   3.693705112890998*^9, 3.693734867227291*^9, 3.6937371213865657`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"SEGMENT", ":", " ", 
   RowBox[{"RUN", " ", 
    RowBox[{"DIFFGEO", ".", "M"}], " ", "HERE"}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.693606391239957*^9, 3.6936064032997684`*^9}, {
  3.6936065874433737`*^9, 3.6936066115761795`*^9}}],

Cell[BoxData[
 RowBox[{"Clear", "[", "tret", "]"}]], "Input",
 CellChangeTimes->{{3.69317612194355*^9, 3.693176125505565*^9}, {
  3.693176873110536*^9, 3.6931768861327314`*^9}}],

Cell[BoxData[
 RowBox[{"Clear", "[", "radv", "]"}]], "Input",
 CellChangeTimes->{{3.693493531101046*^9, 3.693493558537537*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"radv", "==", 
    RowBox[{"r", "+", 
     RowBox[{
      RowBox[{"ProductLog", "[", 
       RowBox[{"-", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{"-", "1"}], "-", 
          FractionBox[
           RowBox[{"tret", "+", "r", "-", 
            RowBox[{"rs", "[", "tret", "]"}], "-", 
            RowBox[{
             RowBox[{"rs", "[", "tret", "]"}], "*", 
             RowBox[{"Log", "[", 
              RowBox[{"r", "/", 
               RowBox[{"rs", "[", "tret", "]"}]}], "]"}]}]}], 
           RowBox[{"rs", "[", "tret", "]"}]]}]]}], "]"}], " ", 
      RowBox[{"rs", "[", "tret", "]"}]}], "+", 
     RowBox[{"rs", "[", "tret", "]"}]}]}], ",", "r"}], "]"}]], "Input",
 CellChangeTimes->{{3.6931703869361715`*^9, 3.693170396198712*^9}, {
   3.6931707261877604`*^9, 3.69317072654151*^9}, {3.6931707788309293`*^9, 
   3.6931707794353557`*^9}, 3.693510687422243*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"r", "\[Rule]", 
    FractionBox[
     RowBox[{
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{
        FractionBox["radv", 
         RowBox[{"rs", "[", "tret", "]"}]], "+", 
        FractionBox["tret", 
         RowBox[{"rs", "[", "tret", "]"}]]}]], " ", 
      RowBox[{"(", 
       RowBox[{"radv", "-", 
        RowBox[{"rs", "[", "tret", "]"}]}], ")"}]}], 
     RowBox[{
      RowBox[{"-", "\[ExponentialE]"}], "+", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{
        FractionBox["radv", 
         RowBox[{"rs", "[", "tret", "]"}]], "+", 
        FractionBox["tret", 
         RowBox[{"rs", "[", "tret", "]"}]]}]]}]]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{
  3.6931703992873926`*^9, 3.6931706461642284`*^9, {3.6931707622086926`*^9, 
   3.693170783447188*^9}, 3.6931713122235413`*^9, 3.693171849060091*^9, 
   3.6931761313792124`*^9, 3.6934336661042614`*^9, 3.6934353119051046`*^9, 
   3.693510690846562*^9, 3.6936064174046316`*^9, 3.6936069076863127`*^9, 
   3.693608164972029*^9, 3.6936507754843073`*^9, 3.6936509122697783`*^9, 
   3.6936638039925365`*^9, 3.6937348984676676`*^9, 3.693737147820838*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"tret", "+", "r", "-", 
     RowBox[{"rs", "[", "tret", "]"}], "-", 
     RowBox[{
      RowBox[{"rs", "[", "tret", "]"}], "*", 
      RowBox[{"Log", "[", 
       RowBox[{"r", "/", 
        RowBox[{"rs", "[", "tret", "]"}]}], "]"}]}]}], ")"}], "/.", 
   RowBox[{"{", 
    RowBox[{"r", "\[Rule]", 
     FractionBox[
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         FractionBox["radv", 
          RowBox[{"rs", "[", "tret", "]"}]], "+", 
         FractionBox["tret", 
          RowBox[{"rs", "[", "tret", "]"}]]}]], " ", 
       RowBox[{"(", 
        RowBox[{"radv", "-", 
         RowBox[{"rs", "[", "tret", "]"}]}], ")"}]}], 
      RowBox[{
       RowBox[{"-", "\[ExponentialE]"}], "+", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         FractionBox["radv", 
          RowBox[{"rs", "[", "tret", "]"}]], "+", 
         FractionBox["tret", 
          RowBox[{"rs", "[", "tret", "]"}]]}]]}]]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6931708672673693`*^9, 3.6931708703985796`*^9}, {
  3.693176180962721*^9, 3.6931761840769215`*^9}, {3.6935107203737235`*^9, 
  3.693510742658369*^9}}],

Cell[BoxData[
 RowBox[{"tret", "+", 
  FractionBox[
   RowBox[{
    SuperscriptBox["\[ExponentialE]", 
     FractionBox[
      RowBox[{"radv", "+", "tret"}], 
      RowBox[{"rs", "[", "tret", "]"}]]], " ", 
    RowBox[{"(", 
     RowBox[{"radv", "-", 
      RowBox[{"rs", "[", "tret", "]"}]}], ")"}]}], 
   RowBox[{
    RowBox[{"-", "\[ExponentialE]"}], "+", 
    SuperscriptBox["\[ExponentialE]", 
     FractionBox[
      RowBox[{"radv", "+", "tret"}], 
      RowBox[{"rs", "[", "tret", "]"}]]]}]], "-", 
  RowBox[{"rs", "[", "tret", "]"}], "-", 
  RowBox[{
   RowBox[{"Log", "[", 
    FractionBox[
     RowBox[{
      SuperscriptBox["\[ExponentialE]", 
       FractionBox[
        RowBox[{"radv", "+", "tret"}], 
        RowBox[{"rs", "[", "tret", "]"}]]], " ", 
      RowBox[{"(", 
       RowBox[{"radv", "-", 
        RowBox[{"rs", "[", "tret", "]"}]}], ")"}]}], 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "\[ExponentialE]"}], "+", 
        SuperscriptBox["\[ExponentialE]", 
         FractionBox[
          RowBox[{"radv", "+", "tret"}], 
          RowBox[{"rs", "[", "tret", "]"}]]]}], ")"}], " ", 
      RowBox[{"rs", "[", "tret", "]"}]}]], "]"}], " ", 
   RowBox[{"rs", "[", "tret", "]"}]}]}]], "Output",
 CellChangeTimes->{3.6931708766059628`*^9, 3.693171312380653*^9, 
  3.693176193080779*^9, 3.6934336664538565`*^9, 3.6934353119852605`*^9, 
  3.693510750227361*^9, 3.693606417546731*^9, 3.693606907827399*^9, 
  3.6936081651131277`*^9, 3.693650775817237*^9, 3.6936509125895166`*^9, 
  3.693663804280755*^9, 3.6937348988289237`*^9, 3.693737148138564*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"r", "=", 
   FractionBox[
    RowBox[{
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{
       FractionBox["radv", 
        RowBox[{"rs", "[", "tret", "]"}]], "+", 
       FractionBox["tret", 
        RowBox[{"rs", "[", "tret", "]"}]]}]], " ", 
     RowBox[{"(", 
      RowBox[{"radv", "-", 
       RowBox[{"rs", "[", "tret", "]"}]}], ")"}]}], 
    RowBox[{
     RowBox[{"-", "\[ExponentialE]"}], "+", 
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{
       FractionBox["radv", 
        RowBox[{"rs", "[", "tret", "]"}]], "+", 
       FractionBox["tret", 
        RowBox[{"rs", "[", "tret", "]"}]]}]]}]]}], " ", "*)"}]], "Input",
 CellChangeTimes->{
  3.693510767828981*^9, {3.6937052025655007`*^9, 3.6937052068550344`*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"t", "=", 
   RowBox[{"tret", "+", 
    FractionBox[
     RowBox[{
      SuperscriptBox["\[ExponentialE]", 
       FractionBox[
        RowBox[{"radv", "+", "tret"}], 
        RowBox[{"rs", "[", "tret", "]"}]]], " ", 
      RowBox[{"(", 
       RowBox[{"radv", "-", 
        RowBox[{"rs", "[", "tret", "]"}]}], ")"}]}], 
     RowBox[{
      RowBox[{"-", "\[ExponentialE]"}], "+", 
      SuperscriptBox["\[ExponentialE]", 
       FractionBox[
        RowBox[{"radv", "+", "tret"}], 
        RowBox[{"rs", "[", "tret", "]"}]]]}]], "-", 
    RowBox[{"rs", "[", "tret", "]"}], "-", 
    RowBox[{
     RowBox[{"Log", "[", 
      FractionBox[
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         FractionBox[
          RowBox[{"radv", "+", "tret"}], 
          RowBox[{"rs", "[", "tret", "]"}]]], " ", 
        RowBox[{"(", 
         RowBox[{"radv", "-", 
          RowBox[{"rs", "[", "tret", "]"}]}], ")"}]}], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "\[ExponentialE]"}], "+", 
          SuperscriptBox["\[ExponentialE]", 
           FractionBox[
            RowBox[{"radv", "+", "tret"}], 
            RowBox[{"rs", "[", "tret", "]"}]]]}], ")"}], " ", 
        RowBox[{"rs", "[", "tret", "]"}]}]], "]"}], " ", 
     RowBox[{"rs", "[", "tret", "]"}]}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{
  3.693510790968963*^9, {3.69370521488673*^9, 3.69370521912973*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ricciscalar", " ", "=", " ", 
  RowBox[{"ReleaseHold", "[", "RicciScalar", "]"}]}]], "Input",
 CellChangeTimes->{{3.6936923392808523`*^9, 3.693692341464312*^9}, {
  3.693692378977086*^9, 3.6936923810788555`*^9}, {3.693692897956093*^9, 
  3.693692933401103*^9}, {3.6936930143564367`*^9, 3.6936930254716344`*^9}, {
  3.6937034936110744`*^9, 3.693703496100342*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"4", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"r", "-", 
        RowBox[{"rs", "[", 
         RowBox[{"t", ",", "r"}], "]"}], "-", 
        RowBox[{"2", " ", "k0", " ", 
         RowBox[{"b0", "[", 
          RowBox[{
           SqrtBox[
            RowBox[{"1", "-", 
             FractionBox[
              RowBox[{"rs", "[", 
               RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "r"}], "+", "t", "+", 
             RowBox[{"rs", "[", 
              RowBox[{"t", ",", "r"}], "]"}], "+", 
             RowBox[{
              RowBox[{"Log", "[", 
               FractionBox["r", 
                RowBox[{"rs", "[", 
                 RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
              RowBox[{"rs", "[", 
               RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}], " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"k0", " ", 
           SqrtBox[
            RowBox[{"1", "-", 
             FractionBox[
              RowBox[{"rs", "[", 
               RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "r"}], "+", "t", "+", 
             RowBox[{"rs", "[", 
              RowBox[{"t", ",", "r"}], "]"}], "+", 
             RowBox[{
              RowBox[{"Log", "[", 
               FractionBox["r", 
                RowBox[{"rs", "[", 
                 RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
              RowBox[{"rs", "[", 
               RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}]}]}], ")"}], 
      "3"], " ", 
     RowBox[{
      SuperscriptBox["rs", 
       TagBox[
        RowBox[{"(", 
         RowBox[{"0", ",", "1"}], ")"}],
        Derivative],
       MultilineFunction->None], "[", 
      RowBox[{"t", ",", "r"}], "]"}]}], "+", 
    RowBox[{"r", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"r", "-", 
           RowBox[{"rs", "[", 
            RowBox[{"t", ",", "r"}], "]"}], "-", 
           RowBox[{"2", " ", "k0", " ", 
            RowBox[{"b0", "[", 
             RowBox[{
              SqrtBox[
               RowBox[{"1", "-", 
                FractionBox[
                 RowBox[{"rs", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "r"}], "+", "t", "+", 
                RowBox[{"rs", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "+", 
                RowBox[{
                 RowBox[{"Log", "[", 
                  FractionBox["r", 
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
                 RowBox[{"rs", "[", 
                  RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}], " ", 
            RowBox[{"Sin", "[", 
             RowBox[{"k0", " ", 
              SqrtBox[
               RowBox[{"1", "-", 
                FractionBox[
                 RowBox[{"rs", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "r"}], "+", "t", "+", 
                RowBox[{"rs", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "+", 
                RowBox[{
                 RowBox[{"Log", "[", 
                  FractionBox["r", 
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
                 RowBox[{"rs", "[", 
                  RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}]}]}], 
          ")"}], "3"], " ", 
        RowBox[{
         SuperscriptBox["rs", 
          TagBox[
           RowBox[{"(", 
            RowBox[{"0", ",", "2"}], ")"}],
           Derivative],
          MultilineFunction->None], "[", 
         RowBox[{"t", ",", "r"}], "]"}]}], "+", 
       RowBox[{
        SuperscriptBox["r", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", " ", 
           SuperscriptBox[
            RowBox[{
             SuperscriptBox["rs", 
              TagBox[
               RowBox[{"(", 
                RowBox[{"1", ",", "0"}], ")"}],
               Derivative],
              MultilineFunction->None], "[", 
             RowBox[{"t", ",", "r"}], "]"}], "2"]}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"r", "-", 
             RowBox[{"rs", "[", 
              RowBox[{"t", ",", "r"}], "]"}], "-", 
             RowBox[{"2", " ", "k0", " ", 
              RowBox[{"b0", "[", 
               RowBox[{
                SqrtBox[
                 RowBox[{"1", "-", 
                  FractionBox[
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "r"}], "+", "t", "+", 
                  RowBox[{"rs", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "+", 
                  RowBox[{
                   RowBox[{"Log", "[", 
                    FractionBox["r", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}], " ", 
              RowBox[{"Sin", "[", 
               RowBox[{"k0", " ", 
                SqrtBox[
                 RowBox[{"1", "-", 
                  FractionBox[
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "r"}], "+", "t", "+", 
                  RowBox[{"rs", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "+", 
                  RowBox[{
                   RowBox[{"Log", "[", 
                    FractionBox["r", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}]}]}], 
            ")"}], " ", 
           RowBox[{
            SuperscriptBox["rs", 
             TagBox[
              RowBox[{"(", 
               RowBox[{"2", ",", "0"}], ")"}],
              Derivative],
             MultilineFunction->None], "[", 
            RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}]}], ")"}]}], "+", 
    RowBox[{"r", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"r", "-", 
           RowBox[{"rs", "[", 
            RowBox[{"t", ",", "r"}], "]"}], "-", 
           RowBox[{"2", " ", "k0", " ", 
            RowBox[{"b0", "[", 
             RowBox[{
              SqrtBox[
               RowBox[{"1", "-", 
                FractionBox[
                 RowBox[{"rs", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "r"}], "+", "t", "+", 
                RowBox[{"rs", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "+", 
                RowBox[{
                 RowBox[{"Log", "[", 
                  FractionBox["r", 
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
                 RowBox[{"rs", "[", 
                  RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}], " ", 
            RowBox[{"Sin", "[", 
             RowBox[{"k0", " ", 
              SqrtBox[
               RowBox[{"1", "-", 
                FractionBox[
                 RowBox[{"rs", "[", 
                  RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "r"}], "+", "t", "+", 
                RowBox[{"rs", "[", 
                 RowBox[{"t", ",", "r"}], "]"}], "+", 
                RowBox[{
                 RowBox[{"Log", "[", 
                  FractionBox["r", 
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
                 RowBox[{"rs", "[", 
                  RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}]}]}], 
          ")"}], "3"], " ", 
        RowBox[{
         SuperscriptBox["rs", 
          TagBox[
           RowBox[{"(", 
            RowBox[{"0", ",", "2"}], ")"}],
           Derivative],
          MultilineFunction->None], "[", 
         RowBox[{"t", ",", "r"}], "]"}]}], "-", 
       RowBox[{
        SuperscriptBox["r", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", 
           SuperscriptBox[
            RowBox[{
             SuperscriptBox["rs", 
              TagBox[
               RowBox[{"(", 
                RowBox[{"1", ",", "0"}], ")"}],
               Derivative],
              MultilineFunction->None], "[", 
             RowBox[{"t", ",", "r"}], "]"}], "2"]}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "r"}], "+", 
             RowBox[{"rs", "[", 
              RowBox[{"t", ",", "r"}], "]"}], "+", 
             RowBox[{"2", " ", "k0", " ", 
              RowBox[{"b0", "[", 
               RowBox[{
                SqrtBox[
                 RowBox[{"1", "-", 
                  FractionBox[
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "r"}], "+", "t", "+", 
                  RowBox[{"rs", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "+", 
                  RowBox[{
                   RowBox[{"Log", "[", 
                    FractionBox["r", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}], " ", 
              RowBox[{"Sin", "[", 
               RowBox[{"k0", " ", 
                SqrtBox[
                 RowBox[{"1", "-", 
                  FractionBox[
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "r"}], "+", "t", "+", 
                  RowBox[{"rs", "[", 
                   RowBox[{"t", ",", "r"}], "]"}], "+", 
                  RowBox[{
                   RowBox[{"Log", "[", 
                    FractionBox["r", 
                    RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
                   RowBox[{"rs", "[", 
                    RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}]}]}], 
            ")"}], " ", 
           RowBox[{
            SuperscriptBox["rs", 
             TagBox[
              RowBox[{"(", 
               RowBox[{"2", ",", "0"}], ")"}],
              Derivative],
             MultilineFunction->None], "[", 
            RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}]}], ")"}]}]}], ")"}], 
  "/", 
  RowBox[{"(", 
   RowBox[{"2", " ", 
    SuperscriptBox["r", "2"], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"r", "-", 
       RowBox[{"rs", "[", 
        RowBox[{"t", ",", "r"}], "]"}], "-", 
       RowBox[{"2", " ", "k0", " ", 
        RowBox[{"b0", "[", 
         RowBox[{
          SqrtBox[
           RowBox[{"1", "-", 
            FractionBox[
             RowBox[{"rs", "[", 
              RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "r"}], "+", "t", "+", 
            RowBox[{"rs", "[", 
             RowBox[{"t", ",", "r"}], "]"}], "+", 
            RowBox[{
             RowBox[{"Log", "[", 
              FractionBox["r", 
               RowBox[{"rs", "[", 
                RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
             RowBox[{"rs", "[", 
              RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}], " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"k0", " ", 
          SqrtBox[
           RowBox[{"1", "-", 
            FractionBox[
             RowBox[{"rs", "[", 
              RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "r"}], "+", "t", "+", 
            RowBox[{"rs", "[", 
             RowBox[{"t", ",", "r"}], "]"}], "+", 
            RowBox[{
             RowBox[{"Log", "[", 
              FractionBox["r", 
               RowBox[{"rs", "[", 
                RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
             RowBox[{"rs", "[", 
              RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}]}]}], ")"}], 
     "3"]}], ")"}]}]], "Output",
 CellChangeTimes->{3.693737154027728*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Clear", "[", "tret", "]"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"jcbian", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"tret", "+", 
         FractionBox[
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            FractionBox[
             RowBox[{"radv", "+", "tret"}], 
             RowBox[{"rs", "[", "tret", "]"}]]], " ", 
           RowBox[{"(", 
            RowBox[{"radv", "-", 
             RowBox[{"rs", "[", "tret", "]"}]}], ")"}]}], 
          RowBox[{
           RowBox[{"-", "\[ExponentialE]"}], "+", 
           SuperscriptBox["\[ExponentialE]", 
            FractionBox[
             RowBox[{"radv", "+", "tret"}], 
             RowBox[{"rs", "[", "tret", "]"}]]]}]], "-", 
         RowBox[{"rs", "[", "tret", "]"}], "-", 
         RowBox[{
          RowBox[{"Log", "[", 
           FractionBox[
            RowBox[{
             SuperscriptBox["\[ExponentialE]", 
              FractionBox[
               RowBox[{"radv", "+", "tret"}], 
               RowBox[{"rs", "[", "tret", "]"}]]], " ", 
             RowBox[{"(", 
              RowBox[{"radv", "-", 
               RowBox[{"rs", "[", "tret", "]"}]}], ")"}]}], 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "\[ExponentialE]"}], "+", 
               SuperscriptBox["\[ExponentialE]", 
                FractionBox[
                 RowBox[{"radv", "+", "tret"}], 
                 RowBox[{"rs", "[", "tret", "]"}]]]}], ")"}], " ", 
             RowBox[{"rs", "[", "tret", "]"}]}]], "]"}], " ", 
          RowBox[{"rs", "[", "tret", "]"}]}]}], ",", "tret"}], "]"}], ",", 
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"tret", "+", 
         FractionBox[
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            FractionBox[
             RowBox[{"radv", "+", "tret"}], 
             RowBox[{"rs", "[", "tret", "]"}]]], " ", 
           RowBox[{"(", 
            RowBox[{"radv", "-", 
             RowBox[{"rs", "[", "tret", "]"}]}], ")"}]}], 
          RowBox[{
           RowBox[{"-", "\[ExponentialE]"}], "+", 
           SuperscriptBox["\[ExponentialE]", 
            FractionBox[
             RowBox[{"radv", "+", "tret"}], 
             RowBox[{"rs", "[", "tret", "]"}]]]}]], "-", 
         RowBox[{"rs", "[", "tret", "]"}], "-", 
         RowBox[{
          RowBox[{"Log", "[", 
           FractionBox[
            RowBox[{
             SuperscriptBox["\[ExponentialE]", 
              FractionBox[
               RowBox[{"radv", "+", "tret"}], 
               RowBox[{"rs", "[", "tret", "]"}]]], " ", 
             RowBox[{"(", 
              RowBox[{"radv", "-", 
               RowBox[{"rs", "[", "tret", "]"}]}], ")"}]}], 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "\[ExponentialE]"}], "+", 
               SuperscriptBox["\[ExponentialE]", 
                FractionBox[
                 RowBox[{"radv", "+", "tret"}], 
                 RowBox[{"rs", "[", "tret", "]"}]]]}], ")"}], " ", 
             RowBox[{"rs", "[", "tret", "]"}]}]], "]"}], " ", 
          RowBox[{"rs", "[", "tret", "]"}]}]}], ",", "radv"}], "]"}], ",", 
      "0", ",", "0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"D", "[", 
       RowBox[{
        FractionBox[
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{
            FractionBox["radv", 
             RowBox[{"rs", "[", "tret", "]"}]], "+", 
            FractionBox["tret", 
             RowBox[{"rs", "[", "tret", "]"}]]}]], " ", 
          RowBox[{"(", 
           RowBox[{"radv", "-", 
            RowBox[{"rs", "[", "tret", "]"}]}], ")"}]}], 
         RowBox[{
          RowBox[{"-", "\[ExponentialE]"}], "+", 
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{
            FractionBox["radv", 
             RowBox[{"rs", "[", "tret", "]"}]], "+", 
            FractionBox["tret", 
             RowBox[{"rs", "[", "tret", "]"}]]}]]}]], ",", "tret"}], "]"}], 
      ",", 
      RowBox[{"D", "[", 
       RowBox[{
        FractionBox[
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{
            FractionBox["radv", 
             RowBox[{"rs", "[", "tret", "]"}]], "+", 
            FractionBox["tret", 
             RowBox[{"rs", "[", "tret", "]"}]]}]], " ", 
          RowBox[{"(", 
           RowBox[{"radv", "-", 
            RowBox[{"rs", "[", "tret", "]"}]}], ")"}]}], 
         RowBox[{
          RowBox[{"-", "\[ExponentialE]"}], "+", 
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{
            FractionBox["radv", 
             RowBox[{"rs", "[", "tret", "]"}]], "+", 
            FractionBox["tret", 
             RowBox[{"rs", "[", "tret", "]"}]]}]]}]], ",", "radv"}], "]"}], 
      ",", "0", ",", "0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", "1", ",", "0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", "0", ",", "1"}], "}"}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.693214460173273*^9, 3.6932144624698553`*^9}, {
  3.693214551117117*^9, 3.6932145982539463`*^9}, {3.6936068574563403`*^9, 
  3.6936068773742647`*^9}, {3.693705162920436*^9, 3.693705196288562*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"1", "-", 
      RowBox[{
       SuperscriptBox["rs", "\[Prime]",
        MultilineFunction->None], "[", "tret", "]"}], "-", 
      FractionBox[
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         FractionBox[
          RowBox[{"radv", "+", "tret"}], 
          RowBox[{"rs", "[", "tret", "]"}]]], " ", 
        RowBox[{
         SuperscriptBox["rs", "\[Prime]",
          MultilineFunction->None], "[", "tret", "]"}]}], 
       RowBox[{
        RowBox[{"-", "\[ExponentialE]"}], "+", 
        SuperscriptBox["\[ExponentialE]", 
         FractionBox[
          RowBox[{"radv", "+", "tret"}], 
          RowBox[{"rs", "[", "tret", "]"}]]]}]], "-", 
      RowBox[{
       RowBox[{"Log", "[", 
        FractionBox[
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           FractionBox[
            RowBox[{"radv", "+", "tret"}], 
            RowBox[{"rs", "[", "tret", "]"}]]], " ", 
          RowBox[{"(", 
           RowBox[{"radv", "-", 
            RowBox[{"rs", "[", "tret", "]"}]}], ")"}]}], 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "\[ExponentialE]"}], "+", 
            SuperscriptBox["\[ExponentialE]", 
             FractionBox[
              RowBox[{"radv", "+", "tret"}], 
              RowBox[{"rs", "[", "tret", "]"}]]]}], ")"}], " ", 
          RowBox[{"rs", "[", "tret", "]"}]}]], "]"}], " ", 
       RowBox[{
        SuperscriptBox["rs", "\[Prime]",
         MultilineFunction->None], "[", "tret", "]"}]}], "-", 
      FractionBox[
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         FractionBox[
          RowBox[{"2", " ", 
           RowBox[{"(", 
            RowBox[{"radv", "+", "tret"}], ")"}]}], 
          RowBox[{"rs", "[", "tret", "]"}]]], " ", 
        RowBox[{"(", 
         RowBox[{"radv", "-", 
          RowBox[{"rs", "[", "tret", "]"}]}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          FractionBox["1", 
           RowBox[{"rs", "[", "tret", "]"}]], "-", 
          FractionBox[
           RowBox[{
            RowBox[{"(", 
             RowBox[{"radv", "+", "tret"}], ")"}], " ", 
            RowBox[{
             SuperscriptBox["rs", "\[Prime]",
              MultilineFunction->None], "[", "tret", "]"}]}], 
           SuperscriptBox[
            RowBox[{"rs", "[", "tret", "]"}], "2"]]}], ")"}]}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "\[ExponentialE]"}], "+", 
          SuperscriptBox["\[ExponentialE]", 
           FractionBox[
            RowBox[{"radv", "+", "tret"}], 
            RowBox[{"rs", "[", "tret", "]"}]]]}], ")"}], "2"]], "+", 
      FractionBox[
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         FractionBox[
          RowBox[{"radv", "+", "tret"}], 
          RowBox[{"rs", "[", "tret", "]"}]]], " ", 
        RowBox[{"(", 
         RowBox[{"radv", "-", 
          RowBox[{"rs", "[", "tret", "]"}]}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          FractionBox["1", 
           RowBox[{"rs", "[", "tret", "]"}]], "-", 
          FractionBox[
           RowBox[{
            RowBox[{"(", 
             RowBox[{"radv", "+", "tret"}], ")"}], " ", 
            RowBox[{
             SuperscriptBox["rs", "\[Prime]",
              MultilineFunction->None], "[", "tret", "]"}]}], 
           SuperscriptBox[
            RowBox[{"rs", "[", "tret", "]"}], "2"]]}], ")"}]}], 
       RowBox[{
        RowBox[{"-", "\[ExponentialE]"}], "+", 
        SuperscriptBox["\[ExponentialE]", 
         FractionBox[
          RowBox[{"radv", "+", "tret"}], 
          RowBox[{"rs", "[", "tret", "]"}]]]}]], "-", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"radv", "-", 
         RowBox[{"rs", "[", "tret", "]"}]}]], 
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{"-", 
          FractionBox[
           RowBox[{"radv", "+", "tret"}], 
           RowBox[{"rs", "[", "tret", "]"}]]}]], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "\[ExponentialE]"}], "+", 
          SuperscriptBox["\[ExponentialE]", 
           FractionBox[
            RowBox[{"radv", "+", "tret"}], 
            RowBox[{"rs", "[", "tret", "]"}]]]}], ")"}], " ", 
        SuperscriptBox[
         RowBox[{"rs", "[", "tret", "]"}], "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", 
           FractionBox[
            RowBox[{
             SuperscriptBox["\[ExponentialE]", 
              FractionBox[
               RowBox[{"radv", "+", "tret"}], 
               RowBox[{"rs", "[", "tret", "]"}]]], " ", 
             RowBox[{"(", 
              RowBox[{"radv", "-", 
               RowBox[{"rs", "[", "tret", "]"}]}], ")"}], " ", 
             RowBox[{
              SuperscriptBox["rs", "\[Prime]",
               MultilineFunction->None], "[", "tret", "]"}]}], 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "\[ExponentialE]"}], "+", 
               SuperscriptBox["\[ExponentialE]", 
                FractionBox[
                 RowBox[{"radv", "+", "tret"}], 
                 RowBox[{"rs", "[", "tret", "]"}]]]}], ")"}], " ", 
             SuperscriptBox[
              RowBox[{"rs", "[", "tret", "]"}], "2"]}]]}], "-", 
          FractionBox[
           RowBox[{
            SuperscriptBox["\[ExponentialE]", 
             FractionBox[
              RowBox[{"radv", "+", "tret"}], 
              RowBox[{"rs", "[", "tret", "]"}]]], " ", 
            RowBox[{
             SuperscriptBox["rs", "\[Prime]",
              MultilineFunction->None], "[", "tret", "]"}]}], 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "\[ExponentialE]"}], "+", 
              SuperscriptBox["\[ExponentialE]", 
               FractionBox[
                RowBox[{"radv", "+", "tret"}], 
                RowBox[{"rs", "[", "tret", "]"}]]]}], ")"}], " ", 
            RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
          FractionBox[
           RowBox[{
            SuperscriptBox["\[ExponentialE]", 
             FractionBox[
              RowBox[{"2", " ", 
               RowBox[{"(", 
                RowBox[{"radv", "+", "tret"}], ")"}]}], 
              RowBox[{"rs", "[", "tret", "]"}]]], " ", 
            RowBox[{"(", 
             RowBox[{"radv", "-", 
              RowBox[{"rs", "[", "tret", "]"}]}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{
              FractionBox["1", 
               RowBox[{"rs", "[", "tret", "]"}]], "-", 
              FractionBox[
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"radv", "+", "tret"}], ")"}], " ", 
                RowBox[{
                 SuperscriptBox["rs", "\[Prime]",
                  MultilineFunction->None], "[", "tret", "]"}]}], 
               SuperscriptBox[
                RowBox[{"rs", "[", "tret", "]"}], "2"]]}], ")"}]}], 
           RowBox[{
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "\[ExponentialE]"}], "+", 
               SuperscriptBox["\[ExponentialE]", 
                FractionBox[
                 RowBox[{"radv", "+", "tret"}], 
                 RowBox[{"rs", "[", "tret", "]"}]]]}], ")"}], "2"], " ", 
            RowBox[{"rs", "[", "tret", "]"}]}]], "+", 
          FractionBox[
           RowBox[{
            SuperscriptBox["\[ExponentialE]", 
             FractionBox[
              RowBox[{"radv", "+", "tret"}], 
              RowBox[{"rs", "[", "tret", "]"}]]], " ", 
            RowBox[{"(", 
             RowBox[{"radv", "-", 
              RowBox[{"rs", "[", "tret", "]"}]}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{
              FractionBox["1", 
               RowBox[{"rs", "[", "tret", "]"}]], "-", 
              FractionBox[
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"radv", "+", "tret"}], ")"}], " ", 
                RowBox[{
                 SuperscriptBox["rs", "\[Prime]",
                  MultilineFunction->None], "[", "tret", "]"}]}], 
               SuperscriptBox[
                RowBox[{"rs", "[", "tret", "]"}], "2"]]}], ")"}]}], 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "\[ExponentialE]"}], "+", 
              SuperscriptBox["\[ExponentialE]", 
               FractionBox[
                RowBox[{"radv", "+", "tret"}], 
                RowBox[{"rs", "[", "tret", "]"}]]]}], ")"}], " ", 
            RowBox[{"rs", "[", "tret", "]"}]}]]}], ")"}]}]}]}], ",", 
     RowBox[{
      FractionBox[
       SuperscriptBox["\[ExponentialE]", 
        FractionBox[
         RowBox[{"radv", "+", "tret"}], 
         RowBox[{"rs", "[", "tret", "]"}]]], 
       RowBox[{
        RowBox[{"-", "\[ExponentialE]"}], "+", 
        SuperscriptBox["\[ExponentialE]", 
         FractionBox[
          RowBox[{"radv", "+", "tret"}], 
          RowBox[{"rs", "[", "tret", "]"}]]]}]], "-", 
      FractionBox[
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         FractionBox[
          RowBox[{"2", " ", 
           RowBox[{"(", 
            RowBox[{"radv", "+", "tret"}], ")"}]}], 
          RowBox[{"rs", "[", "tret", "]"}]]], " ", 
        RowBox[{"(", 
         RowBox[{"radv", "-", 
          RowBox[{"rs", "[", "tret", "]"}]}], ")"}]}], 
       RowBox[{
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "\[ExponentialE]"}], "+", 
           SuperscriptBox["\[ExponentialE]", 
            FractionBox[
             RowBox[{"radv", "+", "tret"}], 
             RowBox[{"rs", "[", "tret", "]"}]]]}], ")"}], "2"], " ", 
        RowBox[{"rs", "[", "tret", "]"}]}]], "+", 
      FractionBox[
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         FractionBox[
          RowBox[{"radv", "+", "tret"}], 
          RowBox[{"rs", "[", "tret", "]"}]]], " ", 
        RowBox[{"(", 
         RowBox[{"radv", "-", 
          RowBox[{"rs", "[", "tret", "]"}]}], ")"}]}], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "\[ExponentialE]"}], "+", 
          SuperscriptBox["\[ExponentialE]", 
           FractionBox[
            RowBox[{"radv", "+", "tret"}], 
            RowBox[{"rs", "[", "tret", "]"}]]]}], ")"}], " ", 
        RowBox[{"rs", "[", "tret", "]"}]}]], "-", 
      FractionBox[
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{"-", 
          FractionBox[
           RowBox[{"radv", "+", "tret"}], 
           RowBox[{"rs", "[", "tret", "]"}]]}]], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "\[ExponentialE]"}], "+", 
          SuperscriptBox["\[ExponentialE]", 
           FractionBox[
            RowBox[{"radv", "+", "tret"}], 
            RowBox[{"rs", "[", "tret", "]"}]]]}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", 
           FractionBox[
            RowBox[{
             SuperscriptBox["\[ExponentialE]", 
              FractionBox[
               RowBox[{"2", " ", 
                RowBox[{"(", 
                 RowBox[{"radv", "+", "tret"}], ")"}]}], 
               RowBox[{"rs", "[", "tret", "]"}]]], " ", 
             RowBox[{"(", 
              RowBox[{"radv", "-", 
               RowBox[{"rs", "[", "tret", "]"}]}], ")"}]}], 
            RowBox[{
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "\[ExponentialE]"}], "+", 
                SuperscriptBox["\[ExponentialE]", 
                 FractionBox[
                  RowBox[{"radv", "+", "tret"}], 
                  RowBox[{"rs", "[", "tret", "]"}]]]}], ")"}], "2"], " ", 
             SuperscriptBox[
              RowBox[{"rs", "[", "tret", "]"}], "2"]}]]}], "+", 
          FractionBox[
           RowBox[{
            SuperscriptBox["\[ExponentialE]", 
             FractionBox[
              RowBox[{"radv", "+", "tret"}], 
              RowBox[{"rs", "[", "tret", "]"}]]], " ", 
            RowBox[{"(", 
             RowBox[{"radv", "-", 
              RowBox[{"rs", "[", "tret", "]"}]}], ")"}]}], 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "\[ExponentialE]"}], "+", 
              SuperscriptBox["\[ExponentialE]", 
               FractionBox[
                RowBox[{"radv", "+", "tret"}], 
                RowBox[{"rs", "[", "tret", "]"}]]]}], ")"}], " ", 
            SuperscriptBox[
             RowBox[{"rs", "[", "tret", "]"}], "2"]}]], "+", 
          FractionBox[
           SuperscriptBox["\[ExponentialE]", 
            FractionBox[
             RowBox[{"radv", "+", "tret"}], 
             RowBox[{"rs", "[", "tret", "]"}]]], 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "\[ExponentialE]"}], "+", 
              SuperscriptBox["\[ExponentialE]", 
               FractionBox[
                RowBox[{"radv", "+", "tret"}], 
                RowBox[{"rs", "[", "tret", "]"}]]]}], ")"}], " ", 
            RowBox[{"rs", "[", "tret", "]"}]}]]}], ")"}], " ", 
        SuperscriptBox[
         RowBox[{"rs", "[", "tret", "]"}], "2"]}], 
       RowBox[{"radv", "-", 
        RowBox[{"rs", "[", "tret", "]"}]}]]}], ",", "0", ",", "0"}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        RowBox[{
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           FractionBox["radv", 
            RowBox[{"rs", "[", "tret", "]"}]], "+", 
           FractionBox["tret", 
            RowBox[{"rs", "[", "tret", "]"}]]}]], " ", 
         RowBox[{
          SuperscriptBox["rs", "\[Prime]",
           MultilineFunction->None], "[", "tret", "]"}]}], 
        RowBox[{
         RowBox[{"-", "\[ExponentialE]"}], "+", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           FractionBox["radv", 
            RowBox[{"rs", "[", "tret", "]"}]], "+", 
           FractionBox["tret", 
            RowBox[{"rs", "[", "tret", "]"}]]}]]}]]}], "-", 
      FractionBox[
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          FractionBox[
           RowBox[{"2", " ", "radv"}], 
           RowBox[{"rs", "[", "tret", "]"}]], "+", 
          FractionBox[
           RowBox[{"2", " ", "tret"}], 
           RowBox[{"rs", "[", "tret", "]"}]]}]], " ", 
        RowBox[{"(", 
         RowBox[{"radv", "-", 
          RowBox[{"rs", "[", "tret", "]"}]}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          FractionBox["1", 
           RowBox[{"rs", "[", "tret", "]"}]], "-", 
          FractionBox[
           RowBox[{"radv", " ", 
            RowBox[{
             SuperscriptBox["rs", "\[Prime]",
              MultilineFunction->None], "[", "tret", "]"}]}], 
           SuperscriptBox[
            RowBox[{"rs", "[", "tret", "]"}], "2"]], "-", 
          FractionBox[
           RowBox[{"tret", " ", 
            RowBox[{
             SuperscriptBox["rs", "\[Prime]",
              MultilineFunction->None], "[", "tret", "]"}]}], 
           SuperscriptBox[
            RowBox[{"rs", "[", "tret", "]"}], "2"]]}], ")"}]}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "\[ExponentialE]"}], "+", 
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{
            FractionBox["radv", 
             RowBox[{"rs", "[", "tret", "]"}]], "+", 
            FractionBox["tret", 
             RowBox[{"rs", "[", "tret", "]"}]]}]]}], ")"}], "2"]], "+", 
      FractionBox[
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          FractionBox["radv", 
           RowBox[{"rs", "[", "tret", "]"}]], "+", 
          FractionBox["tret", 
           RowBox[{"rs", "[", "tret", "]"}]]}]], " ", 
        RowBox[{"(", 
         RowBox[{"radv", "-", 
          RowBox[{"rs", "[", "tret", "]"}]}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          FractionBox["1", 
           RowBox[{"rs", "[", "tret", "]"}]], "-", 
          FractionBox[
           RowBox[{"radv", " ", 
            RowBox[{
             SuperscriptBox["rs", "\[Prime]",
              MultilineFunction->None], "[", "tret", "]"}]}], 
           SuperscriptBox[
            RowBox[{"rs", "[", "tret", "]"}], "2"]], "-", 
          FractionBox[
           RowBox[{"tret", " ", 
            RowBox[{
             SuperscriptBox["rs", "\[Prime]",
              MultilineFunction->None], "[", "tret", "]"}]}], 
           SuperscriptBox[
            RowBox[{"rs", "[", "tret", "]"}], "2"]]}], ")"}]}], 
       RowBox[{
        RowBox[{"-", "\[ExponentialE]"}], "+", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          FractionBox["radv", 
           RowBox[{"rs", "[", "tret", "]"}]], "+", 
          FractionBox["tret", 
           RowBox[{"rs", "[", "tret", "]"}]]}]]}]]}], ",", 
     RowBox[{
      FractionBox[
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         FractionBox["radv", 
          RowBox[{"rs", "[", "tret", "]"}]], "+", 
         FractionBox["tret", 
          RowBox[{"rs", "[", "tret", "]"}]]}]], 
       RowBox[{
        RowBox[{"-", "\[ExponentialE]"}], "+", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          FractionBox["radv", 
           RowBox[{"rs", "[", "tret", "]"}]], "+", 
          FractionBox["tret", 
           RowBox[{"rs", "[", "tret", "]"}]]}]]}]], "-", 
      FractionBox[
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          FractionBox[
           RowBox[{"2", " ", "radv"}], 
           RowBox[{"rs", "[", "tret", "]"}]], "+", 
          FractionBox[
           RowBox[{"2", " ", "tret"}], 
           RowBox[{"rs", "[", "tret", "]"}]]}]], " ", 
        RowBox[{"(", 
         RowBox[{"radv", "-", 
          RowBox[{"rs", "[", "tret", "]"}]}], ")"}]}], 
       RowBox[{
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "\[ExponentialE]"}], "+", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             FractionBox["radv", 
              RowBox[{"rs", "[", "tret", "]"}]], "+", 
             FractionBox["tret", 
              RowBox[{"rs", "[", "tret", "]"}]]}]]}], ")"}], "2"], " ", 
        RowBox[{"rs", "[", "tret", "]"}]}]], "+", 
      FractionBox[
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          FractionBox["radv", 
           RowBox[{"rs", "[", "tret", "]"}]], "+", 
          FractionBox["tret", 
           RowBox[{"rs", "[", "tret", "]"}]]}]], " ", 
        RowBox[{"(", 
         RowBox[{"radv", "-", 
          RowBox[{"rs", "[", "tret", "]"}]}], ")"}]}], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "\[ExponentialE]"}], "+", 
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{
            FractionBox["radv", 
             RowBox[{"rs", "[", "tret", "]"}]], "+", 
            FractionBox["tret", 
             RowBox[{"rs", "[", "tret", "]"}]]}]]}], ")"}], " ", 
        RowBox[{"rs", "[", "tret", "]"}]}]]}], ",", "0", ",", "0"}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "1", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "1"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.693737154137306*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"rt11", "=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"ReleaseHold", "[", 
      RowBox[{
       RowBox[{"Transpose", "[", "jcbian", "]"}], ".", "RicciTensor", ".", 
       "jcbian"}], "]"}], "/.", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"Sin", "[", 
         RowBox[{"k0", "*", 
          RowBox[{"Hold", "[", 
           RowBox[{
            SqrtBox[
             RowBox[{"1", "-", 
              FractionBox[
               RowBox[{"rs", "[", 
                RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "r"}], "+", "t", "+", 
              RowBox[{"rs", "[", 
               RowBox[{"t", ",", "r"}], "]"}], "+", 
              RowBox[{
               RowBox[{"Log", "[", 
                FractionBox["r", 
                 RowBox[{"rs", "[", 
                  RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
               RowBox[{"rs", "[", 
                RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}]}], "]"}], 
        " ", "->", " ", "\n", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"rq", "[", "tret", "]"}], "-", 
          RowBox[{"rs", "[", "tret", "]"}]}], ")"}]}], ",", "\n", 
       RowBox[{
        RowBox[{"b0", "[", 
         RowBox[{
          SqrtBox[
           RowBox[{"1", "-", 
            FractionBox[
             RowBox[{"rs", "[", 
              RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "r"}], "+", "t", "+", 
            RowBox[{"rs", "[", 
             RowBox[{"t", ",", "r"}], "]"}], "+", 
            RowBox[{
             RowBox[{"Log", "[", 
              FractionBox["r", 
               RowBox[{"rs", "[", 
                RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
             RowBox[{"rs", "[", 
              RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], " ", "]"}], " ", 
        "\[Rule]", "1"}], ",", 
       RowBox[{"k0", "\[Rule]", "1"}], ",", 
       RowBox[{
        RowBox[{"rs", "[", 
         RowBox[{"t", ",", "r"}], "]"}], "\[Rule]", 
        RowBox[{"rs", "[", "tret", "]"}]}], ",", 
       RowBox[{
        RowBox[{
         SuperscriptBox["rs", 
          TagBox[
           RowBox[{"(", 
            RowBox[{"1", ",", "0"}], ")"}],
           Derivative],
          MultilineFunction->None], "[", 
         RowBox[{"t", ",", "r"}], "]"}], "\[Rule]", 
        RowBox[{
         RowBox[{"1", "/", "2"}], "*", 
         RowBox[{"D", "[", 
          RowBox[{
           RowBox[{"rs", "[", "tret", "]"}], ",", "tret"}], "]"}]}]}], ",", 
       RowBox[{
        RowBox[{
         SuperscriptBox["rs", 
          TagBox[
           RowBox[{"(", 
            RowBox[{"0", ",", "1"}], ")"}],
           Derivative],
          MultilineFunction->None], "[", 
         RowBox[{"t", ",", "r"}], "]"}], "\[Rule]", 
        RowBox[{
         RowBox[{"1", "/", "2"}], "*", 
         RowBox[{"(", 
          RowBox[{"1", "-", 
           RowBox[{
            RowBox[{"rs", "[", "tret", "]"}], "/", 
            RowBox[{"(", 
             FractionBox[
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 FractionBox["radv", 
                  RowBox[{"rs", "[", "tret", "]"}]], "+", 
                 FractionBox["tret", 
                  RowBox[{"rs", "[", "tret", "]"}]]}]], " ", 
               RowBox[{"(", 
                RowBox[{"radv", "-", 
                 RowBox[{"rs", "[", "tret", "]"}]}], ")"}]}], 
              RowBox[{
               RowBox[{"-", "\[ExponentialE]"}], "+", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 FractionBox["radv", 
                  RowBox[{"rs", "[", "tret", "]"}]], "+", 
                 FractionBox["tret", 
                  RowBox[{"rs", "[", "tret", "]"}]]}]]}]], ")"}]}]}], ")"}], 
         RowBox[{"D", "[", 
          RowBox[{
           RowBox[{"rs", "[", "tret", "]"}], ",", "tret"}], "]"}]}]}], ",", 
       RowBox[{
        RowBox[{
         SuperscriptBox["rs", 
          TagBox[
           RowBox[{"(", 
            RowBox[{"2", ",", "0"}], ")"}],
           Derivative],
          MultilineFunction->None], "[", 
         RowBox[{"t", ",", "r"}], "]"}], "\[Rule]", 
        RowBox[{
         RowBox[{"1", "/", "4"}], "*", 
         RowBox[{"D", "[", 
          RowBox[{
           RowBox[{"rs", "[", "tret", "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"tret", ",", "2"}], "}"}]}], "]"}]}]}], ",", 
       RowBox[{
        RowBox[{
         SuperscriptBox["rs", 
          TagBox[
           RowBox[{"(", 
            RowBox[{"0", ",", "2"}], ")"}],
           Derivative],
          MultilineFunction->None], "[", 
         RowBox[{"t", ",", "r"}], "]"}], "\[Rule]", 
        RowBox[{
         RowBox[{"1", "/", "4"}], "*", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "-", 
            RowBox[{
             RowBox[{"rs", "[", "tret", "]"}], "/", 
             RowBox[{"(", 
              FractionBox[
               RowBox[{
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{
                  FractionBox["radv", 
                   RowBox[{"rs", "[", "tret", "]"}]], "+", 
                  FractionBox["tret", 
                   RowBox[{"rs", "[", "tret", "]"}]]}]], " ", 
                RowBox[{"(", 
                 RowBox[{"radv", "-", 
                  RowBox[{"rs", "[", "tret", "]"}]}], ")"}]}], 
               RowBox[{
                RowBox[{"-", "\[ExponentialE]"}], "+", 
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{
                  FractionBox["radv", 
                   RowBox[{"rs", "[", "tret", "]"}]], "+", 
                  FractionBox["tret", 
                   RowBox[{"rs", "[", "tret", "]"}]]}]]}]], ")"}]}]}], ")"}], 
          "^", "2"}], 
         RowBox[{"D", "[", 
          RowBox[{
           RowBox[{"rs", "[", "tret", "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"tret", ",", "2"}], "}"}]}], "]"}]}]}], ",", 
       RowBox[{"t", "\[Rule]", 
        RowBox[{"(", 
         RowBox[{"tret", "+", 
          FractionBox[
           RowBox[{
            SuperscriptBox["\[ExponentialE]", 
             FractionBox[
              RowBox[{"radv", "+", "tret"}], 
              RowBox[{"rs", "[", "tret", "]"}]]], " ", 
            RowBox[{"(", 
             RowBox[{"radv", "-", 
              RowBox[{"rs", "[", "tret", "]"}]}], ")"}]}], 
           RowBox[{
            RowBox[{"-", "\[ExponentialE]"}], "+", 
            SuperscriptBox["\[ExponentialE]", 
             FractionBox[
              RowBox[{"radv", "+", "tret"}], 
              RowBox[{"rs", "[", "tret", "]"}]]]}]], "-", 
          RowBox[{"rs", "[", "tret", "]"}], "-", 
          RowBox[{
           RowBox[{"Log", "[", 
            FractionBox[
             RowBox[{
              SuperscriptBox["\[ExponentialE]", 
               FractionBox[
                RowBox[{"radv", "+", "tret"}], 
                RowBox[{"rs", "[", "tret", "]"}]]], " ", 
              RowBox[{"(", 
               RowBox[{"radv", "-", 
                RowBox[{"rs", "[", "tret", "]"}]}], ")"}]}], 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "\[ExponentialE]"}], "+", 
                SuperscriptBox["\[ExponentialE]", 
                 FractionBox[
                  RowBox[{"radv", "+", "tret"}], 
                  RowBox[{"rs", "[", "tret", "]"}]]]}], ")"}], " ", 
              RowBox[{"rs", "[", "tret", "]"}]}]], "]"}], " ", 
           RowBox[{"rs", "[", "tret", "]"}]}]}], ")"}]}], ",", 
       RowBox[{"r", "->", 
        FractionBox[
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{
            FractionBox["radv", 
             RowBox[{"rs", "[", "tret", "]"}]], "+", 
            FractionBox["tret", 
             RowBox[{"rs", "[", "tret", "]"}]]}]], " ", 
          RowBox[{"(", 
           RowBox[{"radv", "-", 
            RowBox[{"rs", "[", "tret", "]"}]}], ")"}]}], 
         RowBox[{
          RowBox[{"-", "\[ExponentialE]"}], "+", 
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{
            FractionBox["radv", 
             RowBox[{"rs", "[", "tret", "]"}]], "+", 
            FractionBox["tret", 
             RowBox[{"rs", "[", "tret", "]"}]]}]]}]]}]}], "}"}]}], ")"}], "[", 
   RowBox[{"[", 
    RowBox[{"1", ",", "1"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.693606528457056*^9, 3.6936065360965185`*^9}, {
   3.6936065707169976`*^9, 3.6936065776659126`*^9}, {3.6936089083575344`*^9, 
   3.6936089259444747`*^9}, {3.6936504578868275`*^9, 
   3.6936504770150695`*^9}, {3.6936505229084997`*^9, 3.693650569442827*^9}, {
   3.693650681883747*^9, 3.6936507088646727`*^9}, {3.6936510417267394`*^9, 
   3.6936511017260265`*^9}, {3.693651133701883*^9, 3.6936512055188427`*^9}, {
   3.6936512736339293`*^9, 3.6936512838108206`*^9}, {3.6936638715851364`*^9, 
   3.6936639201091633`*^9}, {3.693664066430831*^9, 3.6936641077583942`*^9}, {
   3.693689720465831*^9, 3.6936897211516085`*^9}, {3.6936897707618055`*^9, 
   3.6936898144589977`*^9}, {3.6936898507272406`*^9, 3.693689851206527*^9}, {
   3.6936899354202194`*^9, 3.69369008213478*^9}, {3.6936901272635865`*^9, 
   3.6936901911543036`*^9}, {3.6936902405496774`*^9, 3.693690277721989*^9}, {
   3.6936903114452996`*^9, 3.6936903396137133`*^9}, {3.693690374463174*^9, 
   3.6936904034807487`*^9}, {3.693690460346465*^9, 3.6936904776022787`*^9}, {
   3.693691176661974*^9, 3.693691180924778*^9}, 3.693691581948233*^9, {
   3.6936917538868494`*^9, 3.6936919454427986`*^9}, {3.6936919871805596`*^9, 
   3.693692028817339*^9}, {3.6936921553323555`*^9, 3.693692157341111*^9}, {
   3.6937048451917377`*^9, 3.693704964515954*^9}, {3.693705042067874*^9, 
   3.6937050805616274`*^9}, {3.6937348376623373`*^9, 
   3.6937348419363623`*^9}, {3.6937788422464495`*^9, 3.693778852976038*^9}}],

Cell[BoxData[
 RowBox[{"rsm11", "=", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"ReleaseHold", "[", 
     RowBox[{"RicciScalar", "*", 
      RowBox[{"metric", "[", 
       RowBox[{"[", 
        RowBox[{"1", ",", "1"}], "]"}], "]"}]}], "]"}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"Sin", "[", 
        RowBox[{"k0", "*", 
         RowBox[{"Hold", "[", 
          RowBox[{
           SqrtBox[
            RowBox[{"1", "-", 
             FractionBox[
              RowBox[{"rs", "[", 
               RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "r"}], "+", "t", "+", 
             RowBox[{"rs", "[", 
              RowBox[{"t", ",", "r"}], "]"}], "+", 
             RowBox[{
              RowBox[{"Log", "[", 
               FractionBox["r", 
                RowBox[{"rs", "[", 
                 RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
              RowBox[{"rs", "[", 
               RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], "]"}]}], "]"}], 
       " ", "->", " ", "\n", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"rq", "[", "tret", "]"}], "-", 
         RowBox[{"rs", "[", "tret", "]"}]}], ")"}]}], ",", "\n", 
      RowBox[{
       RowBox[{"b0", "[", 
        RowBox[{
         SqrtBox[
          RowBox[{"1", "-", 
           FractionBox[
            RowBox[{"rs", "[", 
             RowBox[{"t", ",", "r"}], "]"}], "r"]}]], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "r"}], "+", "t", "+", 
           RowBox[{"rs", "[", 
            RowBox[{"t", ",", "r"}], "]"}], "+", 
           RowBox[{
            RowBox[{"Log", "[", 
             FractionBox["r", 
              RowBox[{"rs", "[", 
               RowBox[{"t", ",", "r"}], "]"}]], "]"}], " ", 
            RowBox[{"rs", "[", 
             RowBox[{"t", ",", "r"}], "]"}]}]}], ")"}]}], " ", "]"}], " ", 
       "\[Rule]", "1"}], ",", 
      RowBox[{"k0", "\[Rule]", "1"}], ",", 
      RowBox[{
       RowBox[{"rs", "[", 
        RowBox[{"t", ",", "r"}], "]"}], "\[Rule]", 
       RowBox[{"rs", "[", "tret", "]"}]}], ",", 
      RowBox[{
       RowBox[{
        SuperscriptBox["rs", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"1", ",", "0"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"t", ",", "r"}], "]"}], "\[Rule]", 
       RowBox[{
        RowBox[{"1", "/", "2"}], "*", 
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{"rs", "[", "tret", "]"}], ",", "tret"}], "]"}]}]}], ",", 
      RowBox[{
       RowBox[{
        SuperscriptBox["rs", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"0", ",", "1"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"t", ",", "r"}], "]"}], "\[Rule]", 
       RowBox[{
        RowBox[{"1", "/", "2"}], "*", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{
           RowBox[{"rs", "[", "tret", "]"}], "/", 
           RowBox[{"(", 
            FractionBox[
             RowBox[{
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                FractionBox["radv", 
                 RowBox[{"rs", "[", "tret", "]"}]], "+", 
                FractionBox["tret", 
                 RowBox[{"rs", "[", "tret", "]"}]]}]], " ", 
              RowBox[{"(", 
               RowBox[{"radv", "-", 
                RowBox[{"rs", "[", "tret", "]"}]}], ")"}]}], 
             RowBox[{
              RowBox[{"-", "\[ExponentialE]"}], "+", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                FractionBox["radv", 
                 RowBox[{"rs", "[", "tret", "]"}]], "+", 
                FractionBox["tret", 
                 RowBox[{"rs", "[", "tret", "]"}]]}]]}]], ")"}]}]}], ")"}], 
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{"rs", "[", "tret", "]"}], ",", "tret"}], "]"}]}]}], ",", 
      RowBox[{
       RowBox[{
        SuperscriptBox["rs", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"2", ",", "0"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"t", ",", "r"}], "]"}], "\[Rule]", 
       RowBox[{
        RowBox[{"1", "/", "4"}], "*", 
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{"rs", "[", "tret", "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"tret", ",", "2"}], "}"}]}], "]"}]}]}], ",", 
      RowBox[{
       RowBox[{
        SuperscriptBox["rs", 
         TagBox[
          RowBox[{"(", 
           RowBox[{"0", ",", "2"}], ")"}],
          Derivative],
         MultilineFunction->None], "[", 
        RowBox[{"t", ",", "r"}], "]"}], "\[Rule]", 
       RowBox[{
        RowBox[{"1", "/", "4"}], "*", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "-", 
           RowBox[{
            RowBox[{"rs", "[", "tret", "]"}], "/", 
            RowBox[{"(", 
             FractionBox[
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 FractionBox["radv", 
                  RowBox[{"rs", "[", "tret", "]"}]], "+", 
                 FractionBox["tret", 
                  RowBox[{"rs", "[", "tret", "]"}]]}]], " ", 
               RowBox[{"(", 
                RowBox[{"radv", "-", 
                 RowBox[{"rs", "[", "tret", "]"}]}], ")"}]}], 
              RowBox[{
               RowBox[{"-", "\[ExponentialE]"}], "+", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 FractionBox["radv", 
                  RowBox[{"rs", "[", "tret", "]"}]], "+", 
                 FractionBox["tret", 
                  RowBox[{"rs", "[", "tret", "]"}]]}]]}]], ")"}]}]}], ")"}], 
         "^", "2"}], 
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{"rs", "[", "tret", "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"tret", ",", "2"}], "}"}]}], "]"}]}]}], ",", 
      RowBox[{"t", "\[Rule]", 
       RowBox[{"(", 
        RowBox[{"tret", "+", 
         FractionBox[
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            FractionBox[
             RowBox[{"radv", "+", "tret"}], 
             RowBox[{"rs", "[", "tret", "]"}]]], " ", 
           RowBox[{"(", 
            RowBox[{"radv", "-", 
             RowBox[{"rs", "[", "tret", "]"}]}], ")"}]}], 
          RowBox[{
           RowBox[{"-", "\[ExponentialE]"}], "+", 
           SuperscriptBox["\[ExponentialE]", 
            FractionBox[
             RowBox[{"radv", "+", "tret"}], 
             RowBox[{"rs", "[", "tret", "]"}]]]}]], "-", 
         RowBox[{"rs", "[", "tret", "]"}], "-", 
         RowBox[{
          RowBox[{"Log", "[", 
           FractionBox[
            RowBox[{
             SuperscriptBox["\[ExponentialE]", 
              FractionBox[
               RowBox[{"radv", "+", "tret"}], 
               RowBox[{"rs", "[", "tret", "]"}]]], " ", 
             RowBox[{"(", 
              RowBox[{"radv", "-", 
               RowBox[{"rs", "[", "tret", "]"}]}], ")"}]}], 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "\[ExponentialE]"}], "+", 
               SuperscriptBox["\[ExponentialE]", 
                FractionBox[
                 RowBox[{"radv", "+", "tret"}], 
                 RowBox[{"rs", "[", "tret", "]"}]]]}], ")"}], " ", 
             RowBox[{"rs", "[", "tret", "]"}]}]], "]"}], " ", 
          RowBox[{"rs", "[", "tret", "]"}]}]}], ")"}]}], ",", 
      RowBox[{"r", "->", 
       FractionBox[
        RowBox[{
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           FractionBox["radv", 
            RowBox[{"rs", "[", "tret", "]"}]], "+", 
           FractionBox["tret", 
            RowBox[{"rs", "[", "tret", "]"}]]}]], " ", 
         RowBox[{"(", 
          RowBox[{"radv", "-", 
           RowBox[{"rs", "[", "tret", "]"}]}], ")"}]}], 
        RowBox[{
         RowBox[{"-", "\[ExponentialE]"}], "+", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           FractionBox["radv", 
            RowBox[{"rs", "[", "tret", "]"}]], "+", 
           FractionBox["tret", 
            RowBox[{"rs", "[", "tret", "]"}]]}]]}]]}]}], "}"}]}], 
   ")"}]}]], "Input",
 CellChangeTimes->{{3.6936091849630976`*^9, 3.6936092158770275`*^9}, {
   3.693609283595647*^9, 3.693609375387229*^9}, {3.6936505857408457`*^9, 
   3.693650603021283*^9}, {3.6936507246561265`*^9, 3.6936507402489376`*^9}, {
   3.6936512462406244`*^9, 3.693651266417238*^9}, {3.6936639421191344`*^9, 
   3.6936639749268475`*^9}, {3.6936640225721874`*^9, 
   3.6936640619931283`*^9}, {3.693691207836808*^9, 3.6936912280338306`*^9}, 
   3.693691642033537*^9, {3.693692105830597*^9, 3.6936921115887737`*^9}, {
   3.693692144548476*^9, 3.693692145568949*^9}, {3.693705313439725*^9, 
   3.6937053588384*^9}, {3.6937348461988764`*^9, 3.693734849361642*^9}, 
   3.693778886659477*^9}],

Cell[BoxData[
 RowBox[{"lhs", "=", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"rt11", "-", 
      RowBox[{
       RowBox[{"1", "/", "2"}], "*", "rsm11"}]}], ")"}], "/.", 
    RowBox[{"radv", "\[Rule]", "2."}]}], ")"}]}]], "Input",
 CellChangeTimes->{{3.6937353145322657`*^9, 3.6937353229177113`*^9}, {
  3.693735403795712*^9, 3.6937354063345222`*^9}, {3.693737206156822*^9, 
  3.6937372286002254`*^9}, {3.6937497580963883`*^9, 3.6937497672463617`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"s", "=", 
  RowBox[{"NDSolve", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"Evaluate", "[", "lhs", "]"}], "\[Equal]", "0."}], ",", 
      RowBox[{
       RowBox[{"rs", "[", "5", "]"}], "\[Equal]", "1000."}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"rs", "'"}], "[", "5", "]"}], "\[Equal]", "0."}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"rs", "''"}], "[", "5", "]"}], "\[Equal]", "0."}]}], "}"}], 
    ",", "rs", ",", 
    RowBox[{"{", 
     RowBox[{"tret", ",", "0.", ",", "10."}], "}"}], ",", 
    RowBox[{"Method", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<EquationSimplification\>\"", "\[Rule]", "\"\<Residual\>\""}], 
      "}"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->CompressedData["
1:eJwdzW1IU2EAxfHLBjaufsgRpsFogpASKNt0Op0jzRxZrbhqqClh+bamOW1U
WxQS29CxKK2kFMU1EUFMyRe0FyFnMIfoRW3gppFgyBRForRcVvc8Hw4/zqd/
9LVappxHUdRJbjCzTCP4Z97M6Bv8QUPaz0TClNvPT8CJILsPS1TBv/DdjIFP
WTYzYoxbNCwaXAyHZcXOKMhYHSK4sq48Dj8+dcbDPecOMbljSgoFdoMMfvBL
Lx/h/BXIJwr+lC7Dycc2orDeWJ3O2VCpr4EFNvVDmHMunzimFfXAPJm7F7q/
9c/Ci8JLPigvlQSg3hW3AaeC29/hsc7Wn9CyYw9TcbZldRMp3z0JfFOTLoVM
pjcNmtYPq6DeU3AW3qRfnIcR2m0DbKHpO3Ates9GvqTEDutMUa/go/qRPvhZ
96wri5MfuUScbXg5BNcSxcNwfz7VBTdGTn2Cv9nsaShsKfTASbGMhauKwAKk
a+kVyHMlEyveJgWg2eQ9gP2NipAznO9j1MTuJwoNw6l5Lc+Fi+FsIfRpW4uh
40rCDSg1j+pg7FXFfWit9jyAReO3mqBa2UXUtV9oh7tyuQN+ERzqhSmnR4nN
M3NueNcfMQ0t4mYvFIWql0n3unIVzrMDxLwhKy+XU9YzEQKN/OxQePRrlRD+
Bzj3VIA=
  "]],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"rs", "\[Rule]", 
    TagBox[
     TemplateBox[{RowBox[{
         StyleBox[
          TagBox["InterpolatingFunction", "SummaryHead"], 
          "NonInterpretableSummary"], 
         StyleBox["[", "NonInterpretableSummary"], 
         DynamicModuleBox[{Typeset`open$$ = False}, 
          PanelBox[
           PaneSelectorBox[{False -> GridBox[{{
                 PaneBox[
                  ButtonBox[
                   DynamicBox[
                    FEPrivate`FrontEndResource[
                    "FEBitmaps", "SquarePlusIconMedium"]], 
                   ButtonFunction :> (Typeset`open$$ = True), Appearance -> 
                   None, Evaluator -> Automatic, Method -> "Preemptive"], 
                  Alignment -> {Center, Center}, ImageSize -> 
                  Dynamic[{
                    Automatic, 
                    3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], 
                 GraphicsBox[{{{{}, {}, 
                    TagBox[{
                    Directive[
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1]], 
                    LineBox[CompressedData["
1:eJxTTMoPSmViYGCwAWIQ7XUxznL9/jY7BhBw6HcwLznYefjuEXsY/1JAxOHs
fVfhfKWFFm841R/A+VdnT66ODHkK5+8+uKPp78dXcH6D13SvG+IfEPKe2/nv
vPsE53/utJs+d8dXOP+WQt6StKAfcH7U2aa3kSq/4fzOC/Z7Qo79hfOjuTYt
a9NlcIDx7bab8f6YzAjnV/T3m+U+YoLz6z/dqv3uwwLns36LXPZgAyuc/0hl
7cSzf9jg/J57n2adT+GA83sP86Rf3cIJ50cbSwZ+UOCG85c7R8pktfHA+d71
uaueX+aF8/e4loRV2fLD+YdmL0/qcBeA858+WcfF/BbBzy9e79ixQBDOXyou
FcXvIQTnOzLWMS78i+DL7K6WfLReGM5f1PVYSDVMBM7vn+8yu4hLFM7XOMXP
emgTgs9wtOT+gXAxRHiyXvY4xSWOUB89e/LVjQh+xbeY3NdpEnB+yfIODWYB
STh/vYZfyKmtCH7gex7+OZlScP7806ar8wWl4fzgt+HXfI8j+O73hYtuV8rA
+c+eWb7PUpCF818bR/5muYrgz5n26MWCWjlE/J1kdX+jJI+IX0clE6drCP6n
9BDGs3YKcP6yQBGDupkIfpWyonj7JwRfheHxuwmuinB+Y70i34L5CP4WTlG5
DZ8R/FlmraVH/ZQQ/vV2ajVageBXZW9pXfAbwefQW3xWOEwZzs/57cbWsQrB
NxIJ+PX/P4IPAANnEcA=
                    "]]}, 
                    Annotation[#, 
                    "Charting`Private`Tag$9565#1"]& ]}}, {}, {}}, {
                  DisplayFunction -> Identity, 
                   Ticks -> {Automatic, Automatic}, AxesOrigin -> {0, 0}, 
                   FrameTicks -> {{None, None}, {None, None}}, 
                   GridLines -> {None, None}, DisplayFunction -> Identity, 
                   PlotRangePadding -> {{
                    Scaled[0.1], 
                    Scaled[0.1]}, {
                    Scaled[0.1], 
                    Scaled[0.1]}}, PlotRangeClipping -> True, ImagePadding -> 
                   All, DisplayFunction -> Identity, AspectRatio -> 1, 
                   Axes -> {False, False}, AxesLabel -> {None, None}, 
                   AxesOrigin -> {0, 0}, DisplayFunction :> Identity, 
                   Frame -> {{True, True}, {True, True}}, 
                   FrameLabel -> {{None, None}, {None, None}}, FrameStyle -> 
                   Directive[
                    Opacity[0.5], 
                    Thickness[Tiny], 
                    RGBColor[0.368417, 0.506779, 0.709798]], 
                   FrameTicks -> {{None, None}, {None, None}}, 
                   GridLines -> {None, None}, GridLinesStyle -> Directive[
                    GrayLevel[0.5, 0.4]], ImageSize -> 
                   Dynamic[{
                    Automatic, 
                    3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}], 
                   Method -> {
                    "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
                    AbsolutePointSize[6], "ScalingFunctions" -> None, 
                    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                    (
                    Part[{{Identity, Identity}, {Identity, Identity}}, 1, 
                    2][#]& )[
                    Part[#, 1]], 
                    (
                    Part[{{Identity, Identity}, {Identity, Identity}}, 2, 
                    2][#]& )[
                    Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                    (
                    Part[{{Identity, Identity}, {Identity, Identity}}, 1, 
                    2][#]& )[
                    Part[#, 1]], 
                    (
                    Part[{{Identity, Identity}, {Identity, Identity}}, 2, 
                    2][#]& )[
                    Part[#, 2]]}& )}}, PlotRange -> {{0., 10.}, {0., 2000.}}, 
                   PlotRangeClipping -> True, PlotRangePadding -> {{
                    Scaled[0.1], 
                    Scaled[0.1]}, {
                    Scaled[0.1], 
                    Scaled[0.1]}}, Ticks -> {Automatic, Automatic}}], 
                 GridBox[{{
                    RowBox[{
                    TagBox["\"Domain: \"", "SummaryItemAnnotation"], 
                    "\[InvisibleSpace]", 
                    TagBox[
                    RowBox[{"{", 
                    RowBox[{"{", 
                    RowBox[{"0.`", ",", "10.`"}], "}"}], "}"}], 
                    "SummaryItem"]}]}, {
                    RowBox[{
                    TagBox["\"Output: \"", "SummaryItemAnnotation"], 
                    "\[InvisibleSpace]", 
                    TagBox["\"scalar\"", "SummaryItem"]}]}}, 
                  GridBoxAlignment -> {
                   "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, 
                  AutoDelete -> False, 
                  GridBoxItemSize -> {
                   "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                  GridBoxSpacings -> {
                   "Columns" -> {{2}}, "Rows" -> {{Automatic}}}, 
                  BaseStyle -> {
                   ShowStringCharacters -> False, NumberMarks -> False, 
                    PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
               GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False, 
               GridBoxItemSize -> {
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
               BaselinePosition -> {1, 1}], True -> GridBox[{{
                 PaneBox[
                  ButtonBox[
                   DynamicBox[
                    FEPrivate`FrontEndResource[
                    "FEBitmaps", "SquareMinusIconMedium"]], 
                   ButtonFunction :> (Typeset`open$$ = False), Appearance -> 
                   None, Evaluator -> Automatic, Method -> "Preemptive"], 
                  Alignment -> {Center, Center}, ImageSize -> 
                  Dynamic[{
                    Automatic, 
                    3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], 
                 GraphicsBox[{{{{}, {}, 
                    TagBox[{
                    Directive[
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1]], 
                    LineBox[CompressedData["
1:eJxTTMoPSmViYGCwAWIQ7XUxznL9/jY7BhBw6HcwLznYefjuEXsY/1JAxOHs
fVfhfKWFFm841R/A+VdnT66ODHkK5+8+uKPp78dXcH6D13SvG+IfEPKe2/nv
vPsE53/utJs+d8dXOP+WQt6StKAfcH7U2aa3kSq/4fzOC/Z7Qo79hfOjuTYt
a9NlcIDx7bab8f6YzAjnV/T3m+U+YoLz6z/dqv3uwwLns36LXPZgAyuc/0hl
7cSzf9jg/J57n2adT+GA83sP86Rf3cIJ50cbSwZ+UOCG85c7R8pktfHA+d71
uaueX+aF8/e4loRV2fLD+YdmL0/qcBeA858+WcfF/BbBzy9e79ixQBDOXyou
FcXvIQTnOzLWMS78i+DL7K6WfLReGM5f1PVYSDVMBM7vn+8yu4hLFM7XOMXP
emgTgs9wtOT+gXAxRHiyXvY4xSWOUB89e/LVjQh+xbeY3NdpEnB+yfIODWYB
STh/vYZfyKmtCH7gex7+OZlScP7806ar8wWl4fzgt+HXfI8j+O73hYtuV8rA
+c+eWb7PUpCF818bR/5muYrgz5n26MWCWjlE/J1kdX+jJI+IX0clE6drCP6n
9BDGs3YKcP6yQBGDupkIfpWyonj7JwRfheHxuwmuinB+Y70i34L5CP4WTlG5
DZ8R/FlmraVH/ZQQ/vV2ajVageBXZW9pXfAbwefQW3xWOEwZzs/57cbWsQrB
NxIJ+PX/P4IPAANnEcA=
                    "]]}, 
                    Annotation[#, 
                    "Charting`Private`Tag$9565#1"]& ]}}, {}, {}}, {
                  DisplayFunction -> Identity, 
                   Ticks -> {Automatic, Automatic}, AxesOrigin -> {0, 0}, 
                   FrameTicks -> {{None, None}, {None, None}}, 
                   GridLines -> {None, None}, DisplayFunction -> Identity, 
                   PlotRangePadding -> {{
                    Scaled[0.1], 
                    Scaled[0.1]}, {
                    Scaled[0.1], 
                    Scaled[0.1]}}, PlotRangeClipping -> True, ImagePadding -> 
                   All, DisplayFunction -> Identity, AspectRatio -> 1, 
                   Axes -> {False, False}, AxesLabel -> {None, None}, 
                   AxesOrigin -> {0, 0}, DisplayFunction :> Identity, 
                   Frame -> {{True, True}, {True, True}}, 
                   FrameLabel -> {{None, None}, {None, None}}, FrameStyle -> 
                   Directive[
                    Opacity[0.5], 
                    Thickness[Tiny], 
                    RGBColor[0.368417, 0.506779, 0.709798]], 
                   FrameTicks -> {{None, None}, {None, None}}, 
                   GridLines -> {None, None}, GridLinesStyle -> Directive[
                    GrayLevel[0.5, 0.4]], ImageSize -> 
                   Dynamic[{
                    Automatic, 
                    3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}], 
                   Method -> {
                    "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
                    AbsolutePointSize[6], "ScalingFunctions" -> None, 
                    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                    (
                    Part[{{Identity, Identity}, {Identity, Identity}}, 1, 
                    2][#]& )[
                    Part[#, 1]], 
                    (
                    Part[{{Identity, Identity}, {Identity, Identity}}, 2, 
                    2][#]& )[
                    Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                    (
                    Part[{{Identity, Identity}, {Identity, Identity}}, 1, 
                    2][#]& )[
                    Part[#, 1]], 
                    (
                    Part[{{Identity, Identity}, {Identity, Identity}}, 2, 
                    2][#]& )[
                    Part[#, 2]]}& )}}, PlotRange -> {{0., 10.}, {0., 2000.}}, 
                   PlotRangeClipping -> True, PlotRangePadding -> {{
                    Scaled[0.1], 
                    Scaled[0.1]}, {
                    Scaled[0.1], 
                    Scaled[0.1]}}, Ticks -> {Automatic, Automatic}}], 
                 GridBox[{{
                    RowBox[{
                    TagBox["\"Domain: \"", "SummaryItemAnnotation"], 
                    "\[InvisibleSpace]", 
                    TagBox[
                    RowBox[{"{", 
                    RowBox[{"{", 
                    RowBox[{"0.`", ",", "10.`"}], "}"}], "}"}], 
                    "SummaryItem"]}]}, {
                    RowBox[{
                    TagBox["\"Output: \"", "SummaryItemAnnotation"], 
                    "\[InvisibleSpace]", 
                    TagBox["\"scalar\"", "SummaryItem"]}]}, {
                    RowBox[{
                    TagBox["\"Order: \"", "SummaryItemAnnotation"], 
                    "\[InvisibleSpace]", 
                    TagBox["3", "SummaryItem"]}]}, {
                    RowBox[{
                    TagBox["\"Method: \"", "SummaryItemAnnotation"], 
                    "\[InvisibleSpace]", 
                    TagBox["\"Hermite\"", "SummaryItem"]}]}, {
                    RowBox[{
                    TagBox["\"Periodic: \"", "SummaryItemAnnotation"], 
                    "\[InvisibleSpace]", 
                    TagBox["False", "SummaryItem"]}]}}, 
                  GridBoxAlignment -> {
                   "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, 
                  AutoDelete -> False, 
                  GridBoxItemSize -> {
                   "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                  GridBoxSpacings -> {
                   "Columns" -> {{2}}, "Rows" -> {{Automatic}}}, 
                  BaseStyle -> {
                   ShowStringCharacters -> False, NumberMarks -> False, 
                    PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
               GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False, 
               GridBoxItemSize -> {
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
               BaselinePosition -> {1, 1}]}, 
            Dynamic[Typeset`open$$], ImageSize -> Automatic], 
           BaselinePosition -> Baseline], DynamicModuleValues :> {}], 
         StyleBox["]", "NonInterpretableSummary"]}]},
      "CopyTag",
      DisplayFunction->(#& ),
      InterpretationFunction->("InterpolatingFunction[{{0., 10.}}, <>]"& )],
     False,
     Editable->False,
     SelectWithContents->True,
     Selectable->False]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{
  3.6937498094909945`*^9, 3.693749847393332*^9, 3.6937499241297398`*^9, 
   3.6937499985139303`*^9, {3.6937501153877544`*^9, 3.693750259226656*^9}, 
   3.693750326512282*^9, 3.6937775415634313`*^9, 3.6937775820801973`*^9, {
   3.6937776179671264`*^9, 3.693777639417841*^9}, 3.693777761523339*^9, 
   3.6937779145847583`*^9, 3.693778000578884*^9, {3.693778145058428*^9, 
   3.693778189184678*^9}, 3.6937782529433336`*^9, 3.69377851340794*^9, {
   3.6937786416258245`*^9, 3.6937786506647625`*^9}, 3.6937787049591894`*^9, 
   3.6937789181227818`*^9, 3.693778971626645*^9, 3.693779002283349*^9, 
   3.69377903903335*^9, {3.6937790741056843`*^9, 3.693779094305995*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"rs", "[", "tret", "]"}], "/.", "s"}], ",", 
   RowBox[{"{", 
    RowBox[{"tret", ",", "0", ",", "10"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.69374993428293*^9, 3.6937499655385785`*^9}, {
   3.6937500218999815`*^9, 3.6937500534698524`*^9}, 3.6937502331371493`*^9}],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    TagBox[
     {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
      1.], LineBox[CompressedData["
1:eJxTTMoPSmViYGAwAWIQPbcuic0wpduOAQQc+h3Ybz9Sfyu/0x7GX3hqfuFr
+ZNw/rr1nbdz9G7B+en2F2e+KXoM5+c91Xy8Zd1LOJ9LsUX9vsUHOL9P4LTW
woTPcH7S7ZD9zGe+wfmFR1uS8tV/wfkbC3iCJTz/ItxTnf3KIJzBAcZvmv8n
8MsbRjif4fIDhz1VzHC+WklaRYgWK5z/5Ov0MO69bHC+19Os2kmFHHC+35MJ
2nJyXHD+q8NJDSfWcsP5eoLXZJ3jeeF8LvuviXc+88H57m+jviuFCsD5Nw6l
MEbpCML5WzuOxCl8RfDTWEsfnDsnBOcnF1Vv5ZklDOfrp2uf80kUgfPPC+lw
l1qKwvm71zXN1mEWg/OrGbUCztxF8LnuVHnkbRGH858uU5wyv0YCzp+iIcmy
M1QSzp8wK+14ooIUnB81JfYcz3ME/4fL0p/z90nD+Y+fOlUcapeB8xfZGkqf
TZSF89e2lgqm68rB+e2hyd7MXxF80zsLV7aflYfzZ2jOXnvWWwHOrz/QO8N7
J4LvKx269JSKIpzvmHc8WrATwZ8vk6Ry5iuCr3J4+TS/aCWE/3QPaV3ah+Cn
fWa5eFJLGc5P2vhJobMfwZ9wiaf3yHEEf99ntZ///yP4AHIM7No=
       "]]},
     Annotation[#, "Charting`Private`Tag$9615#1"]& ]}, {}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Part[{{Identity, Identity}, {Identity, Identity}}, 1, 2][#]& )[
         Part[#, 1]], 
        (Part[{{Identity, Identity}, {Identity, Identity}}, 2, 2][#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Part[{{Identity, Identity}, {Identity, Identity}}, 1, 2][#]& )[
         Part[#, 1]], 
        (Part[{{Identity, Identity}, {Identity, Identity}}, 2, 2][#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0, 10}, {0., 2000.}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.693749968641273*^9, 3.693750001579596*^9, 
  3.6937500571734734`*^9, 3.693750237738915*^9, 3.6937503366864796`*^9, 
  3.693779048348441*^9, 3.693779111139413*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
   "We", " ", "expect", " ", "no", " ", "classical", " ", "radiation", " ", 
    "coming", " ", "from", " ", "the", " ", "Schwarzschild", " ", 
    RowBox[{"solution", ".", " ", "However"}]}], ",", " ", 
   RowBox[{
   "the", " ", "waves", " ", "carry", " ", "0", " ", "Ricci", " ", "scalar", 
    " ", "curvature", " ", "and", " ", "therefore", " ", "satisfy", " ", 
    "the", " ", "Einstein", " ", "field", " ", "equations", " ", "once", " ", 
    "they", " ", 
    RowBox[{"exist", ".", " ", "Gravitational"}], " ", "waves", " ", "of", 
    " ", "this", " ", "form", " ", "can", " ", "already", " ", "exist"}], ",",
    " ", 
   RowBox[{"but", " ", "they", " ", "cannot", " ", "be", " ", "radiated", " ", 
    RowBox[{"classically", ".", " ", "The"}], " ", "process", " ", "of", " ", 
    "radiation", " ", "is", " ", "therefore", " ", "inherently", " ", 
    "quantum", " ", "mechanical"}], ",", " ", 
   RowBox[{
   "while", " ", "emitted", " ", "waves", " ", "satisfy", " ", "the", " ", 
    "Einstein", " ", "field", " ", 
    RowBox[{"equations", "."}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.693823091164833*^9, 3.6938232338580384`*^9}}]
},
WindowSize->{1027, 704},
WindowMargins->{{Automatic, 113}, {45, Automatic}},
FrontEndVersion->"11.0 for Microsoft Windows (64-bit) (September 21, 2016)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 283, 6, 30, "Input"],
Cell[844, 28, 758, 13, 69, "Input"],
Cell[1605, 43, 1293, 26, 107, "Input"],
Cell[2901, 71, 1062, 19, 69, "Input"],
Cell[CellGroupData[{
Cell[3988, 94, 284, 5, 30, "Input"],
Cell[4275, 101, 944, 15, 30, "Output"]
}, Open  ]],
Cell[5234, 119, 559, 13, 30, "Input"],
Cell[CellGroupData[{
Cell[5818, 136, 809, 22, 30, "Input"],
Cell[6630, 160, 632, 20, 56, "Output"]
}, Open  ]],
Cell[7277, 183, 513, 14, 44, "Input"],
Cell[7793, 199, 4491, 90, 88, "Input"],
Cell[CellGroupData[{
Cell[12309, 293, 1373, 34, 30, "Input"],
Cell[13685, 329, 4820, 125, 206, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[18542, 459, 76, 2, 30, "Input"],
Cell[18621, 463, 2034, 29, 30, "Output"]
}, Open  ]],
Cell[20670, 495, 233, 5, 30, "Input"],
Cell[20906, 502, 894, 20, 69, "Input"],
Cell[21803, 524, 231, 5, 30, "Input"],
Cell[CellGroupData[{
Cell[22059, 533, 76, 1, 30, "Input"],
Cell[22138, 536, 7497, 183, 349, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[29672, 724, 101, 1, 30, "Input"],
Cell[29776, 727, 2568, 68, 101, "Output"]
}, Open  ]],
Cell[32359, 798, 656, 16, 30, "Input"],
Cell[33018, 816, 267, 7, 30, "Input"],
Cell[33288, 825, 801, 16, 69, "Input"],
Cell[34092, 843, 181, 3, 30, "Input"],
Cell[34276, 848, 1180, 28, 50, "Input"],
Cell[35459, 878, 502, 13, 30, "Input"],
Cell[CellGroupData[{
Cell[35986, 895, 106, 2, 30, "Input"],
Cell[36095, 899, 871, 12, 30, "Output"]
}, Open  ]],
Cell[36981, 914, 659, 17, 30, "Input"],
Cell[CellGroupData[{
Cell[37665, 935, 127, 3, 30, "Input"],
Cell[37795, 940, 929, 13, 30, "Output"]
}, Open  ]],
Cell[38739, 956, 534, 14, 30, "Input"],
Cell[CellGroupData[{
Cell[39298, 974, 110, 2, 30, "Input"],
Cell[39411, 978, 10384, 273, 530, "Output"]
}, Open  ]],
Cell[49810, 1254, 636, 16, 50, "Input"],
Cell[CellGroupData[{
Cell[50471, 1274, 228, 5, 30, "Input"],
Cell[50702, 1281, 527, 10, 30, "Output"]
}, Open  ]],
Cell[51244, 1294, 504, 13, 30, "Input"],
Cell[CellGroupData[{
Cell[51773, 1311, 108, 2, 30, "Input"],
Cell[51884, 1315, 6928, 176, 323, "Output"]
}, Open  ]],
Cell[58827, 1494, 619, 16, 50, "Input"],
Cell[CellGroupData[{
Cell[59471, 1514, 252, 5, 30, "Input"],
Cell[59726, 1521, 523, 10, 30, "Output"]
}, Open  ]],
Cell[60264, 1534, 451, 8, 30, "Input"],
Cell[60718, 1544, 247, 6, 30, "Input"],
Cell[CellGroupData[{
Cell[60990, 1554, 284, 5, 30, "Input"],
Cell[61277, 1561, 574, 12, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[61888, 1578, 620, 16, 30, "Input"],
Cell[62511, 1596, 662, 16, 43, "Output"]
}, Open  ]],
Cell[63188, 1615, 5444, 126, 243, "Input"],
Cell[CellGroupData[{
Cell[68657, 1745, 1320, 33, 30, "Input"],
Cell[69980, 1780, 8112, 213, 411, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[78129, 1998, 76, 2, 30, "Input"],
Cell[78208, 2002, 877, 16, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[79122, 2023, 569, 11, 30, "Input"],
Cell[79694, 2036, 2564, 40, 50, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[82295, 2081, 368, 8, 30, "Input"],
Cell[82666, 2091, 2510, 39, 50, "Output"]
}, Open  ]],
Cell[85191, 2133, 286, 6, 30, "Input"],
Cell[85480, 2141, 132, 2, 30, "Input"],
Cell[CellGroupData[{
Cell[85637, 2147, 3706, 101, 136, "Input"],
Cell[89346, 2250, 11615, 285, 72, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[100998, 2540, 195, 3, 30, "Input"],
Cell[101196, 2545, 22168, 591, 985, "Output"]
}, Open  ]],
Cell[123379, 3139, 137, 2, 30, "Input"],
Cell[123519, 3143, 1738, 35, 50, "Input"],
Cell[CellGroupData[{
Cell[125282, 3182, 254, 5, 30, "Input"],
Cell[125539, 3189, 1092, 22, 50, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[126668, 3216, 205, 4, 30, "Input"],
Cell[126876, 3222, 1043, 21, 50, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[127956, 3248, 820, 13, 30, "Input"],
Cell[128779, 3263, 21998, 626, 1201, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[150814, 3894, 708, 11, 30, "Input"],
Cell[151525, 3907, 532, 7, 30, "Output"]
}, Open  ]],
Cell[152072, 3917, 327, 6, 30, "Input"],
Cell[CellGroupData[{
Cell[152424, 3927, 318, 6, 30, "Input"],
Cell[152745, 3935, 8176, 230, 457, "Output"]
}, Open  ]],
Cell[160936, 4168, 130, 2, 30, "Input"],
Cell[CellGroupData[{
Cell[161091, 4174, 3510, 94, 209, "Input"],
Cell[164604, 4270, 12013, 303, 72, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[176654, 4578, 881, 16, 30, "Input"],
Cell[177538, 4596, 9044, 237, 379, "Output"]
}, Open  ]],
Cell[186597, 4836, 811, 17, 50, "Input"],
Cell[187411, 4855, 552, 15, 30, "Input"],
Cell[CellGroupData[{
Cell[187988, 4874, 771, 20, 30, "Input"],
Cell[188762, 4896, 10083, 272, 391, "Output"]
}, Open  ]],
Cell[198860, 5171, 480, 12, 30, "Input"],
Cell[CellGroupData[{
Cell[199365, 5187, 2640, 66, 181, "Input"],
Cell[202008, 5255, 3438, 106, 129, "Output"]
}, Open  ]],
Cell[205461, 5364, 190, 4, 30, "Input"],
Cell[CellGroupData[{
Cell[205676, 5372, 638, 17, 47, "Input"],
Cell[206317, 5391, 1876, 63, 49, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[208230, 5459, 2656, 89, 74, "Input"],
Cell[210889, 5550, 1612, 55, 49, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[212538, 5610, 191, 4, 30, "Input"],
Cell[212732, 5616, 523, 16, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[213292, 5637, 1757, 57, 54, "Input"],
Cell[215052, 5696, 506, 16, 30, "Output"]
}, Open  ]],
Cell[215573, 5715, 374, 8, 30, "Input"],
Cell[215950, 5725, 331, 7, 30, "Input"],
Cell[CellGroupData[{
Cell[216306, 5736, 1688, 45, 101, "Input"],
Cell[217997, 5783, 2121, 69, 50, "Output"]
}, Open  ]],
Cell[220133, 5855, 730, 15, 69, "Input"],
Cell[220866, 5872, 365, 7, 30, "Input"],
Cell[221234, 5881, 129, 2, 30, "Input"],
Cell[CellGroupData[{
Cell[221388, 5887, 5665, 163, 183, "Input"],
Cell[227056, 6052, 1672, 48, 50, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[228765, 6105, 1406, 38, 103, "Input"],
Cell[230174, 6145, 6354, 174, 227, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[236565, 6324, 1153, 28, 50, "Input"],
Cell[237721, 6354, 6384, 175, 227, "Output"]
}, Open  ]],
Cell[244120, 6532, 2846, 60, 221, "Input"],
Cell[246969, 6594, 187, 4, 30, "Input"],
Cell[CellGroupData[{
Cell[247181, 6602, 649, 17, 30, "Input"],
Cell[247833, 6621, 4665, 132, 138, "Output"]
}, Open  ]],
Cell[252513, 6756, 135, 2, 30, "Input"],
Cell[CellGroupData[{
Cell[252673, 6762, 6688, 164, 190, "Input"],
Cell[259364, 6928, 22694, 455, 72, "Output"]
}, Open  ]],
Cell[282073, 7386, 264, 6, 30, "Input"],
Cell[CellGroupData[{
Cell[282362, 7396, 1160, 16, 30, "Input"],
Cell[283525, 7414, 1258, 18, 30, "Output"]
}, Open  ]],
Cell[284798, 7435, 482, 12, 30, "Input"],
Cell[285283, 7449, 136, 2, 30, "Input"],
Cell[285422, 7453, 938, 18, 30, "Input"],
Cell[CellGroupData[{
Cell[286385, 7475, 241, 4, 30, "Input"],
Cell[286629, 7481, 110, 1, 30, "Output"]
}, Open  ]],
Cell[286754, 7485, 1306, 26, 50, "Input"],
Cell[288063, 7513, 94, 1, 30, "Input"],
Cell[CellGroupData[{
Cell[288182, 7518, 203, 5, 30, "Input"],
Cell[288388, 7525, 160, 2, 30, "Output"]
}, Open  ]],
Cell[288563, 7530, 684, 16, 30, "Input"],
Cell[289250, 7548, 94, 1, 30, "Input"],
Cell[CellGroupData[{
Cell[289369, 7553, 225, 5, 30, "Input"],
Cell[289597, 7560, 139, 2, 30, "Output"]
}, Open  ]],
Cell[289751, 7565, 1113, 22, 50, "Input"],
Cell[290867, 7589, 92, 1, 30, "Input"],
Cell[290962, 7592, 227, 5, 30, "Input"],
Cell[291192, 7599, 89, 1, 50, "Input"],
Cell[291284, 7602, 396, 8, 30, "Input"],
Cell[291683, 7612, 3167, 58, 221, "Input"],
Cell[294853, 7672, 861, 19, 30, "Input"],
Cell[295717, 7693, 1001, 23, 44, "Input"],
Cell[296721, 7718, 441, 11, 30, "Input"],
Cell[297165, 7731, 561, 15, 44, "Input"],
Cell[297729, 7748, 890, 23, 46, "Input"],
Cell[298622, 7773, 187, 3, 50, "Input"],
Cell[298812, 7778, 559, 13, 30, "Input"],
Cell[299374, 7793, 513, 14, 44, "Input"],
Cell[CellGroupData[{
Cell[299912, 7811, 284, 5, 30, "Input"],
Cell[300199, 7818, 622, 12, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[300858, 7835, 620, 16, 30, "Input"],
Cell[301481, 7853, 832, 18, 43, "Output"]
}, Open  ]],
Cell[302328, 7874, 4142, 85, 145, "Input"],
Cell[CellGroupData[{
Cell[306495, 7963, 1320, 33, 30, "Input"],
Cell[307818, 7998, 4406, 120, 227, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[312261, 8123, 144, 3, 30, "Input"],
Cell[312408, 8128, 378, 6, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[312823, 8139, 569, 11, 30, "Input"],
Cell[313395, 8152, 2660, 41, 50, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[316092, 8198, 368, 8, 30, "Input"],
Cell[316463, 8208, 2606, 40, 50, "Output"]
}, Open  ]],
Cell[319084, 8251, 286, 6, 30, "Input"],
Cell[319373, 8259, 177, 3, 30, "Input"],
Cell[319553, 8264, 127, 2, 30, "Input"],
Cell[CellGroupData[{
Cell[319705, 8270, 964, 24, 46, "Input"],
Cell[320672, 8296, 1193, 29, 63, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[321902, 8330, 1223, 34, 71, "Input"],
Cell[323128, 8366, 1593, 43, 74, "Output"]
}, Open  ]],
Cell[324736, 8412, 783, 23, 63, "Input"],
Cell[325522, 8437, 1462, 42, 77, "Input"],
Cell[CellGroupData[{
Cell[327009, 8483, 386, 6, 30, "Input"],
Cell[327398, 8491, 12919, 357, 642, "Output"]
}, Open  ]],
Cell[340332, 8851, 61, 1, 30, "Input"],
Cell[CellGroupData[{
Cell[340418, 8856, 5252, 139, 239, "Input"],
Cell[345673, 8997, 19435, 531, 683, "Output"]
}, Open  ]],
Cell[365123, 9531, 10008, 255, 602, "Input"],
Cell[375134, 9788, 8927, 244, 527, "Input"],
Cell[384064, 10034, 469, 11, 30, "Input"],
Cell[CellGroupData[{
Cell[384558, 10049, 1483, 37, 50, "Input"],
Cell[386044, 10088, 13540, 268, 72, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[399621, 10361, 347, 8, 30, "Input"],
Cell[399971, 10371, 2327, 52, 231, "Output"]
}, Open  ]],
Cell[402313, 10426, 1215, 23, 107, "Input"]
}
]
*)

